## Overview

This version improves the interactive experience of doc tree and editor block dragging, and also improves data synchronization stability.

Advertisement: Currently, `PRO Features` are in the early bird price stage, welcome to [learn more](https://b3log.org/siyuan/en/pricing.html).

Note: The annual `Subscription` includes `Pro features`. If you are an annual subscriber, you do not need to buy PRO Features separately.

## Changelogs

Below are the detailed changes in this version.

### Enhancement

* [More customizable hotkeys to navigate between tabs](https://github.com/siyuan-note/siyuan/issues/9210)
* [Improve the display of line numbers of code blocks with paging in PDF export](https://github.com/siyuan-note/siyuan/issues/9471)
* [Update application title after closing all tabs](https://github.com/siyuan-note/siyuan/issues/9498)
* [PDF files larger than 128MB are not included in asset file content searching](https://github.com/siyuan-note/siyuan/issues/9500)
* [Improve icon drag interaction](https://github.com/siyuan-note/siyuan/issues/9502)
* [Improve unpin plugin on the mobile](https://github.com/siyuan-note/siyuan/issues/9503)
* [Improve document tree sub-document drag and drop recognition](https://github.com/siyuan-note/siyuan/issues/9505)
* [When exporting Markdown, `<br />` nodes in non-tables are replaced with `\n` text nodes](https://github.com/siyuan-note/siyuan/issues/9509)
* [Data should also be saved when the formula and chart edit boxes are not closed normally](https://github.com/siyuan-note/siyuan/issues/9515)
* [On the mobile, creating new docs on the search interface should be within the same notebook as the currently opened doc](https://github.com/siyuan-note/siyuan/issues/9522)
* [Support `Use on Browser` for the Android Pad](https://github.com/siyuan-note/siyuan/issues/9523)
* [Doc title picture supports searching in assets](https://github.com/siyuan-note/siyuan/issues/9524)
* [Zoom out outline icon](https://github.com/siyuan-note/siyuan/issues/9526)
* [Support `Jump to the next block in the parent level` on focus status](https://github.com/siyuan-note/siyuan/issues/9527)
* [Improve automatic deletion when block attribute value is empty](https://github.com/siyuan-note/siyuan/issues/9529)
* [Support update AI actions](https://github.com/siyuan-note/siyuan/issues/9531)
* [Improve the location of the reference search box](https://github.com/siyuan-note/siyuan/issues/9533)
* [Don't show float dock when mouse is in floating window](https://github.com/siyuan-note/siyuan/issues/9535)
* [Find replace supports HTML blocks](https://github.com/siyuan-note/siyuan/issues/9539)
* [Remove input background when searching for pdf not found](https://github.com/siyuan-note/siyuan/issues/9540)
* [Improve stability of data sync on some file systems](https://github.com/siyuan-note/siyuan/issues/9541)
* [Improve exporting Markdown for elements such as strong, em, etc.](https://github.com/siyuan-note/siyuan/issues/9542)
* [Improve new doc in the search panel and add new docs in the right panel on the mobile](https://github.com/siyuan-note/siyuan/issues/9544)
* [Don't open folder when link is empty on the Windows](https://github.com/siyuan-note/siyuan/issues/9550)
* [The image menu is also available in read-only mode](https://github.com/siyuan-note/siyuan/issues/9557)

### Bugfix

* [Editor parsing exception when using a template containing database to create dailynote](https://github.com/siyuan-note/siyuan/issues/9504)
* [The blocks is not displayed after the folded heading is converted to a document](https://github.com/siyuan-note/siyuan/issues/9512)
* [Incorrect escape text when copy-pasting](https://github.com/siyuan-note/siyuan/issues/9534)
* [Unable to resize images in search panel](https://github.com/siyuan-note/siyuan/issues/9545)

### Refactor

* [Upgrade Electron](https://github.com/siyuan-note/siyuan/issues/9519)

### Development

* [Add plugin event bus `switch-protyle`](https://github.com/siyuan-note/siyuan/issues/9454)
* [Add specific time switch to database date field](https://github.com/siyuan-note/siyuan/issues/9486)
* [Add the `keywords` field to the marketplace package conf JSON](https://github.com/siyuan-note/siyuan/issues/9499)
* [Support modifying database column types](https://github.com/siyuan-note/siyuan/issues/9513)
* [Adding row overwriting data after enabling sort in database](https://github.com/siyuan-note/siyuan/issues/9517)
* [Auto-scroll screen to the top when editing database cells on the mobile](https://github.com/siyuan-note/siyuan/issues/9520)
* [Improve database table view column width dragging](https://github.com/siyuan-note/siyuan/issues/9528)
* [Add plugin constant `app.appId`](https://github.com/siyuan-note/siyuan/issues/9538)
* [Support dragging the file to the asset column in the database attribute view](https://github.com/siyuan-note/siyuan/issues/9543)
* [Adjust CSS loading order](https://github.com/siyuan-note/siyuan/issues/9553)
* [Export `Constants` to plugin](https://github.com/siyuan-note/siyuan/issues/9555)
