## Overview

This version fixes a bug in data synchronization where local files are accidentally deleted. It is recommended to upgrade as soon as possible.

Advertisement: Currently, `PRO Features` are in the early bird price stage, welcome to [learn more](https://b3log.org/siyuan/en/pricing.html).

Note: The annual `Subscription` includes `Pro features`. If you are an annual subscriber, you do not need to buy PRO Features separately.

## Changelogs

Below are the detailed changes in this version.

### Enhancement

* [Supports `⌃⌥⇧⌘`, `⌃⌥⌘`, `⌃⇧⌘` hotkeys on macOS](https://github.com/siyuan-note/siyuan/issues/9220)
* [PDF text layer misalignment](https://github.com/siyuan-note/siyuan/issues/9600)
* [Confirm whether to save after closing the code snippet](https://github.com/siyuan-note/siyuan/issues/9604)
* [If the data repo indexing time is greater than 7s, prompt user to purge the data repo](https://github.com/siyuan-note/siyuan/issues/9613)
* [Copy one cell from Excel/HTML table and paste it using the cell's content](https://github.com/siyuan-note/siyuan/issues/9614)
* [Automatically selects the first item after searching in the command panel](https://github.com/siyuan-note/siyuan/issues/9616)
* [Automatically check and eliminate duplicate reference relationship indexes](https://github.com/siyuan-note/siyuan/issues/9618)
* [Supports via environment var `SIYUAN_TESSERACT_ENABLED=false` to close OCR](https://github.com/siyuan-note/siyuan/issues/9619)
* [Show card NextDue to the flashcard management UI](https://github.com/siyuan-note/siyuan/pull/9621)
* [Do not use ligature in input/textarea](https://github.com/siyuan-note/siyuan/issues/9623)
* [Improve S3/WebDAV data sync error message](https://github.com/siyuan-note/siyuan/issues/9626)
* [Improve localhost address validation](https://github.com/siyuan-note/siyuan/pull/9634)
* [`Ctrl+End` Jump to the last character of the last block](https://github.com/siyuan-note/siyuan/issues/9642)
* [Improve checking out files order of data sync](https://github.com/siyuan-note/siyuan/issues/9646)
* [Automatically create notebook conf.json if not found it](https://github.com/siyuan-note/siyuan/issues/9647)

### Bugfix

* [The authentication page after startup Alt+M fails](https://github.com/siyuan-note/siyuan/issues/9575)
* [The referenced block under the folded heading cannot be hovered to view](https://github.com/siyuan-note/siyuan/issues/9582)
* [Editor missing after close all tabs when has pin tabs](https://github.com/siyuan-note/siyuan/issues/9624)
* [Data synchronization accidentally deletes local files](https://github.com/siyuan-note/siyuan/issues/9631)
* [The window title is hidden after the graph is minimized](https://github.com/siyuan-note/siyuan/issues/9638)
* [Code content in templates is not properly escaped](https://github.com/siyuan-note/siyuan/issues/9649)
* [Shortcut keys cannot be used to copy plain text in read-only mode](https://github.com/siyuan-note/siyuan/issues/9653)

### Document

* [Docker containers run in the background](https://github.com/siyuan-note/siyuan/pull/9602)

### Refactor

* [Upgrade Electron](https://github.com/siyuan-note/siyuan/issues/9611)

### Development

* [Improve adaptive width for `Attributes View`](https://github.com/siyuan-note/siyuan/pull/9280)
* [Adding row overwriting data after enabling sort in database](https://github.com/siyuan-note/siyuan/issues/9599)
* [Database table view date column filter time zone adjustment](https://github.com/siyuan-note/siyuan/issues/9610)
* [Database table view supports pin/unpin column](https://github.com/siyuan-note/siyuan/pull/9617)
* [Improve database table view in super block](https://github.com/siyuan-note/siyuan/issues/9620)
* [Click on the blank area of the link column cannot be edited](https://github.com/siyuan-note/siyuan/issues/9632)
* [`resize` cannot be triggered after dragging to unpin the dock](https://github.com/siyuan-note/siyuan/issues/9640)
* [Add licenses for the template, widget, theme and icon samples](https://github.com/siyuan-note/siyuan/issues/9641)
* [Kernel API `createDocWithMd` supports concurrent calls](https://github.com/siyuan-note/siyuan/issues/9644)
* [Add kernel API `/api/filetree/getIDsByHPath`](https://github.com/siyuan-note/siyuan/issues/9654)
