## Overview

This version supports resetting the flashcard review progress, improves the local chunk integrity check of data sync, and uses discrete GPU by default when there are multiple GPUs on the desktop. 

A lot of other details have also been improved, welcome to upgrade to experience.

Advertisement: Currently, `PRO Features` are in the early bird price stage, welcome to [learn more](https://b3log.org/siyuan/en/pricing.html).

Note: The annual `Subscription` includes `Pro features`. If you are an annual subscriber, you do not need to buy PRO Features separately.

## Changelogs

Below are the detailed changes in this version.

### Enhancement

* [Support resetting the learning progress of flashcards](https://github.com/siyuan-note/siyuan/issues/9564)
* [Support "Unsplit All" and "Unsplit" tabs](https://github.com/siyuan-note/siyuan/issues/9586)
* [Add copy code/kbd element item to context menu](https://github.com/siyuan-note/siyuan/issues/9630)
* [Improve default operation of `^D` on macOS](https://github.com/siyuan-note/siyuan/issues/9643)
* [Support keymap configuration for `Ctrl+Tab` and `Ctrl+Shift+Tab`](https://github.com/siyuan-note/siyuan/issues/9645)
* [Support OpenAI model `gpt-3.5-turbo-1106` and `gpt-4-1106-preview`](https://github.com/siyuan-note/siyuan/issues/9659)
* [Recent doc switcher supports filtering by input](https://github.com/siyuan-note/siyuan/issues/9663)
* [Inline formulas and memo support preserving line breaks](https://github.com/siyuan-note/siyuan/issues/9664)
* [Clear check index when purging data repo](https://github.com/siyuan-note/siyuan/issues/9665)
* [Add Recent doc to main menu](https://github.com/siyuan-note/siyuan/issues/9666)
* [Creating a dailynote no longer switches between multiple windows](https://github.com/siyuan-note/siyuan/issues/9669)
* [Repeated references to the same block within a block only count as one reference](https://github.com/siyuan-note/siyuan/issues/9670)
* [Spell check should be disabled inside inline and block code](https://github.com/siyuan-note/siyuan/issues/9672)
* [Sort by Due asc on the flashcard management UI](https://github.com/siyuan-note/siyuan/pull/9673)
* [Open the doc by long press on the breadcrumb for mobile and tablet](https://github.com/siyuan-note/siyuan/issues/9674)
* [Support `Close all tabs at startup` on mobile](https://github.com/siyuan-note/siyuan/issues/9678)
* [Improve `Quit the application` on the auth page](https://github.com/siyuan-note/siyuan/issues/9680)
* [The first letter of code, tag, and kbd will leave empty elements when pressing `Enter`](https://github.com/siyuan-note/siyuan/issues/9682)
* [Improve checking local data chunk integrity before data sync](https://github.com/siyuan-note/siyuan/issues/9688)
* [Improve delete interaction when cursor is in front of inline code](https://github.com/siyuan-note/siyuan/issues/9690)
* [Force using discrete GPU when there are multiple GPUs available on the desktop](https://github.com/siyuan-note/siyuan/issues/9694)
* [Support set Chromium command line arguments on the desktop](https://github.com/siyuan-note/siyuan/issues/9696)
* [Supports configuring data sync index time-consuming prompts](https://github.com/siyuan-note/siyuan/issues/9698)

## Bugfix

* [Can't remove query criteria named with space](https://github.com/siyuan-note/siyuan/issues/9700)

### Document

* [Docker compose example](https://github.com/siyuan-note/siyuan/pull/9679)
* [Update data sync notes in the user guide](https://github.com/siyuan-note/siyuan/issues/9699)

### Development

* [Calculate row are misaligned after resize column or refresh editor](https://github.com/siyuan-note/siyuan/issues/9660)
* [Kernel API `/api/query/sql` support `||` operator](https://github.com/siyuan-note/siyuan/issues/9662)
* [Add database table view checkbox column type](https://github.com/siyuan-note/siyuan/issues/9667)
* [Improve heading2doc/li2doc sorting](https://github.com/siyuan-note/siyuan/issues/9668)
* [Add internal kernel API `/api/search/getEmbedBlock`](https://github.com/siyuan-note/siyuan/issues/9681)
