## Overview

This version fixes some problems related to content search of asset files, and optimizes the parsing performance of PDF asset files.

The search asset file content feature requires a paid membership to use, and it is currently in the early bird price stage, welcome to [buy](https://b3log.org/siyuan/en/pricing.html).

## Changelogs

Below are the detailed changes in this version.

### Enhancement

* [Code block support hlsl shading language highlighting](https://github.com/siyuan-note/siyuan/issues/8431)
* [Search setting items not working with spaces](https://github.com/siyuan-note/siyuan/issues/9007)
* [Support `￥￥` input formula block](https://github.com/siyuan-note/siyuan/issues/9015)
* [Floating window should not be displayed after Ctrl+W](https://github.com/siyuan-note/siyuan/issues/9018)
* [AI `Maximum number of Tokens` setting value is no longer limited](https://github.com/siyuan-note/siyuan/issues/9023)
* [After zoom in, sometimes Ctrl+Z should zoom out](https://github.com/siyuan-note/siyuan/issues/9041)
* [Improve content parsing performance for large PDF asset](https://github.com/siyuan-note/siyuan/pull/9051)
* [Non-UTF-8 encoded text files are not included in asset file content searching](https://github.com/siyuan-note/siyuan/issues/9052)
* [PDF files longer than 1024 pages are not included in asset file content searching](https://github.com/siyuan-note/siyuan/issues/9053)
* [Add the main menu shortcut key Alt+\ and arrow keys to select items on the desktop](https://github.com/siyuan-note/siyuan/issues/9055)
* [The code block and inline code Tab display width is adjusted to 4 spaces](https://github.com/siyuan-note/siyuan/issues/9056)
* [Automatically wrap lines when adding multiple asset files to the table](https://github.com/siyuan-note/siyuan/issues/9058)
* [Improve PDF rect annotations copying](https://github.com/siyuan-note/siyuan/pull/9061)

### Bugfix

* [Right-clicking on a math block does not pop up the menu](https://github.com/siyuan-note/siyuan/issues/9020)
* [The line number of the exported image code block is misplaced](https://github.com/siyuan-note/siyuan/issues/9029)
* [Unable to open the doc when the block pointed by the scroll position does not exist](https://github.com/siyuan-note/siyuan/issues/9030)
* [`Optimize typography` exception in case of task list and heading](https://github.com/siyuan-note/siyuan/issues/9035)
* [Fix some asset file content indexing issues](https://github.com/siyuan-note/siyuan/issues/9045)
* [Input Chinese punctuation repeated after pasting the inline-level formula](https://github.com/siyuan-note/siyuan/issues/9054)
* [When editing the same block in split tab, the cursor switches between different editors](https://github.com/siyuan-note/siyuan/issues/9063)

### Document

* [Fix some broken references in Chinese user guide](https://github.com/siyuan-note/siyuan/issues/9059)

### Refactor

* [Upgrade Electron](https://github.com/siyuan-note/siyuan/issues/8982)

### Development

* [Use width instead of maxWidth after resizing image](https://github.com/siyuan-note/siyuan/issues/8683)
* [Add plugin type `TProtyleAction`](https://github.com/siyuan-note/siyuan/issues/8988)
* [Add plugin event bus `loaded-protyle-dynamic`](https://github.com/siyuan-note/siyuan/issues/9021)
* [Add kernel API `/api/archive/zip` and `/api/archive/unzip`](https://github.com/siyuan-note/siyuan/issues/9028)
* [Add Kernel API for WebSocket message broadcast](https://github.com/siyuan-note/siyuan/pull/9031)
* [Add plugin event bus `destroy-protyle`](https://github.com/siyuan-note/siyuan/issues/9033)
* [Inline element custom attribute](https://github.com/siyuan-note/siyuan/issues/9038)
