## 概述

該版本修復了一些資源文件內容搜索相關的問題，並優化了 PDF 資源文件解析性能。

搜索資源文件內容特性需要付費會員才能使用，目前為早鳥價階段，歡迎[購買](https://b3log.org/siyuan/pricing.html)。

## 變更記錄

以下是此版本中的詳細變更。

### 改進功能

* [代碼塊支持 hlsl 語法高亮](https://github.com/siyuan-note/siyuan/issues/8431)
* [設置搜索支持空格分隔](https://github.com/siyuan-note/siyuan/issues/9007)
* [支持 `￥￥` 輸入公式塊](https://github.com/siyuan-note/siyuan/issues/9015)
* [Ctrl+W 後不再顯示浮窗](https://github.com/siyuan-note/siyuan/issues/9018)
* [不再限制人工智能配置項 `最大 Token 數`](https://github.com/siyuan-note/siyuan/issues/9023)
* [聚焦後某些情況下 Ctrl+Z 退出聚焦](https://github.com/siyuan-note/siyuan/issues/9041)
* [改進 PDF 資源文件內容搜索解析性能](https://github.com/siyuan-note/siyuan/pull/9051)
* [非 UTF-8 編碼的文本文件不再納入資源文件內容搜索](https://github.com/siyuan-note/siyuan/issues/9052)
* [大於 1024 頁的 PDF 文件不再納入資源文件內容搜索](https://github.com/siyuan-note/siyuan/issues/9053)
* [桌面端為主菜單添加快捷鍵 Alt+\ 並支持方向鍵選擇菜單項](https://github.com/siyuan-note/siyuan/issues/9055)
* [代碼塊和行級代碼 Tab 顯示寬度改為 4 個空格](https://github.com/siyuan-note/siyuan/issues/9056)
* [表格中添加多個資源文件時自動換行](https://github.com/siyuan-note/siyuan/issues/9058)
* [改進 PDF 矩形標註複製](https://github.com/siyuan-note/siyuan/pull/9061)

### 修復缺陷

* [右擊公式塊不彈出菜單](https://github.com/siyuan-note/siyuan/issues/9020)
* [代碼塊導出圖片時行號錯位](https://github.com/siyuan-note/siyuan/issues/9029)
* [滾動位置的塊不存在時無法打開文檔](https://github.com/siyuan-note/siyuan/issues/9030)
* [任務列表下存在標題塊時 `優化排版` 異常](https://github.com/siyuan-note/siyuan/issues/9035)
* [修復一些資源文件內容搜索索引問題](https://github.com/siyuan-note/siyuan/issues/9045)
* [粘貼行級公式後輸入中文標點符號重複](https://github.com/siyuan-note/siyuan/issues/9054)
* [文檔分屏後編輯光標位置切換錯誤](https://github.com/siyuan-note/siyuan/issues/9063)

### 改進文檔

* [修復一些中文用戶指南中的壞鏈](https://github.com/siyuan-note/siyuan/issues/9059)

### 開發重構

* [升級 Electron](https://github.com/siyuan-note/siyuan/issues/8982)

### 開發者

* [重置圖片大小時使用 width 代替 maxWidth](https://github.com/siyuan-note/siyuan/issues/8683)
* [添加插件類型 `TProtyleAction`](https://github.com/siyuan-note/siyuan/issues/8988)
* [添加插件事件總線 `loaded-protyle-dynamic`](https://github.com/siyuan-note/siyuan/issues/9021)
* [添加內核 API `/api/archive/zip` 和 `/api/archive/unzip`](https://github.com/siyuan-note/siyuan/issues/9028)
* [添加內核 API WebSocket 消息廣播](https://github.com/siyuan-note/siyuan/pull/9031)
* [添加插件事件總線 `destroy-protyle`](https://github.com/siyuan-note/siyuan/issues/9033)
* [支持行級元素自定義屬性](https://github.com/siyuan-note/siyuan/issues/9038)
