## 概述

该版本修复了一些资源文件内容搜索相关的问题，并优化了 PDF 资源文件解析性能。

搜索资源文件内容特性需要付费会员才能使用，目前为早鸟价阶段，欢迎[购买](https://b3log.org/siyuan/pricing.html)。

## 变更记录

以下是此版本中的详细变更。

### 改进功能

* [代码块支持 hlsl 语法高亮](https://github.com/siyuan-note/siyuan/issues/8431)
* [设置搜索支持空格分隔](https://github.com/siyuan-note/siyuan/issues/9007)
* [支持 `￥￥` 输入公式块](https://github.com/siyuan-note/siyuan/issues/9015)
* [Ctrl+W 后不再显示浮窗](https://github.com/siyuan-note/siyuan/issues/9018)
* [不再限制人工智能配置项 `最大 Token 数`](https://github.com/siyuan-note/siyuan/issues/9023)
* [聚焦后某些情况下 Ctrl+Z 退出聚焦](https://github.com/siyuan-note/siyuan/issues/9041)
* [改进 PDF 资源文件内容搜索解析性能](https://github.com/siyuan-note/siyuan/pull/9051)
* [非 UTF-8 编码的文本文件不再纳入资源文件内容搜索](https://github.com/siyuan-note/siyuan/issues/9052)
* [大于 1024 页的 PDF 文件不再纳入资源文件内容搜索](https://github.com/siyuan-note/siyuan/issues/9053)
* [桌面端为主菜单添加快捷键 Alt+\ 并支持方向键选择菜单项](https://github.com/siyuan-note/siyuan/issues/9055)
* [代码块和行级代码 Tab 显示宽度改为 4 个空格](https://github.com/siyuan-note/siyuan/issues/9056)
* [表格中添加多个资源文件时自动换行](https://github.com/siyuan-note/siyuan/issues/9058)
* [改进 PDF 矩形标注复制](https://github.com/siyuan-note/siyuan/pull/9061)

### 修复缺陷

* [右击公式块不弹出菜单](https://github.com/siyuan-note/siyuan/issues/9020)
* [代码块导出图片时行号错位](https://github.com/siyuan-note/siyuan/issues/9029)
* [滚动位置的块不存在时无法打开文档](https://github.com/siyuan-note/siyuan/issues/9030)
* [任务列表下存在标题块时 `优化排版` 异常](https://github.com/siyuan-note/siyuan/issues/9035)
* [修复一些资源文件内容搜索索引问题](https://github.com/siyuan-note/siyuan/issues/9045)
* [粘贴行级公式后输入中文标点符号重复](https://github.com/siyuan-note/siyuan/issues/9054)
* [文档分屏后编辑光标位置切换错误](https://github.com/siyuan-note/siyuan/issues/9063)

### 改进文档

* [修复一些中文用户指南中的坏链](https://github.com/siyuan-note/siyuan/issues/9059)

### 开发重构

* [升级 Electron](https://github.com/siyuan-note/siyuan/issues/8982)

### 开发者

* [重置图片大小时使用 width 代替 maxWidth](https://github.com/siyuan-note/siyuan/issues/8683)
* [添加插件类型 `TProtyleAction`](https://github.com/siyuan-note/siyuan/issues/8988)
* [添加插件事件总线 `loaded-protyle-dynamic`](https://github.com/siyuan-note/siyuan/issues/9021)
* [添加内核 API `/api/archive/zip` 和 `/api/archive/unzip`](https://github.com/siyuan-note/siyuan/issues/9028)
* [添加内核 API WebSocket 消息广播](https://github.com/siyuan-note/siyuan/pull/9031)
* [添加插件事件总线 `destroy-protyle`](https://github.com/siyuan-note/siyuan/issues/9033)
* [支持行级元素自定义属性](https://github.com/siyuan-note/siyuan/issues/9038)
