## Overview

This version fixes some problems related to content search of asset files, and optimizes the parsing of EUB asset files.

The search asset file content feature requires a paid membership to use, and it is currently in the early bird price stage, welcome to [buy](https://b3log.org/siyuan/en/pricing.html).

## Changelogs

Below are the detailed changes in this version.

### Enhancement

* [Dynamically calculate the level of the floating layer](https://github.com/siyuan-note/siyuan/issues/7602)
* [Improve iCloud path checking](https://github.com/siyuan-note/siyuan/pull/9066)
* [Copy PDF annotations keep the same size on the Windows and macOS](https://github.com/siyuan-note/siyuan/issues/9068)
* [Improve cursor position after Ctrl+M converts inline-level formulas after selection](https://github.com/siyuan-note/siyuan/issues/9070)
* [Improve EPUB asset file content parsing](https://github.com/siyuan-note/siyuan/issues/9072)
* [Improve asset file content search preview escaping](https://github.com/siyuan-note/siyuan/issues/9073)
* [Improve the style of disabled menu item](https://github.com/siyuan-note/siyuan/pull/9078)
* [HTTPS certificate is no longer verified when `Convert network images to local images`](https://github.com/siyuan-note/siyuan/issues/9080)
* [The floating window preview doc block no longer loads the last browsed location](https://github.com/siyuan-note/siyuan/issues/9082)
* [Improve block loading performance on Windows/Linux/macOS amd64 arch](https://github.com/siyuan-note/siyuan/issues/9084)
* [Windows/macOS add a option Settings - About - Access authorization code - Follow system lock screen](https://github.com/siyuan-note/siyuan/issues/9087)
* [Improve dock show/hide state when mouse enter or app is inactive](https://github.com/siyuan-note/siyuan/issues/9089)
* [The mobile cloud sync icon no longer disappears](https://github.com/siyuan-note/siyuan/issues/9090)
* [Improve `Copy text *` after selecting text](https://github.com/siyuan-note/siyuan/issues/9093)
* [Can't open block menu when the cursor is located in an empty code block](https://github.com/siyuan-note/siyuan/pull/9095)
* [Disable selecting content on the top bar of the left panel on the iPhone](https://github.com/siyuan-note/siyuan/issues/9096)
* [Improve Bilibili IFrame address parsing](https://github.com/siyuan-note/siyuan/issues/9098)
* [Update search path hint UI](https://github.com/siyuan-note/siyuan/issues/9101)
* [iPhone input element has no border](https://github.com/siyuan-note/siyuan/issues/9104)

### Bugfix

* [Cursor lost while editing while zoom in on document](https://github.com/siyuan-note/siyuan/issues/9071)
* [The update button is not displayed after the marketplace package version is updated](https://github.com/siyuan-note/siyuan/issues/9074)
* [←/→ fails to move the cursor in the textbox of block ref or link](https://github.com/siyuan-note/siyuan/issues/9076)
* [Block hyperlinks do not point to regenerated block IDs when importing .sy.zip](https://github.com/siyuan-note/siyuan/issues/9083)
* [Unable to enter the main interface after enabling the kernel read-only mode](https://github.com/siyuan-note/siyuan/issues/9086)
* [Exporting PDF embedded asset files as attachments fails](https://github.com/siyuan-note/siyuan/issues/9106)
* [Copy button of code block doesn‘t work on the mobile](https://github.com/siyuan-note/siyuan/issues/9109)

### Development

* [Plugin API add openWindow and command.globalCallback](https://github.com/siyuan-note/siyuan/issues/9032)
* [Authentication supports query parameters `token`](https://github.com/siyuan-note/siyuan/pull/9069)
* [Improve the response status code of  kernel API `/api/file/getFile`](https://github.com/siyuan-note/siyuan/pull/9075)
* [Improve kernel API `/api/network/forwardProxy`](https://github.com/siyuan-note/siyuan/pull/9110)
