## Overview

This version fixes some bugs, and it is recommended to upgrade. 

In addition, starting from this version, the access authorization code command line parameter `--accessAuthCode` must be set when deploying through Docker. If it is not set, it will not start normally.

Advertisement: Currently, `PRO Features` are in the early bird price stage, welcome to [learn more](https://b3log.org/siyuan/en/pricing.html).

Note: The annual `Subscription` includes `Pro features`. If you are an annual subscriber, you do not need to buy PRO Features separately.

## Changelogs

Below are the detailed changes in this version.

### Enhancement

* [Chinese-friendly embed block command on macOS](https://github.com/siyuan-note/siyuan/issues/9216)
* [Improve error tip when renaming tags/bookmarks containing Markdown markers](https://github.com/siyuan-note/siyuan/issues/9248)
* [Improve transformation with sub-headings](https://github.com/siyuan-note/siyuan/issues/9264)
* [Improve ESC interaction after adding custom attribute in the attribute panel](https://github.com/siyuan-note/siyuan/issues/9282)
* [Add PageUp & PageDown in search panel](https://github.com/siyuan-note/siyuan/issues/9284)
* [Support make flashcard on the doc tree](https://github.com/siyuan-note/siyuan/issues/9288)
* [Remove `scroll` attribute when converting the document to a heading](https://github.com/siyuan-note/siyuan/issues/9297)
* [Improve remove thematic break on the mobile](https://github.com/siyuan-note/siyuan/issues/9302)
* [Apply result optimized by FSRS optimizer](https://github.com/siyuan-note/siyuan/issues/9309)
* [Create doc in search using save location configuration](https://github.com/siyuan-note/siyuan/issues/9316)
* [Improve handling of copy block ref when including images](https://github.com/siyuan-note/siyuan/issues/9317)
* [Hide tooltips when the cursor moves out of the application](https://github.com/siyuan-note/siyuan/issues/9318)
* [iOS 17.0.2 cannot pop up the keyboard menu](https://github.com/siyuan-note/siyuan/issues/9320)
* [Improve pasted text position in code block](https://github.com/siyuan-note/siyuan/issues/9323)
* [Remove animation when opening editor](https://github.com/siyuan-note/siyuan/issues/9324)
* [The access authorization code command line parameter must be set when deploying via Docker](https://github.com/siyuan-note/siyuan/issues/9328)
* [Remove the access authorization code setting item on the browser-end](https://github.com/siyuan-note/siyuan/issues/9331)
* [Shift+Click cannot select block upwards](https://github.com/siyuan-note/siyuan/issues/9334)

### Bugfix

* [Cut and copy operate on the entire block when text is selected](https://github.com/siyuan-note/siyuan/issues/9283)
* [The image does not display after pasting some PDF rectangular annotations](https://github.com/siyuan-note/siyuan/issues/9321)
* [The subdoc creation path is unstable when a parent doc with the same name exists](https://github.com/siyuan-note/siyuan/issues/9322)
* [Missing line breaks when exporting RTF](https://github.com/siyuan-note/siyuan/issues/9325)

### Development

* [Add template type column to Attribute View](https://github.com/siyuan-note/siyuan/issues/8766)
* [Try catch plugin `onunload`](https://github.com/siyuan-note/siyuan/issues/9240)
* [Improve the placement point for dragging blocks into the database](https://github.com/siyuan-note/siyuan/issues/9273)
* [Improve attribute view menu style](https://github.com/siyuan-note/siyuan/issues/9281)
* [Database values no longer correspond to block attributes](https://github.com/siyuan-note/siyuan/issues/9293)
* [New a row in the database no longer require to create a relevant doc](https://github.com/siyuan-note/siyuan/issues/9294)
* [Documents created via the database are no longer automatically hidden](https://github.com/siyuan-note/siyuan/issues/9298)
* [Rendering exception after inserting into database across documents](https://github.com/siyuan-note/siyuan/issues/9299)
* [Refactor code language and ts types](https://github.com/siyuan-note/siyuan/pull/9300)
* [Upgrade Electron](https://github.com/siyuan-note/siyuan/issues/9301)
* [Attribute view column line wrapping issues](https://github.com/siyuan-note/siyuan/issues/9303)
* [Database asset column supports search insertion](https://github.com/siyuan-note/siyuan/issues/9313)
* [Attribute Panel - Database sort attributes by view column order](https://github.com/siyuan-note/siyuan/issues/9319)
* [Add the data-href attribute to the link in the attributes view](https://github.com/siyuan-note/siyuan/issues/9291)
