## Overview

This version of the query embed block supports JavaScript execution, allowing for more flexible query display. 

In addition, this version also improves data synchronization conflict merging. Welcome to upgrade to experience it.

Advertisement: The `PRO Features` early bird price will end in early January 2024. If you want to purchase, please hurry up. For details, please [visit](https://b3log.org/siyuan/en/pricing.html).

Note: The annual `Subscription` includes `PRO Features`. If you are an annual subscriber, you do not need to buy PRO Features separately.

## Changelogs

Below are the detailed changes in this version.

### Feature

* [Query embed block supports executing JavaScript](https://github.com/siyuan-note/siyuan/issues/9648)

### Enhancement

* [Improve editor read-only mode](https://github.com/siyuan-note/siyuan/issues/9598)
* [Improve image export when line breaks have background](https://github.com/siyuan-note/siyuan/issues/9685)
* [Baidu input method double quote completion compatible](https://github.com/siyuan-note/siyuan/issues/9686)
* [Improve mobile browser window title](https://github.com/siyuan-note/siyuan/issues/9695)
* [Set the env `SIYUAN_ACCESS_AUTH_CODE_BYPASS=true` to skip checking access auth code when deploying Docker](https://github.com/siyuan-note/siyuan/issues/9709)
* [Menu automatically resizes after resizing textarea in the menu](https://github.com/siyuan-note/siyuan/issues/9715)
* [List file history following the limit of editor history retention days](https://github.com/siyuan-note/siyuan/issues/9723)
* [Proxy setting sometimes cancel requests](https://github.com/siyuan-note/siyuan/issues/9725)
* [Improve processing when copying and pasting plain text contains escape char](https://github.com/siyuan-note/siyuan/issues/9727)
* [Improve Settings - Cloud UI](https://github.com/siyuan-note/siyuan/issues/9730)
* [Improve index verification taskbar push message](https://github.com/siyuan-note/siyuan/issues/9739)
* [Improve data sync perception when data merging](https://github.com/siyuan-note/siyuan/issues/9740)
* [Improve data sync conflicts merging](https://github.com/siyuan-note/siyuan/issues/9741)
* [`Alt+O`, `Alt+B` and `Alt+G` can be used in read-only mode](https://github.com/siyuan-note/siyuan/issues/9745)
* [Mentions and the last item in the doc tree cannot be clicked when the bottom bar hover window is on](https://github.com/siyuan-note/siyuan/issues/9750)
* [Make setting window draggable](https://github.com/siyuan-note/siyuan/issues/9752)
* [Add `Move to New Window` hotkey](https://github.com/siyuan-note/siyuan/issues/9754)
* [In production mode, data reset warning pops up when editing data in the user guide](https://github.com/siyuan-note/siyuan/issues/9757)
* [Only HTML code wrapped in `<div>` is supported to be parsed into HTML blocks](https://github.com/siyuan-note/siyuan/issues/9758)

### Bugfix

* [Slash menu cannot be called after writing heading by using `#`](https://github.com/siyuan-note/siyuan/issues/9022)
* [Inline memos cannot be searched](https://github.com/siyuan-note/siyuan/issues/9710)
* [Triple-clicking on the last line in the code block cannot select it](https://github.com/siyuan-note/siyuan/issues/9714)
* [Unable to "Quit the application" when no document is opened on mobile](https://github.com/siyuan-note/siyuan/issues/9717)
* [Android small window mode soft keyboard black occlusion](https://github.com/siyuan-note/siyuan/issues/9726)
* [Abnormal behavior after customizing the shortcut key for inserting a code block on Windows](https://github.com/siyuan-note/siyuan/issues/9735)
* [The Enter key cannot create a new block if content starts with `<foo>`](https://github.com/siyuan-note/siyuan/issues/9755)

### Refactor

* [Upgrade Electron v27.1.2](https://github.com/siyuan-note/siyuan/issues/9705)

### Development

* [Support doc/snapshot history for database table view](https://github.com/siyuan-note/siyuan/issues/9567)
* [Improve kernel API authentication](https://github.com/siyuan-note/siyuan/pull/9702)
* [Disable duplication of multi-select column options](https://github.com/siyuan-note/siyuan/issues/9716)
* [Add "Tab" and "Shift+Tab" to select next/previous cell in database table view](https://github.com/siyuan-note/siyuan/issues/9718)
* [Improve database table view update time column rendering performance](https://github.com/siyuan-note/siyuan/issues/9719)
* [Add file access control for some kernel APIs](https://github.com/siyuan-note/siyuan/pull/9722)
* [Improve the position of input after adding row when the database table view is sorted](https://github.com/siyuan-note/siyuan/issues/9724)
* [Improve database table view interaction and text](https://github.com/siyuan-note/siyuan/issues/9728)
* [Add internal kernel API `/api/search/updateEmbedBlock`](https://github.com/siyuan-note/siyuan/issues/9736)
* [Add plugin API `openMobileFileById`](https://github.com/siyuan-note/siyuan/issues/9738)
