## Overview

In this version, we have solved the problem of some operations hanging when inserting large assets, OCR, and data sync, and improved the stability of the kernel program.

Additionally, we fixed an issue that caused data corruption in the cloud after resetting the local data repo but not resetting the cloud directory before synchronizing the data.

* If you are using the official cloud data sync, the cloud data will be automatically verified during the first sync after startup. If the cloud data is found to be corrupted, you will be prompted. At this time, please reset the local data repo and cloud directory
* If you are using S3/WebDAV data sync, automatic cloud data verification cannot be performed. To be on the safe side, it is recommended to manually reset the local data repo and cloud directory

Advertisement: The `PRO Features` early bird price will end in early January 2024. If you want to purchase, please hurry up. For details, please [visit](https://b3log.org/siyuan/en/pricing.html).

Note: The annual `Subscription` includes `PRO Features`. If you are an annual subscriber, you do not need to buy PRO Features separately.

## Changelogs

Below are the detailed changes in this version.

### Enhancement

* [OCR no longer blocks document loading](https://github.com/siyuan-note/siyuan/issues/9230)
* [Improve doc tree dragging to top and bottom scroll interaction](https://github.com/siyuan-note/siyuan/issues/9516)
* [Improve file read/write locking](https://github.com/siyuan-note/siyuan/issues/9748)
* [Improve editor dragging blocks to top and bottom scroll interaction](https://github.com/siyuan-note/siyuan/issues/9813)
* [Increase the file size transferred by WeChat Assistant to 20MB](https://github.com/siyuan-note/siyuan/issues/9816)
* [Add unpin icon](https://github.com/siyuan-note/siyuan/issues/9819)
* [Improve search preview to highlight text `<foo>`](https://github.com/siyuan-note/siyuan/issues/9821)
* [Support converting network assets to local](https://github.com/siyuan-note/siyuan/issues/9826)
* [Improve file annotation in rotated PDF](https://github.com/siyuan-note/siyuan/issues/9831)
* [Drag-and-move blocks should not be allowed in read-only mode](https://github.com/siyuan-note/siyuan/issues/9835)
* [Add `Exit the application` to the main menu for Desktop and Pad](https://github.com/siyuan-note/siyuan/issues/9840)
* [Improve kernel stability by eliminating some data races](https://github.com/siyuan-note/siyuan/issues/9842)
* [Improve image loading and jump positioning caused by height changes](https://github.com/siyuan-note/siyuan/issues/9856)
* [Keep the cursor still after `Delete` at the end of the list](https://github.com/siyuan-note/siyuan/issues/9863)
* [Improve web page clip code block content conversion](https://github.com/siyuan-note/siyuan/issues/9865)

### Abolishment

* [No longer automatically download network assets when the cloud inbox is moved to docs](https://github.com/siyuan-note/siyuan/issues/9827)
* [No longer force using discrete GPU on desktop](https://github.com/siyuan-note/siyuan/issues/9845)

### Bugfix

* [Soft line break key on mobile is invalid](https://github.com/siyuan-note/siyuan/issues/9822)
* [Backlink arrow displays incorrectly on mobile](https://github.com/siyuan-note/siyuan/issues/9833)
* [Emoji panel cannot jump in the editor](https://github.com/siyuan-note/siyuan/issues/9837)
* [Modifying inline elements after pasting causes misalignment](https://github.com/siyuan-note/siyuan/issues/9839)
* [Ctrl+D abnormal behavior](https://github.com/siyuan-note/siyuan/issues/9841)
* [Cloud inbox images and text are rendered abnormally on iOS](https://github.com/siyuan-note/siyuan/issues/9844)
* [An issue that caused cloud data corruption](https://github.com/siyuan-note/siyuan/issues/9846)

### Development

* [Database table view supports paged loading](https://github.com/siyuan-note/siyuan/issues/9424)
* [Use HTML attribute `data-wrap` to set the cell wrapping style of attribute view](https://github.com/siyuan-note/siyuan/pull/9814)
* [Add a template function about date](https://github.com/siyuan-note/siyuan/pull/9815)
* [Improve database table view select column filter](https://github.com/siyuan-note/siyuan/issues/9820)
* [Add internal kernel API `/api/setting/refreshVirtualBlockRef`](https://github.com/siyuan-note/siyuan/issues/9829)
* [Allow global shortcut keys to be triggered when editing database table view cell](https://github.com/siyuan-note/siyuan/issues/9848)
* [Improve database table view UI to differentiate between bound and unbound row](https://github.com/siyuan-note/siyuan/issues/9849)
* [Database table view no longer scrolls to top after undo](https://github.com/siyuan-note/siyuan/issues/9862)
