## 概述

此版本我們解決了插入大資源檔案、OCR、資料同步時部分操作掛起的問題，提升了核心程式的穩定性。

另外，我們解決了一個導致雲端資料損壞的問題，該問題會出現在重置本地資料倉儲但不重置雲端目錄後就進行資料同步。

* 如果你正在使用官方雲端資料同步，啟動後第一次同步時會自動進行雲端資料校驗，如果發現雲端資料損壞會提示，此時請重置本地資料倉儲和雲端目錄
* 如果你正在使用 S3/WebDAV 資料同步，無法自動進行雲端資料校驗，為了保險起見，建議手動重置一次本地資料倉儲和雲端目錄

廣告： `功能特性` 早鳥價將於 2024 年 1 月初結束，如需購買請抓緊時間，細節請[訪問](https://b3log.org/siyuan/pricing.html)。

註：`年付訂閱` 包含 `功能特性`，如果你是訂閱會員，則無需單獨購買功能特性。

## 變更記錄

以下是此版本中的詳細變更。

### 改進功能

* [OCR 不再阻塞文件載入](https://github.com/siyuan-note/siyuan/issues/9230)
* [改進文件樹拖曳滾動互動](https://github.com/siyuan-note/siyuan/issues/9516)
* [改進檔案讀取和寫入鎖](https://github.com/siyuan-note/siyuan/issues/9748)
* [改進編輯器拖曳塊滾動互動](https://github.com/siyuan-note/siyuan/issues/9813)
* [提升微信小助手檔案傳輸大小為 20MB](https://github.com/siyuan-note/siyuan/issues/9816)
* [新增取消釘住圖示](https://github.com/siyuan-note/siyuan/issues/9819)
* [改進搜尋預覽高亮文字 `<foo>`](https://github.com/siyuan-note/siyuan/issues/9821)
* [支援轉換網路資源檔案到本地](https://github.com/siyuan-note/siyuan/issues/9826)
* [改進旋轉的 PDF 檔案註解](https://github.com/siyuan-note/siyuan/issues/9831)
* [唯讀模式下不應該允許拖曳區塊](https://github.com/siyuan-note/siyuan/issues/9835)
* [在桌面端端和平板端的主選單中加入 `退出應用程式`](https://github.com/siyuan-note/siyuan/issues/9840)
* [消除資料競態以提升內核穩定性](https://github.com/siyuan-note/siyuan/issues/9842)
* [改进图片加载引起高度变化跳转定位](https://github.com/siyuan-note/siyuan/issues/9856)
* [在清單最後按 `Delete` 刪除時保持遊標位置不變](https://github.com/siyuan-note/siyuan/issues/9863)
* [改進網頁剪藏程式碼區塊內容轉換](https://github.com/siyuan-note/siyuan/issues/9865)

### 移除功能

* [雲端收集箱移動到文件時不再自動轉換網路資源檔案到本機](https://github.com/siyuan-note/siyuan/issues/9827)
* [桌面端不再強制使用獨立顯示卡](https://github.com/siyuan-note/siyuan/issues/9845)

### 修復缺陷

* [行動端軟換行失效](https://github.com/siyuan-note/siyuan/issues/9822)
* [行動端反鏈箭頭顯示不正確](https://github.com/siyuan-note/siyuan/issues/9833)
* [編輯器表情面板無法跳轉](https://github.com/siyuan-note/siyuan/issues/9837)
* [貼上後修改行級元素導致錯位](https://github.com/siyuan-note/siyuan/issues/9839)
* [Ctrl+D 行為異常](https://github.com/siyuan-note/siyuan/issues/9841)
* [iOS 端雲端收集箱圖片與文字排版異常](https://github.com/siyuan-note/siyuan/issues/9844)
* [雲端資料損壞](https://github.com/siyuan-note/siyuan/issues/9846)

### 開發者

* [資料庫表格視圖支援分頁載入](https://github.com/siyuan-note/siyuan/issues/9424)
* [使用 HTML 屬性 `data-wrap` 來設定資料庫表格視圖單元格折行](https://github.com/siyuan-note/siyuan/pull/9814)
* [新增一個日期範本函數](https://github.com/siyuan-note/siyuan/pull/9815)
* [改進資料庫表格視圖選擇列過濾器](https://github.com/siyuan-note/siyuan/issues/9820)
* [新增內部內核 API `/api/setting/refreshVirtualBlockRef`](https://github.com/siyuan-note/siyuan/issues/9829)
* [改進資料庫表格視圖介面以區別綁定和未綁定行](https://github.com/siyuan-note/siyuan/issues/9849)
* [改進資料庫表格視圖介面以區別綁定和未綁定行](https://github.com/siyuan-note/siyuan/issues/9849)
* [資料庫表格視圖撤銷編輯後不再捲動到頂部](https://github.com/siyuan-note/siyuan/issues/9862)
