## 概述

该版本我们解决了插入大资源文件、OCR、数据同步时部分操作挂起的问题，提升了内核程序的稳定性。

另外，我们解决了一个导致云端数据损坏的问题，该问题会出现在重置本地数据仓库但不重置云端目录后就进行数据同步。

* 如果你正在使用官方云端数据同步，启动后第一次同步时会自动进行云端数据校验，如果发现云端数据损坏会提示，此时请重置本地数据仓库和云端目录
* 如果你正在使用 S3/WebDAV 数据同步，无法自动进行云端数据校验，为了保险起见，建议手动重置一次本地数据仓库和云端目录

广告： `功能特性` 早鸟价将于 2024 年 1 月初结束，如需购买请抓紧时间，细节请[访问](https://b3log.org/siyuan/pricing.html)。

注：`年付订阅` 包含 `功能特性`，如果你是订阅会员，则无需单独购买功能特性。

## 变更记录

以下是此版本中的详细变更。

### 改进功能

* [OCR 不再阻塞文档加载](https://github.com/siyuan-note/siyuan/issues/9230)
* [改进文档树拖拽滚动交互](https://github.com/siyuan-note/siyuan/issues/9516)
* [改进文件读写锁](https://github.com/siyuan-note/siyuan/issues/9748)
* [改进编辑器拖拽块滚动交互](https://github.com/siyuan-note/siyuan/issues/9813)
* [提升微信小助手文件传输大小为 20MB](https://github.com/siyuan-note/siyuan/issues/9816)
* [添加取消钉住图标](https://github.com/siyuan-note/siyuan/issues/9819)
* [改进搜索预览高亮文本 `<foo>`](https://github.com/siyuan-note/siyuan/issues/9821)
* [支持转换网络资源文件到本地](https://github.com/siyuan-note/siyuan/issues/9826)
* [改进旋转的 PDF 文件注解](https://github.com/siyuan-note/siyuan/issues/9831)
* [只读模式下不应该允许拖拽块](https://github.com/siyuan-note/siyuan/issues/9835)
* [在桌面端端和平板端的主菜单中添加 `退出应用`](https://github.com/siyuan-note/siyuan/issues/9840)
* [消除数据竞态以提升内核稳定性](https://github.com/siyuan-note/siyuan/issues/9842)
* [改进图片加载导致高度变化跳转定位](https://github.com/siyuan-note/siyuan/issues/9856)
* [在列表末尾按 `Delete` 删除时保持光标位置不变](https://github.com/siyuan-note/siyuan/issues/9863)
* [改进网页剪藏代码块内容转换](https://github.com/siyuan-note/siyuan/issues/9865)

### 移除功能

* [云端收集箱移动到文档时不再自动转换网络资源文件到本地](https://github.com/siyuan-note/siyuan/issues/9827)
* [桌面端不再强制使用独立显卡](https://github.com/siyuan-note/siyuan/issues/9845)

### 修复缺陷

* [移动端软换行失效](https://github.com/siyuan-note/siyuan/issues/9822)
* [移动端反链箭头显示不正确](https://github.com/siyuan-note/siyuan/issues/9833)
* [编辑器表情面板无法跳转](https://github.com/siyuan-note/siyuan/issues/9837)
* [粘贴后修改行级元素导致错位](https://github.com/siyuan-note/siyuan/issues/9839)
* [Ctrl+D 行为异常](https://github.com/siyuan-note/siyuan/issues/9841)
* [iOS 端云端收集箱图片和文本排版异常](https://github.com/siyuan-note/siyuan/issues/9844)
* [云端数据损坏](https://github.com/siyuan-note/siyuan/issues/9846)

### 开发者

* [数据库表格视图支持分页加载](https://github.com/siyuan-note/siyuan/issues/9424)
* [使用 HTML 属性 `data-wrap` 来设置数据库表格视图单元格折行](https://github.com/siyuan-note/siyuan/pull/9814)
* [添加一个日期模板函数](https://github.com/siyuan-note/siyuan/pull/9815)
* [改进数据库表格视图选择列过滤器](https://github.com/siyuan-note/siyuan/issues/9820)
* [添加内部内核 API `/api/setting/refreshVirtualBlockRef`](https://github.com/siyuan-note/siyuan/issues/9829)
* [数据库表格视图中允许使用已有快捷键](https://github.com/siyuan-note/siyuan/issues/9848)
* [改进数据库表格视图界面以区别绑定和未绑定行](https://github.com/siyuan-note/siyuan/issues/9849)
* [数据库表格视图撤销编辑后不再滚动到顶部](https://github.com/siyuan-note/siyuan/issues/9862)
