## Overview

This version improves kernel stability and data synchronization, and it is recommended to upgrade as soon as possible.

Advertisement: The `PRO Features` early bird price will end in early January 2024. If you want to purchase, please hurry
up. For details, please [visit](https://b3log.org/siyuan/en/pricing.html).

Note: The annual `Subscription` includes `PRO Features`. If you are an annual subscriber, you do not need to buy PRO
Features separately.

## Changelogs

Below are the detailed changes in this version.

### Enhancement

* [Support converting blockquote blocks to paragraphs](https://github.com/siyuan-note/siyuan/issues/4706)
* [Distinguish between new cards and review cards during spaced repetition](https://github.com/siyuan-note/siyuan/issues/9377)
* [Add close gesture to the pop-up panel on the right menu on mobile](https://github.com/siyuan-note/siyuan/issues/9810)
* [Improve the experience of text editing a block-ref](https://github.com/siyuan-note/siyuan/issues/9854)
* [Improve setting interaction](https://github.com/siyuan-note/siyuan/issues/9857)
* [Save flashcard spaced repetition, search, recent doc and switcher dialog interface size](https://github.com/siyuan-note/siyuan/issues/9902)
* [Support converting list blocks to paragraphs](https://github.com/siyuan-note/siyuan/issues/9908)
* [Improve kernel stability](https://github.com/siyuan-note/siyuan/issues/9912)
* [Add a new code snippet at the top](https://github.com/siyuan-note/siyuan/issues/9921)
* [Keep original creation time when importing .sy.zip](https://github.com/siyuan-note/siyuan/issues/9923)
* [Support `dock plugin` and `Command Palette` on mobile](https://github.com/siyuan-note/siyuan/issues/9926)
* [`Convert network images/assets to local` supports URL-encoded local file names](https://github.com/siyuan-note/siyuan/issues/9929)
* [Improve data snapshot and sync robustness](https://github.com/siyuan-note/siyuan/issues/9941)
* [Abandon snapshot if file does not exist when creating snapshot](https://github.com/siyuan-note/siyuan/issues/9948)
* [Improve data sync to prevent an old snapshot to overwrite the new one](https://github.com/siyuan-note/siyuan/issues/9949)
* [If there are no search results in non-keyword search mode, no longer be prompted to create](https://github.com/siyuan-note/siyuan/issues/9950)
* [Support searching assets by file name](https://github.com/siyuan-note/siyuan/issues/9952)
* [Creating a dailynote existed no longer expands the doc tree](https://github.com/siyuan-note/siyuan/issues/9959)
* [Adjust the width of recent documents](https://github.com/siyuan-note/siyuan/issues/9960)
* [Improve UI](https://github.com/siyuan-note/siyuan/issues/9963)
* [`Convert network assets to local` no longer process webpage](https://github.com/siyuan-note/siyuan/issues/9965)
* [Improve flashcard style](https://github.com/siyuan-note/siyuan/issues/9968)

### Bugfix

* [Blockquote in list turn into paragraph causes internal error](https://github.com/siyuan-note/siyuan/issues/9920)
* [Mobile search and replace failure](https://github.com/siyuan-note/siyuan/issues/9932)
* [Review is empty when there are more new cards and blocks are removed](https://github.com/siyuan-note/siyuan/issues/9935)
* [The doc title image index failed when using notebook-level assets](https://github.com/siyuan-note/siyuan/issues/9936)
* [Closing the doc tree and then restarting will reset the layout](https://github.com/siyuan-note/siyuan/issues/9937)
* [Soft newlines cause kernel errors in some cases](https://github.com/siyuan-note/siyuan/issues/9951)
* [Documents containing certain svg images cannot be exported as images](https://github.com/siyuan-note/siyuan/issues/9966)

### Refactor

* [Upgrade Electron v27.2.0](https://github.com/siyuan-note/siyuan/issues/9953)

### Development

* [Improve interaction with database table view row gutter display](https://github.com/siyuan-note/siyuan/issues/9791)
* [Add Relation column to database table view](https://github.com/siyuan-note/siyuan/issues/9888)
* [Support database table view assets column when exporting .sy.zip](https://github.com/siyuan-note/siyuan/issues/9919)
* [Concurrency control when requesting the kernel API](https://github.com/siyuan-note/siyuan/issues/9939)
* [Set `plugin.name` to read-only](https://github.com/siyuan-note/siyuan/issues/9943)
* [Improve kernel API `/api/block/appendBlock`](https://github.com/siyuan-note/siyuan/issues/9955)
* [Add kernel API `/api/block/foldBlock` and `/api/block/unfoldBlock`](https://github.com/siyuan-note/siyuan/issues/9962)

## Download

* [B3log](https://b3log.org/siyuan/en/download.html)
* [GitHub](https://github.com/siyuan-note/siyuan/releases)
