## Overview

This version improves kernel stability and supports adding the watermark on export PDF and image.

In addition, starting from this version, S3/WebDAV data sync and backup will end the free public beta phase, and subsequent use requires payment. For details, please [visit](https://b3log.org/siyuan/en/pricing.html).

## Changelogs

Below are the detailed changes in this version.

### Feature

* [Support adding the watermark on export PDF](https://github.com/siyuan-note/siyuan/issues/9961)
* [Support adding the watermark on export image](https://github.com/siyuan-note/siyuan/issues/9992)

### Enhancement

* [S3/WebDAV data sync and backup are available for a fee](https://github.com/siyuan-note/siyuan/issues/8780)
* [Improve `inline code` Markdown editing](https://github.com/siyuan-note/siyuan/issues/9978)
* [Improve `//!js` query embed block result sorting](https://github.com/siyuan-note/siyuan/issues/9977)
* [Improve kernel API requesting concurrency control](https://github.com/siyuan-note/siyuan/issues/9979)
* [Improve web page clip content conversion](https://github.com/siyuan-note/siyuan/issues/9980)
* [Improve position when reopening document on mobile](https://github.com/siyuan-note/siyuan/issues/9981)
* [Support click to open hyperlinks like `www.foo.com` ](https://github.com/siyuan-note/siyuan/issues/9986)
* [Improve some inline elements Markdown editing](https://github.com/siyuan-note/siyuan/issues/9999)
* [Improve flashcard cloze style](https://github.com/siyuan-note/siyuan/issues/10009)
* [Improve math rendering when copy to Zhihu](https://github.com/siyuan-note/siyuan/issues/10015)
* [Remove line breaks when exporting inline formulas that contain line breaks to Markdown](https://github.com/siyuan-note/siyuan/issues/10017)
* [Show PDF tab title in full](https://github.com/siyuan-note/siyuan/issues/10045)

### Bugfix

* [The status of flashcards after re-reviewing the previous one is incorrect](https://github.com/siyuan-note/siyuan/issues/9988)
* [Inline memos and inline formula replacement are invalid](https://github.com/siyuan-note/siyuan/issues/9990)
* [Unable to export inline formulas with italics](https://github.com/siyuan-note/siyuan/issues/9998)
* [Search and replace fails in some cases](https://github.com/siyuan-note/siyuan/issues/10016)
* [Reference jump is not located in read-only mode](https://github.com/siyuan-note/siyuan/issues/10028)
* [Converting PDF annotation ref to text fails after setting the appearance](https://github.com/siyuan-note/siyuan/issues/10029)
* [Pressing the scoring shortcut key immediately after `Alt+F` is invalid](https://github.com/siyuan-note/siyuan/issues/10020)
* [The images in the embed blocks are not uploaded to the community hosting](https://github.com/siyuan-note/siyuan/issues/10042)

### Development

* [Add Rollup column to database table view](https://github.com/siyuan-note/siyuan/issues/9958)
* [Add plugin event bus `open-menu-inbox`](https://github.com/siyuan-note/siyuan/pull/9967)
* [Error when switching dock on mobile](https://github.com/siyuan-note/siyuan/issues/9974)
* [Database table view asset column support Ctrl+V](https://github.com/siyuan-note/siyuan/issues/9982)
* [Database table view primary key column cell support `[[` bind to a block](https://github.com/siyuan-note/siyuan/issues/9983)
* [Improve kernel API `/api/notebook/*`](https://github.com/siyuan-note/siyuan/pull/9987)
* [Database table view supports inserting columns in the middle](https://github.com/siyuan-note/siyuan/issues/9993)
* [Add internal kernel API `/api/sqlite/flushTransaction`](https://github.com/siyuan-note/siyuan/issues/10005)
* [Add plugin event bus `lock-screen`](https://github.com/siyuan-note/siyuan/issues/10006)
* [Improve adding rows of the filtered database table view](https://github.com/siyuan-note/siyuan/issues/10025)
* [The primary key are no longer shown in the attribute panel database](https://github.com/siyuan-note/siyuan/issues/10027)
* [Show database tab action buttons and tabs can be scrolled](https://github.com/siyuan-note/siyuan/issues/10030)

## Download

* [B3log](https://b3log.org/siyuan/en/download.html)
* [GitHub](https://github.com/siyuan-note/siyuan/releases)
