## 概述

此版本改進了內核穩定性，支援在匯出 PDF 和圖片時添加浮水印。

另外，從該版本開始 S3/WebDAV 資料同步和備份結束免費公測階段，後續需要付費才能使用，細節請[訪問](https://b3log.org/siyuan/pricing.html)。

## 變更記錄

以下是此版本中的詳細變更。

### 引入特性

* [支援匯出 PDF 新增浮水印](https://github.com/siyuan-note/siyuan/issues/9961)
* [支援匯出圖片新增浮水印](https://github.com/siyuan-note/siyuan/issues/9992)

### 改進功能

* [S3/WebDAV 資料同步與備份需要付費才能使用](https://github.com/siyuan-note/siyuan/issues/8780)
* [改進 `行級程式碼` Markdown 編輯](https://github.com/siyuan-note/siyuan/issues/9978)
* [改進 `//!js` 查詢嵌入區塊結果排序](https://github.com/siyuan-note/siyuan/issues/9977)
* [改進內核 API 請求並發控制](https://github.com/siyuan-note/siyuan/issues/9979)
* [改進網頁剪藏內容轉換](https://github.com/siyuan-note/siyuan/issues/9980)
* [改進行動端上開啟文件定位瀏覽位置](https://github.com/siyuan-note/siyuan/issues/9981)
* [支援點選開啟形狀如 `www.foo.com` 的超連結](https://github.com/siyuan-note/siyuan/issues/9986)
* [改進一些行級元素 Markdown 編輯](https://github.com/siyuan-note/siyuan/issues/9999)
* [改良閃卡挖空樣式](https://github.com/siyuan-note/siyuan/issues/10009)
* [改進複製到知乎時公式渲染](https://github.com/siyuan-note/siyuan/issues/10015)
* [匯出 Markdown 時刪除行級公式中的換行](https://github.com/siyuan-note/siyuan/issues/10017)
* [完整顯示 PDF 頁籤標題](https://github.com/siyuan-note/siyuan/issues/10045)

### 修復缺陷

* [閃卡回到上一步重新複習後狀態不正確](https://github.com/siyuan-note/siyuan/issues/9988)
* [行級備註與行級公式查找替換失效](https://github.com/siyuan-note/siyuan/issues/9990)
* [無法匯出斜體的行級公式](https://github.com/siyuan-note/siyuan/issues/9998)
* [某些情況下搜尋替換失效](https://github.com/siyuan-note/siyuan/issues/10016)
* [唯讀模式下引用跳轉後未定位瀏覽位置](https://github.com/siyuan-note/siyuan/issues/10028)
* [無法轉換外觀樣式的 PDF 註解引用為文字](https://github.com/siyuan-note/siyuan/issues/10029)
* [`Alt+F` 後快速按下評分快捷鍵失效](https://github.com/siyuan-note/siyuan/issues/10020)
* [在嵌入區塊中的圖片未能上傳社群](https://github.com/siyuan-note/siyuan/issues/10042)

### 開發者

* [資料庫表格檢視新增總計欄位](https://github.com/siyuan-note/siyuan/issues/9958)
* [新增外掛事件匯流排 `open-menu-inbox`](https://github.com/siyuan-note/siyuan/pull/9967)
* [行動端切換停靠列異常](https://github.com/siyuan-note/siyuan/issues/9974)
* [資料庫表格檢視資源列支援 Ctrl+V](https://github.com/siyuan-note/siyuan/issues/9982)
* [資料庫表格視圖主鍵列支援 `[[` 綁定區塊](https://github.com/siyuan-note/siyuan/issues/9983)
* [改進內核 API `/api/notebook/*`](https://github.com/siyuan-note/siyuan/pull/9987)
* [資料庫表格檢視支援在中間插入欄位](https://github.com/siyuan-note/siyuan/issues/9993)
* [新增內部核心 API `/api/sqlite/flushTransaction`](https://github.com/siyuan-note/siyuan/issues/10005)
* [新增外掛事件匯流排 `lock-screen`](https://github.com/siyuan-note/siyuan/issues/10006)
* [改進資料庫開啟過濾時新增行操作](https://github.com/siyuan-note/siyuan/issues/10025)
* [主鍵不再在屬性面板資料庫頁籤中顯示](https://github.com/siyuan-note/siyuan/issues/10027)
* [資料庫視圖頁籤支援滾動](https://github.com/siyuan-note/siyuan/issues/10030)

## 下載

* [B3log](https://b3log.org/siyuan/download.html)
* [GitHub](https://github.com/siyuan-note/siyuan/releases)
