## 概述

该版本改进了内核稳定性，支持导出 PDF 和图片时添加水印。

另外，从该版本开始 S3/WebDAV 数据同步和备份结束免费公测阶段，后续需要付费才能使用，细节请[访问](https://b3log.org/siyuan/pricing.html)。

## 变更记录

以下是此版本中的详细变更。

### 引入特性

* [支持导出 PDF 添加水印](https://github.com/siyuan-note/siyuan/issues/9961)
* [支持导出图片添加水印](https://github.com/siyuan-note/siyuan/issues/9992)

### 改进功能

* [S3/WebDAV 数据同步和备份需要付费才能使用](https://github.com/siyuan-note/siyuan/issues/8780)
* [改进 `行级代码` Markdown 编辑](https://github.com/siyuan-note/siyuan/issues/9978)
* [改进 `//!js` 查询嵌入块结果排序](https://github.com/siyuan-note/siyuan/issues/9977)
* [改进内核 API 请求并发控制](https://github.com/siyuan-note/siyuan/issues/9979)
* [改进网页剪藏内容转换](https://github.com/siyuan-note/siyuan/issues/9980)
* [改进移动端上打开文档定位浏览位置](https://github.com/siyuan-note/siyuan/issues/9981)
* [支持单击打开形如 `www.foo.com` 的超链接](https://github.com/siyuan-note/siyuan/issues/9986)
* [改进一些行级元素 Markdown 编辑](https://github.com/siyuan-note/siyuan/issues/9999)
* [改进闪卡挖空样式](https://github.com/siyuan-note/siyuan/issues/10009)
* [改进复制到知乎时公式渲染](https://github.com/siyuan-note/siyuan/issues/10015)
* [导出 Markdown 时删除行级公式中的换行](https://github.com/siyuan-note/siyuan/issues/10017)
* [完整显示 PDF 页签标题](https://github.com/siyuan-note/siyuan/issues/10045)

### 修复缺陷

* [闪卡返回上一步重新复习后状态不正确](https://github.com/siyuan-note/siyuan/issues/9988)
* [行级备注和行级公式查找替换失效](https://github.com/siyuan-note/siyuan/issues/9990)
* [无法导出带斜体的行级公式](https://github.com/siyuan-note/siyuan/issues/9998)
* [某些情况下搜索替换失效](https://github.com/siyuan-note/siyuan/issues/10016)
* [只读模式下引用跳转后未定位浏览位置](https://github.com/siyuan-note/siyuan/issues/10028)
* [无法转换带外观样式的 PDF 注释引用为文本](https://github.com/siyuan-note/siyuan/issues/10029)
* [`Alt+F` 后快速按下评分快捷键失效](https://github.com/siyuan-note/siyuan/issues/10020)
* [在嵌入块中的图片未能上传社区](https://github.com/siyuan-note/siyuan/issues/10042)

### 开发者

* [数据库表格视图添加汇总列](https://github.com/siyuan-note/siyuan/issues/9958)
* [添加插件事件总线 `open-menu-inbox`](https://github.com/siyuan-note/siyuan/pull/9967)
* [移动端切换停靠栏异常](https://github.com/siyuan-note/siyuan/issues/9974)
* [数据库表格视图资源列支持 Ctrl+V](https://github.com/siyuan-note/siyuan/issues/9982)
* [数据库表格视图主键列支持 `[[` 绑定块](https://github.com/siyuan-note/siyuan/issues/9983)
* [改进内核 API `/api/notebook/*`](https://github.com/siyuan-note/siyuan/pull/9987)
* [数据库表格视图支持在中间插入列](https://github.com/siyuan-note/siyuan/issues/9993)
* [添加内部内核 API `/api/sqlite/flushTransaction`](https://github.com/siyuan-note/siyuan/issues/10005)
* [添加插件事件总线 `lock-screen`](https://github.com/siyuan-note/siyuan/issues/10006)
* [改进数据库开启过滤时添加行操作](https://github.com/siyuan-note/siyuan/issues/10025)
* [主键不再在属性面板数据库页签中显示](https://github.com/siyuan-note/siyuan/issues/10027)
* [数据库视图页签支持滚动](https://github.com/siyuan-note/siyuan/issues/10030)

## 下载

* [B3log](https://b3log.org/siyuan/download.html)
* [GitHub](https://github.com/siyuan-note/siyuan/releases)
