## Overview

This version supports configuration to ignore data indexing and improves the stability of cloud data synchronization.

## Changelogs

Below are the detailed changes in this version.

### Enhancement

* [Support ignore index](https://github.com/siyuan-note/siyuan/issues/9198)
* [Reset the dialog interface size when the dialog box exceeds the window](https://github.com/siyuan-note/siyuan/issues/10000)
* [Double-click the doc title image to preview](https://github.com/siyuan-note/siyuan/issues/10041)
* [Hide menu when click document title image](https://github.com/siyuan-note/siyuan/issues/10046)
* [Keep tabs visible when window shrinks](https://github.com/siyuan-note/siyuan/issues/10048)
* [`Go back` keep scroll position](https://github.com/siyuan-note/siyuan/issues/10050)
* [Add tips for database table view rollup column configuration](https://github.com/siyuan-note/siyuan/issues/10055)
* [Only block marked as flashcards are hidden based on configuration](https://github.com/siyuan-note/siyuan/issues/10058)
* [Snapshot comparison interface supports key selection of files](https://github.com/siyuan-note/siyuan/issues/10078)
* [Add `Home` and `End` support to the list item selected by `↑` and `↓`](https://github.com/siyuan-note/siyuan/issues/10083)
* [Hotkeys not working after switching applications](https://github.com/siyuan-note/siyuan/issues/10085)
* [Cards expired no longer appear in the same review round](https://github.com/siyuan-note/siyuan/issues/10087)
* [Improve `New document save location`](https://github.com/siyuan-note/siyuan/issues/10094)
* [Remove image icon menu in embed block](https://github.com/siyuan-note/siyuan/issues/10097)
* [Improve continuous soft newline split block parsing](https://github.com/siyuan-note/siyuan/issues/10098)
* [Improve the stability of cloud data synchronization](https://github.com/siyuan-note/siyuan/issues/10111)

### Bugfix

* [Emoji not rendering as expected](https://github.com/siyuan-note/siyuan/issues/8910)
* [The parent block field of the blocks under the heading block is calculated incorrectly](https://github.com/siyuan-note/siyuan/issues/9869)
* [Open external application protocol invalid](https://github.com/siyuan-note/siyuan/issues/10075)
* [Alt+X cannot record the font color](https://github.com/siyuan-note/siyuan/issues/10088)
* [Unable to preview first template directly](https://github.com/siyuan-note/siyuan/issues/10103)
* [Positioning may be reset after opening a document and scrolling quickly](https://github.com/siyuan-note/siyuan/issues/10108)

### Development

* [Improve database table view `Select` cell value input](https://github.com/siyuan-note/siyuan/issues/10052)
* [Database select, multiple select, and asset column cannot be operated in batches](https://github.com/siyuan-note/siyuan/issues/10054)
* [Filter conditions cannot be added to database table view check column](https://github.com/siyuan-note/siyuan/issues/10056)
* [Add plugin function `lockScreen`](https://github.com/siyuan-note/siyuan/issues/10063)
* [Add plugin event bus `updateCards`](https://github.com/siyuan-note/siyuan/issues/10065)
* [`Untitled` is displayed when the original record primary key value of the related column is empty](https://github.com/siyuan-note/siyuan/issues/10067)
* [Fix `name` attribute could not be visited in the plugin constructor](https://github.com/siyuan-note/siyuan/pull/10071)
* [Database block supports export as CSV](https://github.com/siyuan-note/siyuan/issues/10072)
* [Database table view no longer scrolls to the beginning after pasting values](https://github.com/siyuan-note/siyuan/issues/10073)
* [The database template column supports `queryBlocks` function](https://github.com/siyuan-note/siyuan/issues/10077)
* [Add internal kernel API `/api/filetree/upsertIndexes` and `/api/filetree/removeIndexes`](https://github.com/siyuan-note/siyuan/issues/10079)
* [Reduce the delay in adding rows in database table view](https://github.com/siyuan-note/siyuan/issues/10082)
* [Add plugin API `uninstall`](https://github.com/siyuan-note/siyuan/issues/10086)
* [Add plugin field `protyleOptions`](https://github.com/siyuan-note/siyuan/issues/10090)
* [Improve adding rows of the sorted database table view](https://github.com/siyuan-note/siyuan/issues/10099)
* [Add internal kernel API `/api/repo/getRepoFile`](https://github.com/siyuan-note/siyuan/issues/10101)

## Download

* [B3log](https://b3log.org/siyuan/en/download.html)
* [GitHub](https://github.com/siyuan-note/siyuan/releases)
