## Overview

This version supports configuring ignore search results and improves editor and export details.

## Changelogs

Below are the detailed changes in this version.

### Enhancement

* [`Exit focus` supports configuring hotkey](https://github.com/siyuan-note/siyuan/issues/10013)
* [Support ignore search results](https://github.com/siyuan-note/siyuan/issues/10089)
* [Improve `F3` and `Ctrl+F3` to prevent creating duplicated doc](https://github.com/siyuan-note/siyuan/issues/10091)
* [Set the default column maximum width on the table](https://github.com/siyuan-note/siyuan/issues/10136)
* [Some kernel interface concurrency is no longer controlled to improve performance](https://github.com/siyuan-note/siyuan/issues/10149)
* [The production environment will no longer register `/debug/pprof/`](https://github.com/siyuan-note/siyuan/issues/10152)
* [Need to be reminded that replacement operations are not supported after grouping by doc](https://github.com/siyuan-note/siyuan/issues/10161)
* [Add `Switch read-only mode` hotkey](https://github.com/siyuan-note/siyuan/issues/10163)
* [Flashcards are not allowed to be modified during data sync to avoid data overwriting](https://github.com/siyuan-note/siyuan/issues/10167)
* [Support background color when exporting pdf](https://github.com/siyuan-note/siyuan/issues/10171)
* [Improve soft line break block parsing when pasting](https://github.com/siyuan-note/siyuan/issues/10173)
* [Search and replace supports whitespace characters](https://github.com/siyuan-note/siyuan/issues/10175)
* [Block ref elements support font styles when exporting](https://github.com/siyuan-note/siyuan/issues/10179)
* [S3/WebDAV data sync no longer uploads check index](https://github.com/siyuan-note/siyuan/issues/10180)
* [Improve display of charts in export pdf and preview mode](https://github.com/siyuan-note/siyuan/issues/10186)
* [Disable using hotkeys to merge list items into super blocks](https://github.com/siyuan-note/siyuan/issues/10188)

### Bugfix

* [`Clear inline elements` is invalid](https://github.com/siyuan-note/siyuan/issues/10140)
* [Lists as flashcards with no hidden answers](https://github.com/siyuan-note/siyuan/issues/10147)
* [After dynamic loading, the editor's read-only mode is abnormal](https://github.com/siyuan-note/siyuan/issues/10155)
* [Attributes not copied when copying HTML block](https://github.com/siyuan-note/siyuan/issues/10159)
* [Focus block does not add the title when exporting as an image](https://github.com/siyuan-note/siyuan/issues/10177)

### Document

* [Add user guide `Mobile App`](https://github.com/siyuan-note/siyuan/issues/10162)

### Refactor

* [Upgrade Electron v28.1.3](https://github.com/siyuan-note/siyuan/issues/10145)

### Development

* [Autofill values in database table view](https://github.com/siyuan-note/siyuan/issues/9867)
* [Improve relation column cell value interfaction](https://github.com/siyuan-note/siyuan/issues/10118)
* [Add attribute "data-key" for Dialog](https://github.com/siyuan-note/siyuan/pull/10138)
* [Improve kernel API `/api/block/insertBlock` argument checking](https://github.com/siyuan-note/siyuan/issues/10144)
* [Add some database related internal kernel APIs](https://github.com/siyuan-note/siyuan/issues/10160)
* [Tips for improving database table view cell](https://github.com/siyuan-note/siyuan/issues/10170)

## Download

* [B3log](https://b3log.org/siyuan/en/download.html)
* [GitHub](https://github.com/siyuan-note/siyuan/releases)
