## Overview

This version improves data sync stability and resolves an issue that caused data loss during data sync on Android 14.

## Changelogs

Below are the detailed changes in this version.

### Enhancement

* [Improve parsing code block pasted from web page](https://github.com/siyuan-note/siyuan/issues/10183)
* [Setting `Esc` as a hotkey is not allowed](https://github.com/siyuan-note/siyuan/issues/10194)
* [Use default icon if marketplace package icon does not exist](https://github.com/siyuan-note/siyuan/issues/10199)
* [Plugins should be reloaded after the data sync](https://github.com/siyuan-note/siyuan/issues/10203)
* [Adjust maximum width of dialog box on the desktop](https://github.com/siyuan-note/siyuan/issues/10211)
* [Adjust the position of the indent and outdent button on the mobile](https://github.com/siyuan-note/siyuan/issues/10213)
* [Improve AI-generated content parsing](https://github.com/siyuan-note/siyuan/issues/10217)
* [Use ⌃0-9 instead of ⌥0-9 in macOS](https://github.com/siyuan-note/siyuan/issues/10218)
* [Improve data sync to prevent an old snapshot to overwrite the new one](https://github.com/siyuan-note/siyuan/issues/10229)
* [Improve search and replace spaces](https://github.com/siyuan-note/siyuan/issues/10231)

### Bugfix

* [Data sync may cause data loss on Android 14](https://github.com/siyuan-note/siyuan/issues/10205)
* [Repeated escaping in preview area when searching for matching doc blocks](https://github.com/siyuan-note/siyuan/issues/10219)
* [Remove invalid requests during boot](https://github.com/siyuan-note/siyuan/pull/10227)
* [Spaced repetition read-only mode is invalid](https://github.com/siyuan-note/siyuan/issues/10230)

### Refactor

* [Simplify retry mechanism to get system version](https://github.com/siyuan-note/siyuan/pull/10198)
* [Upgrade Electron v28.1.4](https://github.com/siyuan-note/siyuan/issues/10223)

### Development

* [Attribute Panel - Database supports adding key and sorting key](https://github.com/siyuan-note/siyuan/issues/10142)
* [Improve database table view select filtering](https://github.com/siyuan-note/siyuan/issues/10193)
* [Unable to update database table view cell under unknown circumstances](https://github.com/siyuan-note/siyuan/issues/10200)
* [Add some database related internal kernel APIs](https://github.com/siyuan-note/siyuan/issues/10201)
* [`Delete` at the end of a block should not delete the next block which is a database table view block](https://github.com/siyuan-note/siyuan/issues/10207)
* [Add or remove the dock plugin should update "window.siyuan.config.uiLayout"](https://github.com/siyuan-note/siyuan/issues/10208)
* [Set the maximum message size of WebSocket broadcast to 128 MiB](https://github.com/siyuan-note/siyuan/pull/10221)
* [Improve database table view asset column name display](https://github.com/siyuan-note/siyuan/issues/10225)

## Download

* [B3log](https://b3log.org/siyuan/en/download.html)
* [GitHub](https://github.com/siyuan-note/siyuan/releases)
