## Overview

This version mainly fixes bugs, and there are also changes to the community theme. Please see the development section below for details.

## Changelogs

Below are the detailed changes in this version.

### Enhancement

* [Publish on F-Droid](https://github.com/siyuan-note/siyuan/issues/5872)
* [Improve math block font size](https://github.com/siyuan-note/siyuan/issues/10251)
* [Improve the parsing of del elements in pasted webpage content](https://github.com/siyuan-note/siyuan/issues/10252)
* [Improve Settings - Cloud UI](https://github.com/siyuan-note/siyuan/pull/10253)
* [Input method candidates cannot be displayed after pinning the new window on macOS](https://github.com/siyuan-note/siyuan/issues/10254)
* [AI clear context action](https://github.com/siyuan-note/siyuan/issues/10255)
* [Improve AI-generated code block parsing](https://github.com/siyuan-note/siyuan/issues/10256)
* [Copy empty block hyperlink (Markdown) fill anchor text with id](https://github.com/siyuan-note/siyuan/issues/10259)
* [Add a Ref export mode `Anchor hash` for notebook Markdown exporting](https://github.com/siyuan-note/siyuan/issues/10265)

### Bugfix

* [Doc tree parsing exception after importing .sy.zip on Android](https://github.com/siyuan-note/siyuan/issues/10261)
* [The image does not appear when exporting a doc containing an image as a picture on iOS](https://github.com/siyuan-note/siyuan/issues/10263)
* [Data sync exception when using a Chinese-named workspace on Android](https://github.com/siyuan-note/siyuan/issues/10273)
* [Part of block text not shown in anchor of block reference when a tag is present](https://github.com/siyuan-note/siyuan/issues/10274)
* [Crash after switching some community themes on iPad](https://github.com/siyuan-note/siyuan/issues/10275)

### Refactor

* [Upgrade Electron v28.2.0](https://github.com/siyuan-note/siyuan/issues/10250)

### Development

Please cooperate to complete the following compatibility upgrades before mid-March:

1. Since the page does not refresh, you need to pay attention to the declaration of variables after switching out and then into the topic
2. window.destroyTheme is mainly used to remove js and css loaded by yourself; added dom; restore modified dom, etc. Just don't affect the next topic. Reference is as follows:
    ```
    window.destroyTheme = () => {
        document.querySelector("#theme-color-style").remove();
    }
    ```

Thank you very much 🙏

* [Call `window.destroyTheme():Promise<void>` instead of refreshing when switching themes](https://github.com/siyuan-note/siyuan/issues/8178)
* [Unable to highlight block Dom using `cb-get-hl`](https://github.com/siyuan-note/siyuan/issues/10244)
* [Add CSS class to database table view checkbox](https://github.com/siyuan-note/siyuan/issues/10262)
* [Support copy, cut, and paste of selected database table view cells](https://github.com/siyuan-note/siyuan/issues/10264)
* [Add internal kernel API `/api/setting/setEditorReadOnly`](https://github.com/siyuan-note/siyuan/issues/10268)
* [Add block icon menu `Add to database`](https://github.com/siyuan-note/siyuan/issues/10269)
* [Add mobile.log file to diagnose mobile issues](https://github.com/siyuan-note/siyuan/issues/10270)

## Download

* [B3log](https://b3log.org/siyuan/en/download.html)
* [GitHub](https://github.com/siyuan-note/siyuan/releases)
