## v2.8.4 / 2023-04-11

### Enhancement

* [Improve the interactive user experience on the mobile](https://github.com/siyuan-note/siyuan/issues/7335)
* [Search input optimization for code block language, templates, embedded blocks, etc.](https://github.com/siyuan-note/siyuan/issues/7597)
* [Enhance mobile search function](https://github.com/siyuan-note/siyuan/issues/7830)
* [Show heading block appearance style in the Outline Panel](https://github.com/siyuan-note/siyuan/issues/7872)
* [Monitor the search performance and suggest solutions](https://github.com/siyuan-note/siyuan/issues/7873)
* [Move the mobile exit app button to a more accessible location](https://github.com/siyuan-note/siyuan/issues/7879)
* [Add flashcard to recently opened documents and switcher](https://github.com/siyuan-note/siyuan/issues/7881)
* [Move charts should not slide side panel on the mobile](https://github.com/siyuan-note/siyuan/issues/7882)
* [Clicking `+` behaves inconsistently on the mobile](https://github.com/siyuan-note/siyuan/issues/7885)
* [Prompt to return to the desktop on the Android](https://github.com/siyuan-note/siyuan/issues/7886)
* [Improve kernel HTTP panic recover](https://github.com/siyuan-note/siyuan/issues/7888)
* [Improve network online check of data sync](https://github.com/siyuan-note/siyuan/issues/7890)
* [AI translation adds support for `Traditional Chinese`](https://github.com/siyuan-note/siyuan/pull/7891)
* [Show inline-element menu only after clicking `BIU` or selecting text](https://github.com/siyuan-note/siyuan/issues/7892)
* [Save layout supports overwriting with the same name](https://github.com/siyuan-note/siyuan/issues/7893)
* [Custom AI action no longer inserts itself into content](https://github.com/siyuan-note/siyuan/issues/7894)
* [After clicking the slash menu on the mobile, modify the hidden keyboard to close the slash menu](https://github.com/siyuan-note/siyuan/issues/7895)
* [When swiping left and right to pull out the panel, the editor should be out of focus on the mobile](https://github.com/siyuan-note/siyuan/issues/7896)
* [Dragging the playback progress of the audio block will pull out the panel on iOS](https://github.com/siyuan-note/siyuan/issues/7898)
* [Add version info at the end of the message in all error notifications](https://github.com/siyuan-note/siyuan/issues/7899)
* [Show "What's New in SiYuan" after upgrading](https://github.com/siyuan-note/siyuan/issues/7902)
* [Add a new API `Move block`](https://github.com/siyuan-note/siyuan/issues/7903)
* [Support KaTex macro definition on the mobile](https://github.com/siyuan-note/siyuan/issues/7909)
* [When local.json is corrupted, clear the file to avoid being unable to enter the main interface](https://github.com/siyuan-note/siyuan/issues/7911)
* [Resolve invalid non-full-screen menus on some mobile](https://github.com/siyuan-note/siyuan/pull/7912)
* [After switching tabs, reposition by range](https://github.com/siyuan-note/siyuan/issues/7915)
* [Allow changing headings with `#`](https://github.com/siyuan-note/siyuan/issues/7924)
* [Flashcard fullscreen display on the mobile](https://github.com/siyuan-note/siyuan/issues/7932)
* [Input `#` at the start of a heading, do not pop-up tag search list](https://github.com/siyuan-note/siyuan/issues/7933)
* [Add transitions for popup menu on mobile](https://github.com/siyuan-note/siyuan/issues/7934)
* [Quick make card support Ctrl+Z undo](https://github.com/siyuan-note/siyuan/issues/7937)
* [Improve the back button when browsing pictures on the Android](https://github.com/siyuan-note/siyuan/issues/7938)
* [Increase the spacing between sub-blocks when the super block is laid out horizontally](https://github.com/siyuan-note/siyuan/issues/7939)
* [Support floating soft keyboard on the mobile](https://github.com/siyuan-note/siyuan/issues/7940)
* [Improve WeChat SiYuan Assistant's clipping link parsing](https://github.com/siyuan-note/siyuan/issues/7942)

### Bugfix

* [Window buttons overlap after spaced repetition fullscreen](https://github.com/siyuan-note/siyuan/issues/7877)
* [Quickly closing tabs will cause a white screen in the editing area](https://github.com/siyuan-note/siyuan/issues/7878)
* [A blank area will appear after clicking the toolbar and hiding the keyboard on the mobile](https://github.com/siyuan-note/siyuan/issues/7880)
* [Initialization interface hangs on macOS](https://github.com/siyuan-note/siyuan/issues/7887)
* [Export PDF margins error after scale is not 1](https://github.com/siyuan-note/siyuan/issues/7900)
* [Switching to export preview mode after focusing and then switching back to edit mode did not maintain focus](https://github.com/siyuan-note/siyuan/issues/7901)
* [Save the new window layout](https://github.com/siyuan-note/siyuan/issues/7913)
* [Parse error when hyperlink dest/title in tables contain `|` symbol](https://github.com/siyuan-note/siyuan/issues/7917)
* [Fix API endpoint URL in fetchPost calls `getBlockInfo`](https://github.com/siyuan-note/siyuan/pull/7918)
* [Quick mark and card will not complete the writing](https://github.com/siyuan-note/siyuan/issues/7923)
* [Ctrl+↑ can't work in the doc tree](https://github.com/siyuan-note/siyuan/issues/7931)
* [Tray menu text does not change with the appearance language](https://github.com/siyuan-note/siyuan/issues/7935)

### Document

* [Add Performance Optimization chapter to user guide](https://github.com/siyuan-note/siyuan/issues/7889)
* [Add Note and Limitations in Dock hosting chapter to user guide](https://github.com/siyuan-note/siyuan/issues/7897)

### Refactor

* [Adjust addRiffCards/removeRiffCards implementation to be asynchronous transaction](https://github.com/siyuan-note/siyuan/issues/7936)

### Development

* [Attribute View map to database table](https://github.com/siyuan-note/siyuan/issues/7677)
* [Move CHANGELOG.md to app/changelogs dir](https://github.com/siyuan-note/siyuan/issues/7904)
* [Add zh_CN changelog](https://github.com/siyuan-note/siyuan/issues/7905)
* [Create separate changelog files for each release](https://github.com/siyuan-note/siyuan/issues/7906)
