## Overview

All in all, this version is well worth the upgrade.

We recommend everyone to upgrade to this version as soon as possible, especially users who are using cloud data synchronization.

### Global search

Some users complained that the global search results were not complete, because we limited the number of search results and only displayed the most suitable search results.

Now we have removed this restriction, users can browse all search results through paged navigation.

### Data repo

Data repo is a very important function, which realizes data snapshot, data synchronization and backup. In this version, we have made substantial improvements to the data repo, mainly including:

* Support downloading cloud data snapshots to local on demand
* Support cleaning unreferenced data snapshots, the function entry is located in Settings - About - Data repo purge
* Improved data snapshot comparison
* Data snapshot saves device information

Support downloading cloud data snapshots to local on demand is a very important improvement. It allows users to download cloud data snapshots from any device at any point in time, providing more protection for data security.

It should be noted that the cloud data snapshot does not support displaying data snapshots synchronized by previous versions. Please update all devices to the latest version, and only after that can be added to the cloud data snapshot.

### Settings

As more and more configuration items are included in the settings, it becomes more and more difficult to find a configuration item. Now we have enhanced the search function in the settings, and you can quickly filter out configuration items through search.

In addition, we have also optimized the details of the setting interface to make it more beautiful.

### PWA install App

If you are using SiYuan through server hosting (such as a Docker), then you can install the application locally through the PWA, so that you can get an experience similar to a desktop application.

### Mobile

* Support cloud inbox
* Supports searching in the specified document, the function entry is in the document menu of the document tree

## Changelogs

Below are the detailed changelogs.

### Enhancement

* [Global search support pagination to display results](https://github.com/siyuan-note/siyuan/issues/7948)
* [Add `- `, `* `, `1. ` and `[] ` before the heading then convert it into the list with that heading](https://github.com/siyuan-note/siyuan/issues/7972)
* [Inline-level elements support pasted as plain text](https://github.com/siyuan-note/siyuan/issues/8010)
* [PWA support (desktop & mobile)](https://github.com/siyuan-note/siyuan/pull/8012)
* [`:)` emoji should be not misinterpretted](https://github.com/siyuan-note/siyuan/issues/8030)
* [Improve `Alt+O` when editor is moved to a new window](https://github.com/siyuan-note/siyuan/issues/8032)
* [Improve settings interface](https://github.com/siyuan-note/siyuan/issues/8034)
* [Make bug reports `Kernel connection interrupted` text more user friendly](https://github.com/siyuan-note/siyuan/issues/8035)
* [Support `Ctrl+Enter` and `Ctrl+Click` to use static anchor text when searching for block reference](https://github.com/siyuan-note/siyuan/issues/8037)
* [Improve settings search filter display](https://github.com/siyuan-note/siyuan/issues/8038)
* [Improve `Convert network images to local images` success rate](https://github.com/siyuan-note/siyuan/issues/8040)
* [Official data sync counts the number of cloud storage API calls](https://github.com/siyuan-note/siyuan/issues/8048)
* [Improve Data History - Data snapshot loading performance](https://github.com/siyuan-note/siyuan/issues/8052)
* [Data repo support for purging unreferenced indexes and objects](https://github.com/siyuan-note/siyuan/issues/8054)
* [Improve local data repo, cloud data synchronization and backup](https://github.com/siyuan-note/siyuan/issues/8055)
* [Support downloading cloud data snapshots to local on demand](https://github.com/siyuan-note/siyuan/issues/8057)
* [Improve dialog close position on the mobile](https://github.com/siyuan-note/siyuan/issues/8060)
* [Improve Data History UI](https://github.com/siyuan-note/siyuan/issues/8062)
* [Support `Copy block hyperlink (Markdown)`](https://github.com/siyuan-note/siyuan/issues/8065)
* [Do not handle `\` escapes when pasting into inline-level code](https://github.com/siyuan-note/siyuan/issues/8066)
* [The document title support returning to the parent document via `Alt+←`](https://github.com/siyuan-note/siyuan/issues/8068)
* [Global search is no longer limited by the Settings - Search - The number of search results displayed](https://github.com/siyuan-note/siyuan/issues/8069)
* [Support cloud inbox on the mobile](https://github.com/siyuan-note/siyuan/issues/8070)
* [Global search ignores `LIMIT` clause when using SQL method](https://github.com/siyuan-note/siyuan/issues/8071)
* [Support inline-level element long-press popup menu on the iPhone](https://github.com/siyuan-note/siyuan/issues/8074)
* [Show abbreviated ID in data snapshot list](https://github.com/siyuan-note/siyuan/issues/8075)
* [Assets hyperlinks are no longer included in the search index](https://github.com/siyuan-note/siyuan/issues/8076)
* [Add configuration item `Editor` - `[[ Only search doc block`](https://github.com/siyuan-note/siyuan/issues/8077)
* [Improve `<script>` in HTML block](https://github.com/siyuan-note/siyuan/pull/8079)
* [Improve data snapshot comparison](https://github.com/siyuan-note/siyuan/issues/8081)
* [The right-click menu of the bookmark panel adds functions such as `Copy block ref`](https://github.com/siyuan-note/siyuan/issues/8082)
* [Provides the `Alt+F` shortcut key for the current document spaced repetition](https://github.com/siyuan-note/siyuan/issues/8083)
* [Annotate PDF text can use shortcut `0-7` keys to select colors](https://github.com/siyuan-note/siyuan/issues/8085)
* [Support specified document search on the mobile](https://github.com/siyuan-note/siyuan/issues/8086)
* [Browser Web Clipping extension notebook list escape HTML display](https://github.com/siyuan-note/siyuan/issues/8087)
* [File history and data snapshot display paging information](https://github.com/siyuan-note/siyuan/issues/8090)
* [Data snapshot save device ID, name and OS](https://github.com/siyuan-note/siyuan/issues/8094)
* [Error notification pops up only once after auto sync fails](https://github.com/siyuan-note/siyuan/issues/8096)
* [Reduce potential page number jumping in PDF tabs](https://github.com/siyuan-note/siyuan/issues/8097)
* [Improve highlighting of numbers and letters in global search preview](https://github.com/siyuan-note/siyuan/issues/8100)

### Abolishment

* [The total payment amount is no longer displayed in the account settings](https://github.com/siyuan-note/siyuan/issues/8093)

### Bugfix

* [There is an extra blank space on the right side of the Settings - Marketplace interface](https://github.com/siyuan-note/siyuan/issues/8027)
* [After modifying the access authentication code on the browser side, the other side does not refresh](https://github.com/siyuan-note/siyuan/issues/8028)
* [After syncing, auto reopen tab opened by `siyuan://`](https://github.com/siyuan-note/siyuan/issues/8045)
* [The close button is invalid when the mobile flashcard management dialog box is empty](https://github.com/siyuan-note/siyuan/issues/8053)
* [Wrong anchor using `Ctrl+Shift+C` in the title when the document has a name](https://github.com/siyuan-note/siyuan/issues/8080)
* [PDF dark theme annotations disappear after scale](https://github.com/siyuan-note/siyuan/issues/8088)

### Document

* [Add detailed description of block name, alias and memo to user guide](https://github.com/siyuan-note/siyuan/issues/8046)
* [Add "Data Availability Guarantee" section in user guide](https://github.com/siyuan-note/siyuan/issues/8078)