## 概述

总得来说，这个版本非常值得升级。

我们推荐大家尽快升级到这个版本，特别是正在使用云端数据同步的用户。

### 全局搜索

之前有用户抱怨全局搜索结果不全，这是因为我们限制了搜索结果的数量，仅将最适合的搜索结果展现出来。

现在我们取消了这个限制，用户可以通过分页导航来浏览所有搜索结果。

### 数据仓库

数据仓库是一个非常重要的功能，它实现了数据快照、数据同步和备份。这个版本我们对数据仓库进行了大幅度的改进，主要包括：

* 支持按需下载云端数据快照
* 支持清理未引用的数据快照，该功能入口位于 设置 - 关于 - 数据仓库清理
* 改进数据快照对比
* 数据快照保存设备信息

支持按需下载云端数据快照是一个非常重要的改进，它可以让用户下载任何设备、任何时间点的云端数据快照，为数据安全提供了更多保障。

需要注意的是，云端数据快照中不支持显示之前版本同步的数据快照。请将所有设备更新到最新版，在此之后的数据快照中才能加入到云端数据快照中。

### 设置

随着设置中配置项越来越多，要找到某个配置项变得越来越困难。现在我们对设置中的搜索功能进行了增强，可以通过搜索快速过滤出配置项了。

另外，我们也对设置界面也进行了细节优化，让它变得更加美观了。

### PWA 安装应用

如果你正在通过伺服方式使用思源（比如 Docker 伺服），那么你可以通过 PWA 安装应用到本地，这样就可以得到类似于桌面应用的体验了。

### 移动端

* 支持云端收集箱
* 支持在指定文档中搜索，该功能入口在文档树文档菜单中

## 变更记录

以下是详细的变更记录。

### 改进功能

* [全局搜索支持分页展现结果](https://github.com/siyuan-note/siyuan/issues/7948)
* [在标题块开头处输入 `- `、`* `、`1. ` 和 `[] ` 支持将其转换为列表块](https://github.com/siyuan-note/siyuan/issues/7972)
* [行级元素中支持粘贴为纯文本](https://github.com/siyuan-note/siyuan/issues/8010)
* [PWA 支持（桌面端和移动端）](https://github.com/siyuan-note/siyuan/pull/8012)
* [改进 `:)` 表情输入过滤](https://github.com/siyuan-note/siyuan/issues/8030)
* [页签移动到新窗口后 `Alt+O` 不遮挡窗口按钮](https://github.com/siyuan-note/siyuan/issues/8032)
* [改进设置界面](https://github.com/siyuan-note/siyuan/issues/8034)
* [更为友好的问题报告 `内核连接中断` 文案](https://github.com/siyuan-note/siyuan/issues/8035)
* [块引用搜索结果选择时支持通过 `Ctrl+Enter` 和 `Ctrl+Click` 来使用静态锚文本](https://github.com/siyuan-note/siyuan/issues/8037)
* [设置搜索结果过滤显示](https://github.com/siyuan-note/siyuan/issues/8038)
* [提升 `网络图片转换本地图片` 成功率](https://github.com/siyuan-note/siyuan/issues/8040)
* [官方数据同步统计 API 调用次数](https://github.com/siyuan-note/siyuan/issues/8048)
* [改进数据历史 - 数据快照 加载性能](https://github.com/siyuan-note/siyuan/issues/8052)
* [数据仓库支持清理未引用的快照](https://github.com/siyuan-note/siyuan/issues/8054)
* [改进数据仓库、云端同步和备份](https://github.com/siyuan-note/siyuan/issues/8055)
* [支持按需下载云端快照](https://github.com/siyuan-note/siyuan/issues/8057)
* [改进移动端对话框关闭按钮位置](https://github.com/siyuan-note/siyuan/issues/8060)
* [改进数据历史界面](https://github.com/siyuan-note/siyuan/issues/8062)
* [支持 `复制块超链接（Markdown）`](https://github.com/siyuan-note/siyuan/issues/8065)
* [行级代码中粘贴时不再处理 `\` 转义内容](https://github.com/siyuan-note/siyuan/issues/8066)
* [文档标题处支持通过 `Alt+←` 返回父文档](https://github.com/siyuan-note/siyuan/issues/8068)
* [全局搜索结果数量不再受 设置 - 搜索 - 搜索结果显示数 限制](https://github.com/siyuan-note/siyuan/issues/8069)
* [移动端支持云端收集箱](https://github.com/siyuan-note/siyuan/issues/8070)
* [在全局搜索中通过 SQL 方式搜索时忽略 `LIMIT` 子句](https://github.com/siyuan-note/siyuan/issues/8071)
* [iPhone 上支持长按弹出行级元素菜单](https://github.com/siyuan-note/siyuan/issues/8074)
* [数据快照列表中显示快照 ID 缩写](https://github.com/siyuan-note/siyuan/issues/8075)
* [资源文件超链接不再被搜索索引](https://github.com/siyuan-note/siyuan/issues/8076)
* [增加配置项 `编辑器` - `[[ 仅搜索文档块`](https://github.com/siyuan-note/siyuan/issues/8077)
* [改进 HTML 块 `<script>`](https://github.com/siyuan-note/siyuan/pull/8079)
* [改进数据快照对比](https://github.com/siyuan-note/siyuan/issues/8081)
* [书签面板右键菜单增加 `复制块引用` 等功能](https://github.com/siyuan-note/siyuan/issues/8082)
* [为当前文档提供 `Alt+F` 进入间隔重复](https://github.com/siyuan-note/siyuan/issues/8083)
* [支持在 PDF 页签中使用 `0-7` 选择颜色标注](https://github.com/siyuan-note/siyuan/issues/8085)
* [移动端支持指定文档搜索](https://github.com/siyuan-note/siyuan/issues/8086)
* [浏览器剪藏扩展显示笔记本列表时处理转义](https://github.com/siyuan-note/siyuan/issues/8087)
* [文件历史和数据快照显示分页信息](https://github.com/siyuan-note/siyuan/issues/8090)
* [数据快照保存设备信息](https://github.com/siyuan-note/siyuan/issues/8094)
* [自动同步失败后仅弹出一次错误通知](https://github.com/siyuan-note/siyuan/issues/8096)
* [减少 PDF 页签潜在的页码跳动](https://github.com/siyuan-note/siyuan/issues/8097)
* [改进全局搜索预览时对数字和字母的高亮处理](https://github.com/siyuan-note/siyuan/issues/8100)

### 移除功能

* [账号设置中不再显示已经支付的总额](https://github.com/siyuan-note/siyuan/issues/8093)

### 修复缺陷

* [设置 - 集市 界面出现多余的空白](https://github.com/siyuan-note/siyuan/issues/8027)
* [在浏览器端修改访问授权码后其他端未刷新](https://github.com/siyuan-note/siyuan/issues/8028)
* [数据同步后不应该自动重新打开 `siyuan://` 初始页签](https://github.com/siyuan-note/siyuan/issues/8045)
* [移动端闪卡管理对话框关闭按钮失效](https://github.com/siyuan-note/siyuan/issues/8053)
* [在文档标题处 `Ctrl+Shift+C` 时未优先使用命名](https://github.com/siyuan-note/siyuan/issues/8080)
* [PDF 暗黑模式主题下缩放后标注消失](https://github.com/siyuan-note/siyuan/issues/8088)

### 改进文档

* [在用户指南中添加关于块命名、别名和备注的细节描述](https://github.com/siyuan-note/siyuan/issues/8046)
* [在用户指南中新增 数据可用性保障 章节](https://github.com/siyuan-note/siyuan/issues/8078)