## Overview

This version improves a lot of details, such as no longer jumping after folding the heading, no longer refreshing the interface after data synchronization, reducing the interference with the current working state.

Otherwise, this version also improves the stability of writing files. If you often encounter `File system access error`, then the upgrade should be able to improve it.

### Spaced repetition

Supports converting the spaced repetition UI to a tab, so that you can view or operate the content of other tabs during the spaced repetition process to improve efficiency.

### Plugin system

This version initially implements the plugin system so that community developers can start early access. The plugin system is planned to be officially released in v2.9.0.

### File system

Because of some reasons (such as antivirus software), occupying files will cause data to be unable to be written to files, which will cause the kernel to exit and prompt the user.

In this version, we have improved the file writing, and now we will retry after the write fails. If the retry fails, the kernel will exit, which can improve stability to a certain extent.

### Data synchronization

The main improvement is that the interface is no longer reloaded after data synchronization, but only the changed part is refreshed, which can reduce the interface flicker and improve the user experience.

### Community marketplace

Community marketplace has added some configuration items for various types of extension packages:

* Funding: Support configuration of Open Collective, Patreon, GitHub and custom funding links
* Icon: Support configuration of package icon
* I18n: Support configuration of multiple languages

We recommend that marketplace developers update the relevant config items to get better display effects in the marketplace. For details, please refer to the following examples:

* [SiYuan theme sample](https://github.com/siyuan-note/theme-sample)
* [SiYuan icon sample](https://github.com/siyuan-note/icon-sample)
* [SiYuan template sample](https://github.com/siyuan-note/template-sample)
* [SiYuan widget sample](https://github.com/siyuan-note/widget-sample)
* [SiYuan plugin sample](https://github.com/siyuan-note/plugin-sample)

## Changelogs

Below are the detailed changelogs.

### Enhancement

* [Avoid page jump after folding a header block](https://github.com/siyuan-note/siyuan/issues/7785)
* [Init plugin system](https://github.com/siyuan-note/siyuan/issues/8041)
* [Community marketplace adds plugin section](https://github.com/siyuan-note/siyuan/issues/8043)
* [Spaced repetition UI support converts to a tab](https://github.com/siyuan-note/siyuan/issues/8061)
* [The interface is no longer reloaded after data synchronization](https://github.com/siyuan-note/siyuan/issues/8098)
* [After using `The name of the new subdocument is` by `F3` in an empty block, it will no longer automatically select all](https://github.com/siyuan-note/siyuan/issues/8099)
* [Improve the sync error message prompt caused by account auth failure](https://github.com/siyuan-note/siyuan/issues/8101)
* [Press `Alt+F` a second time to close the spaced repetition](https://github.com/siyuan-note/siyuan/issues/8102)
* [Click a broken link in the PDF results in a white screen](https://github.com/siyuan-note/siyuan/issues/8103)
* [No longer convert heading into the ordered list after adding `1. ` before it](https://github.com/siyuan-note/siyuan/issues/8105)
* [Input `[]` at the beginning of a paragraph block with content can also be turned into a task list](https://github.com/siyuan-note/siyuan/issues/8108)
* [Improve PDF export paging strategy](https://github.com/siyuan-note/siyuan/pull/8110)
* [Support path with spaces when using the link to set the header image](https://github.com/siyuan-note/siyuan/issues/8113)
* [Separate content by newline when pasting as plain text after selecting multiple blocks to copy](https://github.com/siyuan-note/siyuan/issues/8114)
* [Use the doc icon first in the block ref search list](https://github.com/siyuan-note/siyuan/issues/8115)
* [Support focus block export template](https://github.com/siyuan-note/siyuan/issues/8117)
* [Add some tips on the empty start page](https://github.com/siyuan-note/siyuan/issues/8120)
* [Improve converting search to a tab](https://github.com/siyuan-note/siyuan/issues/8139)
* [Improve data snapshot comparison icon](https://github.com/siyuan-note/siyuan/issues/8140)
* [WebSocket reconnect no longer reload the UI](https://github.com/siyuan-note/siyuan/issues/8141)
* [Support for selection of GPT models `gpt-4`, `gpt-4-32k` and `gpt-3.5-turbo`](https://github.com/siyuan-note/siyuan/issues/8142)
* [`Copy block hyperlink (Markdown)` anchor text length follows editor setting `The maximum length of block ref dynamic anchor text`](https://github.com/siyuan-note/siyuan/issues/8144)
* [Hide the tab list button when it is clicked a second time](https://github.com/siyuan-note/siyuan/issues/8147)
* [The cover position is wrong when the keyboard pops up on the mobile](https://github.com/siyuan-note/siyuan/issues/8148)
* [Retry file writes to improve stability](https://github.com/siyuan-note/siyuan/issues/8149)
* [Remove the space when copying PDF annotation containing a newline](https://github.com/siyuan-note/siyuan/issues/8152)
* [Add placeholders on the Attribute dialog](https://github.com/siyuan-note/siyuan/issues/8154)
* [Add animation effect to prompt users after making flashcards](https://github.com/siyuan-note/siyuan/issues/8157)
* [Improve editor loading animation](https://github.com/siyuan-note/siyuan/issues/8158)
* [Enlarge the AI Chat input box](https://github.com/siyuan-note/siyuan/issues/8161)
* [Show empty block hints on the mobile](https://github.com/siyuan-note/siyuan/issues/8162)
* [The block icon menu adds move-related key combination tips](https://github.com/siyuan-note/siyuan/issues/8163)
* [Improve the context folding logic of the list in the backlink panel](https://github.com/siyuan-note/siyuan/issues/8165)
* [API `/api/query/sql` add `LIMIT` clause](https://github.com/siyuan-note/siyuan/issues/8167)
* [Support AVIF image format](https://github.com/siyuan-note/siyuan/issues/8170)
* [Custom IAL attr name support more symbol](https://github.com/siyuan-note/siyuan/pull/8172)
* [Improve marketplace UI](https://github.com/siyuan-note/siyuan/issues/8181)
* [When creating a doc on the mobile, some cases no longer open it](https://github.com/siyuan-note/siyuan/issues/8184)
* [Improve hyperlink anchor text when exporting to Markdown](https://github.com/siyuan-note/siyuan/issues/8191)
* [Access to the OpenAI API is no longer supported on Huawei devices](https://github.com/siyuan-note/siyuan/issues/8192)
* [Check for duplicates in all windows when opening a tab](https://github.com/siyuan-note/siyuan/issues/8193)
* [Modified inline-level memos in the floating window are not saved](https://github.com/siyuan-note/siyuan/issues/8199)
* [Update feedback icon](https://github.com/siyuan-note/siyuan/issues/8201)
* [Show count in spaced repetition tree filter floating window](https://github.com/siyuan-note/siyuan/issues/8202)

### Bugfix

* [Parse occurs exception after adding `- `, `* ` and `[] ` before heading](https://github.com/siyuan-note/siyuan/issues/8106)
* [Export PDF preview fails to load](https://github.com/siyuan-note/siyuan/issues/8126)
* [The save path is incorrect when creating a sub-doc by ref in a doc with the same name](https://github.com/siyuan-note/siyuan/issues/8138)
* [The keyboard element is highlighted incorrectly in backlink mentions](https://github.com/siyuan-note/siyuan/issues/8143)
* [PDF cannot be moved using `↑/↓`](https://github.com/siyuan-note/siyuan/issues/8164)
* [Overlay block ref on PDF annotation ref lead to failure to query unreferenced assets](https://github.com/siyuan-note/siyuan/issues/8186)
* [Can't insert an inline formula that contains the `"` symbol](https://github.com/siyuan-note/siyuan/issues/8190)
* [Data lost after inserting multiple files in table cell](https://github.com/siyuan-note/siyuan/issues/8196)

### Document

* [Add "Community Resources" section to user guide](https://github.com/siyuan-note/siyuan/issues/8123)
* [Add "Glossary" chapter to user guide](https://github.com/siyuan-note/siyuan/issues/8137)

### Refactor

* [Release Electron renderer window events](https://github.com/siyuan-note/siyuan/issues/8107)
* [Upgrade Electron](https://github.com/siyuan-note/siyuan/issues/8197)

### Development

* [Import Petal module](https://github.com/siyuan-note/siyuan/pull/8001)
* [Kernel API supports load plugins](https://github.com/siyuan-note/siyuan/issues/8044)
* [Improve API `listDocsByPath` param `sort`](https://github.com/siyuan-note/siyuan/pull/8156)
* [Provide marketplace package repository template](https://github.com/siyuan-note/siyuan/issues/8168)
* [Add funding settings in marketplace package](https://github.com/siyuan-note/siyuan/issues/8171)
* [Add icon settings in marketplace package](https://github.com/siyuan-note/siyuan/issues/8174)
* [Add i18n settings in marketplace package](https://github.com/siyuan-note/siyuan/issues/8177)