## 概述

这个版本改进了很多细节体验，比如折叠标题后页面不再跳动、数据同步后不再整体刷新界面，减少对当前工作状态的干扰。

另外，该版本也改进写入文件的稳定性，如果你经常遇到 `文件系统读写错误`，那么升级后应该能够有所改善。

### 间隔重复

支持将间隔重复界面浮层转换为页签，这样就可以在间隔重复的过程中查看或者操作其他页签的内容以提升效率。

### 插件系统

该版本初步实现了插件系统，以便让社区开发者能够开始进行早期接入，插件系统计划在 v2.9.0 中正式发布。

### 文件系统

因为某些原因（比如杀毒软件）占用文件会导致数据无法写入文件从而退出内核并提示用户。

在这个版本中我们对文件写入进行了改进，现在会在写入失败后进行重试，如果重试失败才退出内核，这样能够在一定程度上提升稳定性。

### 数据同步

主要的改进是在数据同步后不再整体刷新界面，而是只刷新变更的部分，这样可以减少界面闪烁，提升用户体验。

### 社区集市

社区集市中的各类扩展包统一增加了一些配置项：

* 赞助：支持配置 Open Collective、Patreon、GitHub 和自定义赞助链接
* 图标：支持配置包图标
* 国际化：支持配置多语言

建议集市包开发者更新相关配置以便在集市中获得更好的展示效果，具体请参考下面的示例：

* [SiYuan theme sample](https://github.com/siyuan-note/theme-sample)
* [SiYuan icon sample](https://github.com/siyuan-note/icon-sample)
* [SiYuan template sample](https://github.com/siyuan-note/template-sample)
* [SiYuan widget sample](https://github.com/siyuan-note/widget-sample)
* [SiYuan plugin sample](https://github.com/siyuan-note/plugin-sample)

## 变更记录

以下是详细的变更记录。

### 改进功能

* [折叠标题块后避免页面跳动](https://github.com/siyuan-note/siyuan/issues/7785)
* [初始化插件系统](https://github.com/siyuan-note/siyuan/issues/8041)
* [添加社区插件集市](https://github.com/siyuan-note/siyuan/issues/8043)
* [间隔重复界面支持转换为页签](https://github.com/siyuan-note/siyuan/issues/8061)
* [数据同步后不再整体刷新界面](https://github.com/siyuan-note/siyuan/issues/8098)
* [在对空段落使用 `F3` 进行 `新建子文档名为` 后不再自动选中所有块](https://github.com/siyuan-note/siyuan/issues/8099)
* [改进账号鉴权失败后数据同步的报错提示](https://github.com/siyuan-note/siyuan/issues/8101)
* [第二次按 `Alt+F` 时关闭间隔重复界面](https://github.com/siyuan-note/siyuan/issues/8102)
* [在 PDF 页签中点击损坏的超链接不再导致白屏](https://github.com/siyuan-note/siyuan/issues/8103)
* [标题块开始前输入 `1. ` 不再转换为有序列表](https://github.com/siyuan-note/siyuan/issues/8105)
* [在非空段落块开始前输入 `[]` 支持转换为任务列表](https://github.com/siyuan-note/siyuan/issues/8108)
* [改进导出 PDF 分页](https://github.com/siyuan-note/siyuan/pull/8110)
* [使用超链接设置题头图时支持包含空格的路径](https://github.com/siyuan-note/siyuan/issues/8113)
* [选择多个块复制后粘贴为纯文本使用换行分隔内容](https://github.com/siyuan-note/siyuan/issues/8114)
* [块引搜索列表中对于文档块结果优先使用文档图标](https://github.com/siyuan-note/siyuan/issues/8115)
* [支持聚焦块导出模板](https://github.com/siyuan-note/siyuan/issues/8117)
* [在空白的开始页添加一些指引提示](https://github.com/siyuan-note/siyuan/issues/8120)
* [改进搜索转换为页签](https://github.com/siyuan-note/siyuan/issues/8139)
* [改进数据快照对比图标](https://github.com/siyuan-note/siyuan/issues/8140)
* [WebSocket 重连不再刷新界面](https://github.com/siyuan-note/siyuan/issues/8141)
* [支持选择 GPT 模型 `gpt-4`、`gpt-4-32k` 和 `gpt-3.5-turbo`](https://github.com/siyuan-note/siyuan/issues/8142)
* [`复制块超链接（Markdown）` 锚文本长度遵循编辑器设置 `块引动态锚文本最大长度`](https://github.com/siyuan-note/siyuan/issues/8144)
* [第二次点击页签列表按钮后关闭列表](https://github.com/siyuan-note/siyuan/issues/8147)
* [改进移动端软键盘弹起后题头图大小定位](https://github.com/siyuan-note/siyuan/issues/8148)
* [改进文件写入稳定性](https://github.com/siyuan-note/siyuan/issues/8149)
* [PDF 标注中包含换行是移除对于空格](https://github.com/siyuan-note/siyuan/issues/8152)
* [属性对话框中添加占位文案提示](https://github.com/siyuan-note/siyuan/issues/8154)
* [改进制作闪卡后的动画](https://github.com/siyuan-note/siyuan/issues/8157)
* [改进编辑器加载动画](https://github.com/siyuan-note/siyuan/issues/8158)
* [扩大 AI Chat 输入框](https://github.com/siyuan-note/siyuan/issues/8161)
* [在移动端显示空块提示](https://github.com/siyuan-note/siyuan/issues/8162)
* [块标菜单添加移动相关的组合键悬浮提示](https://github.com/siyuan-note/siyuan/issues/8163)
* [改进反链面板中列表上下文折叠逻辑](https://github.com/siyuan-note/siyuan/issues/8165)
* [API `/api/query/sql` 增加 `LIMIT` 子句](https://github.com/siyuan-note/siyuan/issues/8167)
* [支持 AVIF 图片格式](https://github.com/siyuan-note/siyuan/issues/8170)
* [自定义块属性支持更多符号](https://github.com/siyuan-note/siyuan/pull/8172)
* [改进集市界面](https://github.com/siyuan-note/siyuan/issues/8181)
* [在移动端创建文档后一些情况不再跳转打开](https://github.com/siyuan-note/siyuan/issues/8184)
* [改进导出 Markdown 超链接锚文本](https://github.com/siyuan-note/siyuan/issues/8191)
* [在华为手机上不再支持配置 OpenAI](https://github.com/siyuan-note/siyuan/issues/8192)
* [打开页签时在所有窗口中检查是否重复打开](https://github.com/siyuan-note/siyuan/issues/8193)
* [在浮窗中修改行级备注后未保存](https://github.com/siyuan-note/siyuan/issues/8199)
* [更新反馈图标](https://github.com/siyuan-note/siyuan/issues/8201)
* [间隔重复文档树过滤浮窗中显示计数](https://github.com/siyuan-note/siyuan/issues/8202)

### 修复缺陷

* [在标题块开始前输入 `- `、`* ` 和 `[] ` 解析异常](https://github.com/siyuan-note/siyuan/issues/8106)
* [导出 PDF 预览加载失败](https://github.com/siyuan-note/siyuan/issues/8126)
* [同名的文档中通过引用创建子文档时存放位置不正确](https://github.com/siyuan-note/siyuan/issues/8138)
* [反链提及中键盘元素高亮不正确](https://github.com/siyuan-note/siyuan/issues/8143)
* [PDF 页签中无法使用 `↑/↓`](https://github.com/siyuan-note/siyuan/issues/8164)
* [在 PDF 标注引用中叠加块引用元素导致查询未引用资源失败](https://github.com/siyuan-note/siyuan/issues/8186)
* [行级公式中无法插入 `"`](https://github.com/siyuan-note/siyuan/issues/8190)
* [表格单元格中插入多个文件后丢失数据](https://github.com/siyuan-note/siyuan/issues/8196)

### 改进文档

* [在用户指南中增加 社区资源 章节](https://github.com/siyuan-note/siyuan/issues/8123)
* [在用户指南中增加 术语表 章节](https://github.com/siyuan-note/siyuan/issues/8137)

### 开发重构

* [释放 Electron 渲染窗口事件](https://github.com/siyuan-note/siyuan/issues/8107)
* [升级 Electron](https://github.com/siyuan-note/siyuan/issues/8197)

### 开发者

* [引入 Petal 模块](https://github.com/siyuan-note/siyuan/pull/8001)
* [内核 API 支持加载插件](https://github.com/siyuan-note/siyuan/issues/8044)
* [改进 API `listDocsByPath` 参数 `sort`](https://github.com/siyuan-note/siyuan/pull/8156)
* [提供集市包模板库](https://github.com/siyuan-note/siyuan/issues/8168)
* [集市包增加赞助设置](https://github.com/siyuan-note/siyuan/issues/8171)
* [集市包增加图标设置](https://github.com/siyuan-note/siyuan/issues/8174)
* [集市包增加国际化设置](https://github.com/siyuan-note/siyuan/issues/8177)
