## Overview

In this version, a single document can be exported to more formats, such as reStructuredText, AsciiDoc, Textile, and OPML.

### More than 10,000 GitHub stars

At the eve of this version release, SiYuan's star count on GitHub just exceeded 10K, thanks for your support.

If you haven't starred yet and think SiYuan is doing well, please give a star to help promote it, thank you very much!

[https://github.com/siyuan-note/siyuan](https://github.com/siyuan-note/siyuan)

## Changelogs

Below are the detailed changelogs.

### Enhancement

* [Escape the notification message](https://github.com/siyuan-note/siyuan/issues/7811)
* [Support mouse wheel zoom editor font size](https://github.com/siyuan-note/siyuan/issues/8064)
* [Support for more export formats on the desktop](https://github.com/siyuan-note/siyuan/issues/8127)
* [Support for exporting reStructuredText](https://github.com/siyuan-note/siyuan/issues/8128)
* [Support for exporting AsciiDoc](https://github.com/siyuan-note/siyuan/issues/8129)
* [Support for exporting Textile](https://github.com/siyuan-note/siyuan/issues/8130)
* [Support for exporting OPML](https://github.com/siyuan-note/siyuan/issues/8131)
* [Support for exporting RTF](https://github.com/siyuan-note/siyuan/issues/8132)
* [Support for exporting ODT](https://github.com/siyuan-note/siyuan/issues/8133)
* [Support for exporting EPUB](https://github.com/siyuan-note/siyuan/issues/8134)
* [Support for exporting MediaWiki](https://github.com/siyuan-note/siyuan/issues/8135)
* [Support for exporting Org-Mode](https://github.com/siyuan-note/siyuan/issues/8136)
* [Hide the search history when it is clicked a second time](https://github.com/siyuan-note/siyuan/issues/8183)
* [Show interface zoom action on the top bar](https://github.com/siyuan-note/siyuan/issues/8212)
* [When multiple windows exist, each window should be isolated using the `Optimize Typesetting`](https://github.com/siyuan-note/siyuan/issues/8216)
* [Improve marketplace UI](https://github.com/siyuan-note/siyuan/issues/8219)
* [Improve initialization data sync interaction](https://github.com/siyuan-note/siyuan/issues/8220)
* [Add Settings - Search - Index - Asset path](https://github.com/siyuan-note/siyuan/issues/8221)
* [Show tips if dynamic loading is available](https://github.com/siyuan-note/siyuan/issues/8224)
* [Kernel API `/api/query/sql` support `UNION` statement](https://github.com/siyuan-note/siyuan/issues/8226)
* [Reset doc browsing position after data snapshot rollback](https://github.com/siyuan-note/siyuan/issues/8231)
* [Empty blocks don't show `Input text` under read-only mode on the mobile](https://github.com/siyuan-note/siyuan/issues/8232)
* [Add kernel API `/api/convert/pandoc`](https://github.com/siyuan-note/siyuan/issues/8235)
* [When `New document save location` is configured as `../`, it will be completed as `../Untitled`](https://github.com/siyuan-note/siyuan/issues/8238)
* [Flashcards in closed notebooks are no longer counted when spaced repeat](https://github.com/siyuan-note/siyuan/issues/8240)
* [Add confirmation dialog when removing marketplace package](https://github.com/siyuan-note/siyuan/issues/8242)
* [Settings search can't find `Network Image Corner`](https://github.com/siyuan-note/siyuan/issues/8245)
* [Improve list appearance when using large fonts](https://github.com/siyuan-note/siyuan/issues/8246)
* [Improve appearance and interact](https://github.com/siyuan-note/siyuan/issues/8247)
* [Improve open doc performance](https://github.com/siyuan-note/siyuan/issues/8248)
* [Add kernel API `/api/block/getChildBlocks`](https://github.com/siyuan-note/siyuan/issues/8249)
* [Go back/forward should affect outline focus](https://github.com/siyuan-note/siyuan/issues/8256)
* [Release the related resources when uninstalling the plugin](https://github.com/siyuan-note/siyuan/issues/8258)
* [Data sync connectivity check supports redirection](https://github.com/siyuan-note/siyuan/issues/8264)

### Bugfix

* [Enter ``` in the code block behaves abnormally](https://github.com/siyuan-note/siyuan/issues/8187)
* [The shortcut keys are invalid after the spaced repetition is tabbed](https://github.com/siyuan-note/siyuan/issues/8214)
* [Pressing `Enter` after selecting a block in the bookmark panel reports an error](https://github.com/siyuan-note/siyuan/issues/8218)
* [Marketplace package sorting failure](https://github.com/siyuan-note/siyuan/issues/8223)
* [Unable to display network images when exporting a block as an image](https://github.com/siyuan-note/siyuan/issues/8225)
* [Uncontrollable page jumping](https://github.com/siyuan-note/siyuan/issues/8229)
* [Outline jump positioning is incorrect](https://github.com/siyuan-note/siyuan/issues/8233)
* [Export PDF hangs on focus heading](https://github.com/siyuan-note/siyuan/issues/8239)
* [Only the first plugin switch is valid in the marketplace downloaded](https://github.com/siyuan-note/siyuan/issues/8243)
* [The flashcard mark of the doc title is not displayed](https://github.com/siyuan-note/siyuan/issues/8260)

### Development

* [Cannot return when plugin `loadData` is empty](https://github.com/siyuan-note/siyuan/issues/8259)
* [Bazaar resource directories support symlink](https://github.com/siyuan-note/siyuan/pull/8263)
