## Overview

If you encountered incomplete export or incomplete document dynamic loading in the old version, you should be able to solve these problems after upgrading to this version.

### Windows 7, 8 and Server 2012 will be no longer supported soon

The last version to support these old systems is the next version v2.8.10, and later versions will no longer support Windows 7, 8 and Server 2012, please upgrade to Windows 10 and above.

## Changelogs

Below are the detailed changes in this version.

### Enhancement

* [Support pop-up window dragging position and size](https://github.com/siyuan-note/siyuan/issues/7676)
* [Support block setting font size](https://github.com/siyuan-note/siyuan/issues/7973)
* [Holding `Shift` to hover a block ref to show backlinks of it](https://github.com/siyuan-note/siyuan/issues/7999)
* [Put some existing plugins on the community marketplace](https://github.com/siyuan-note/siyuan/issues/8042)
* [Remove debugging info `Need remove unused code` on the mobile](https://github.com/siyuan-note/siyuan/issues/8272)
* [Improve search result highlight and positioning](https://github.com/siyuan-note/siyuan/issues/8274)
* [Widgets search supports symlink subdirectory](https://github.com/siyuan-note/siyuan/pull/8276)
* [No more quote font optimization](https://github.com/siyuan-note/siyuan/issues/8281)
* [Support for embedding images when exporting EPUB, ODT and RTF](https://github.com/siyuan-note/siyuan/issues/8288)
* [Improve `Paste` and `Paste as plain text`](https://github.com/siyuan-note/siyuan/issues/8289)
* [Inbox support move to path and copy content](https://github.com/siyuan-note/siyuan/issues/8296)
* [Do not URL-encode hyperlink when importing Markdown](https://github.com/siyuan-note/siyuan/issues/8302)
* [Clicking on the editor does not move the cursor after editing link, block ref and file annotation](https://github.com/siyuan-note/siyuan/issues/8315)
* [Blocks below other non-folded headings are no longer moved when moving a folded heading](https://github.com/siyuan-note/siyuan/issues/8321)
* [After downloading the plugin, ask whether to enable it immediately](https://github.com/siyuan-note/siyuan/issues/8322)
* [Improve the position and size of the main window after desktop initialization](https://github.com/siyuan-note/siyuan/issues/8326)
* [Add "⋮" menu icon to tag panel](https://github.com/siyuan-note/siyuan/issues/8327)
* [Add kernel API `/api/file/renameFile`](https://github.com/siyuan-note/siyuan/issues/8328)

### Abolishment

* [Remove automatic update on Linux](https://github.com/siyuan-note/siyuan/issues/8275)

### Bugfix

* [Export doc is incomplete](https://github.com/siyuan-note/siyuan/issues/8279)
* [Custom sorting not maintained after importing .sy.zip](https://github.com/siyuan-note/siyuan/issues/8283)
* [Document dynamic loading is incomplete](https://github.com/siyuan-note/siyuan/issues/8285)
* [Parse exceptions when copying and pasting hyperlink whose address contains `"`](https://github.com/siyuan-note/siyuan/issues/8290)
* [Pasting another ref before or after an existing ref should not merge](https://github.com/siyuan-note/siyuan/issues/8309)
* [The mobile cannot be opened normally In some cases](https://github.com/siyuan-note/siyuan/issues/8320)

### Document

* [Update doc of kernel API `insertBlock`](https://github.com/siyuan-note/siyuan/issues/8270)
* [Add "The latest progress" chapter to user guide](https://github.com/siyuan-note/siyuan/issues/8306)

### Development

* [Improve plugin API `loadData`](https://github.com/siyuan-note/siyuan/issues/8273)
* [Plugin API `onunload` not being called](https://github.com/siyuan-note/siyuan/issues/8277)
* [Add plugin sample template with vite and svelte](https://github.com/siyuan-note/siyuan/issues/8311)
* [Kernel API `/api/file/*` no longer use HTTP status code](https://github.com/siyuan-note/siyuan/issues/8329)
