## Overview

This version improves the data synchronization function and solves the problem of repeated generation of conflict files on some systems.

Things to note when upgrading this version:

* After the upgrade, the cloud data index will be automatically rebuilt when starting for the first time. If the amount of data is large, the process will be time-consuming. It is recommended to restart when the network is good
* After upgrading this version, the cloud data is not compatible with the previous version. All devices need to be upgraded to this version before they can be used normally. Mixed versions will cause the cloud data indexes to overwrite each other, which is likely to cause cloud data damage

## Changelogs

Below are the detailed changes in this version.

### Enhancement

* [Preview mode supports jumping through the outline panel](https://github.com/siyuan-note/siyuan/issues/3059)
* [Dvorak keyboard layout shortcuts do not work](https://github.com/siyuan-note/siyuan/issues/7115)
* [Improve `Save query criteria` and `Remove query criteria` function entry](https://github.com/siyuan-note/siyuan/issues/8412)
* [Data sync supports the multi-kernel online perception](https://github.com/siyuan-note/siyuan/issues/8518)
* [Search dialog and doc tree panel support `Alt+.` to open in right](https://github.com/siyuan-note/siyuan/issues/8528)
* [Add OpenAI GPT model `gpt-3.5-turbo-16k`](https://github.com/siyuan-note/siyuan/issues/8530)
* [Incorrect rendering of exporting images on iOS](https://github.com/siyuan-note/siyuan/issues/8532)
* [Export data.zip and then import it no longer change the file timestamp](https://github.com/siyuan-note/siyuan/issues/8540)
* [Auto rebuild history database index when indexing failed](https://github.com/siyuan-note/siyuan/issues/8543)
* [`Clear inline elements` can work without selection](https://github.com/siyuan-note/siyuan/issues/8546)
* [Reduce the memory usage of the data repo when creating and restoring snapshots](https://github.com/siyuan-note/siyuan/issues/8551)
* [Display data sync progress in the status bar](https://github.com/siyuan-note/siyuan/issues/8552)
* [Add `Paste as plain text` to the editor right-click menu in the browser](https://github.com/siyuan-note/siyuan/issues/8553)
* [Improve the boot speed when data sync is enabled](https://github.com/siyuan-note/siyuan/issues/8555)
* [Improve data sync guide](https://github.com/siyuan-note/siyuan/issues/8556)
* [Export the Data compressed package name with the workspace name](https://github.com/siyuan-note/siyuan/issues/8560)
* [Smoother launch screen on Android](https://github.com/siyuan-note/siyuan/issues/8561)
* [Documents/SiYuan/ is no longer created if a configured workspace exists](https://github.com/siyuan-note/siyuan/issues/8566)
* [Improve `Convert network images to local images` for links starting with `file://`](https://github.com/siyuan-note/siyuan/issues/8567)
* [Improve data sync file timestamp comparison](https://github.com/siyuan-note/siyuan/issues/8573)
* [Add shortcut key `Ctrl+Shift+C` for Copy PNG](https://github.com/siyuan-note/siyuan/issues/8576)

### Bugfix

* [Default sort in marketplace not working](https://github.com/siyuan-note/siyuan/issues/8529)
* [Pandoc is not initialized in some cases](https://github.com/siyuan-note/siyuan/issues/8533)
* [Data lost after unmoving list item](https://github.com/siyuan-note/siyuan/issues/8548)
* [FlowChart cannot be rendered in preview mode](https://github.com/siyuan-note/siyuan/issues/8568)
* [Preview mode on startup cannot be switched to edit mode](https://github.com/siyuan-note/siyuan/issues/8569)

### Development

* [Open custom tab from link by custom protocol](https://github.com/siyuan-note/siyuan/issues/8544)
