## Overview

We have started to support paid subscriptions for users in non-mainland China. If you need to use cloud data sync service in non-mainland China, please follow the steps below:

1. [Signup LiuYun Account](https://liuyun.io/register)
2. Select `LiuYun (North America data center)` when signin at SiYuan - Settings - Account
3. After signed in, you can click the trial subscription button to start a 7-day free trial
4. If you need a paid subscription, please visit the [Subscribe page](https://liuyun.io/subscribe/siyuan)

### 🔥 Lifetime subscription campaign

We provide a limited number of lifetime subscriptions, that is, after a one-time payment of $148, you can use the cloud data sync service feature for life. The quota is limited and first come first served.

For more details, please visit [SiYuan Lifetime Subscription is now on sale, seats are limited](https://liuyun.io/article/1687355154445).

Please note that this event is only for LiuYun (North America data center) accounts.

## Changelogs

Below are the detailed changes in this version.

### Enhancement

* [Improve emoji on the mobile](https://github.com/siyuan-note/siyuan/issues/8484)
* [Add plugin with setting to top bar plugin menu](https://github.com/siyuan-note/siyuan/issues/8486)
* [Support one-click enable/disable of all downloaded plugins](https://github.com/siyuan-note/siyuan/issues/8523)
* [Command Palette for plugins](https://github.com/siyuan-note/siyuan/issues/8526)
* [Support LiuYun account login](https://github.com/siyuan-note/siyuan/issues/8578)
* [Support non-mainland China subscription](https://github.com/siyuan-note/siyuan/issues/8584)
* [Improve data sync stability](https://github.com/siyuan-note/siyuan/issues/8591)
* [When disable/enable plugin, the setting icon needs to be hidden/shown](https://github.com/siyuan-note/siyuan/issues/8592)
* [Support directly access `data/public/*` contents via URL link](https://github.com/siyuan-note/siyuan/issues/8593)
* [Smoother launch screen on desktop](https://github.com/siyuan-note/siyuan/issues/8596)
* [Set the default workspace path to `~/SiYuan/` on the desktop end](https://github.com/siyuan-note/siyuan/issues/8602)
* [Convert `[[wikilink]]` and `#Tag` syntax when importing Markdown](https://github.com/siyuan-note/siyuan/issues/8603)
* [Update slogan `Refactor your thinking`](https://github.com/siyuan-note/siyuan/issues/8608)
* [Disable code block bold in the mobile](https://github.com/siyuan-note/siyuan/issues/8613)
* [Improve the default theme color](https://github.com/siyuan-note/siyuan/issues/8616)
* [Click the notification message item to close it](https://github.com/siyuan-note/siyuan/issues/8622)
* [Improve search default sort](https://github.com/siyuan-note/siyuan/issues/8624)
* [Improve cursor position for Thematic break](https://github.com/siyuan-note/siyuan/issues/8625)

### Abolishment

* [macOS systems prior to `10.15` are no longer supported](https://github.com/siyuan-note/siyuan/issues/8604)

### Bugfix

* [Breadcrumbs are escaped multiple times](https://github.com/siyuan-note/siyuan/issues/8580)
* [Export Markdown does not include .md file](https://github.com/siyuan-note/siyuan/issues/8587)
* [Blocks created via template update time earlier than creation time](https://github.com/siyuan-note/siyuan/issues/8607)
* [Importing markdown files that include `<kbd>` freezes](https://github.com/siyuan-note/siyuan/issues/8611)
* [Hiding the dock fails when there is a dock plugin](https://github.com/siyuan-note/siyuan/issues/8614)

### Refactor

* [Upgrade Electron](https://github.com/siyuan-note/siyuan/issues/8597)

### Development

* [Add plugin API protyle](https://github.com/siyuan-note/siyuan/issues/8445)
* [Add  `ICommand.langText` for  plugin](https://github.com/siyuan-note/siyuan/pull/8589)
* [Add `reload` and `insert` method to `Protyle`](https://github.com/siyuan-note/siyuan/issues/8598)
* [Add `protyleSlash` to the plugin](https://github.com/siyuan-note/siyuan/issues/8599)
* [After invoking kernel API `setBlockAttrs` then auto refresh dynamic anchor text of block refs](https://github.com/siyuan-note/siyuan/issues/8605)
* [Improve kernel API `/api/convert/pandoc`](https://github.com/siyuan-note/siyuan/issues/8619)
