## Overview

This version supports specifying notebooks to save new documents.

In addition, the Markdown syntax input of some inline elements is disabled by default, such as `^`, `~`, `#` and `$`. If you need to enable it, please adjust it in Settings - Editor.

## Changelogs

Below are the detailed changes in this version.

### Enhancement

* [Supports specifying the notebook to save new docs](https://github.com/siyuan-note/siyuan/issues/10671)
* [Attribute panel - Database support paste asset](https://github.com/siyuan-note/siyuan/issues/10678)
* [Search type setting distinguishes between container blocks and leaf blocks](https://github.com/siyuan-note/siyuan/issues/10762)
* [Improve doc icon, background and tag editing interaction](https://github.com/siyuan-note/siyuan/issues/10926)
* [The database relation fields follow the change after the primary key field is changed](https://github.com/siyuan-note/siyuan/issues/11117)
* [Improve disk usage display](https://github.com/siyuan-note/siyuan/issues/11121)
* [Improve hyperlink parsing](https://github.com/siyuan-note/siyuan/issues/11124)
* [Improve refresh after data sync on the mobile](https://github.com/siyuan-note/siyuan/issues/11125)
* [The heading block convert doc block to preserve symbols as much as possible](https://github.com/siyuan-note/siyuan/issues/11126)
* [Improve HTML code block parsing](https://github.com/siyuan-note/siyuan/issues/11131)
* [Document tree supports `Add to Database`](https://github.com/siyuan-note/siyuan/issues/11134)
* [Improve marketplace package readme rendering](https://github.com/siyuan-note/siyuan/issues/11136)
* [Refresh the doc tree after data sync generates conflicting documents](https://github.com/siyuan-note/siyuan/issues/11137)
* [Supports disabling Markdown syntax input for some inline elements](https://github.com/siyuan-note/siyuan/issues/11141)
* [Support minimize the main window after auto launch on Windows](https://github.com/siyuan-note/siyuan/issues/11145)
* [Improve database multi-select field sorting](https://github.com/siyuan-note/siyuan/issues/11146)
* [Improve HTML clipping](https://github.com/siyuan-note/siyuan/issues/11148)
* [Use `<sup>`/`<sub>` for Markdown exporting superscript/subscript](https://github.com/siyuan-note/siyuan/issues/11152)
* [Support input superscript/subscript via `<sup>`/`<sub>`](https://github.com/siyuan-note/siyuan/issues/11156)
* [Support `Alt+,` to open hyperlinks](https://github.com/siyuan-note/siyuan/issues/11157)
* [Add template func `FormatFloat`](https://github.com/siyuan-note/siyuan/issues/11158)
* [Doc tree focus after creating a new doc](https://github.com/siyuan-note/siyuan/issues/11159)
* [First block not highlighted after creating doc](https://github.com/siyuan-note/siyuan/issues/11160)
* [Allow users to specify abcjsParams](https://github.com/siyuan-note/siyuan/pull/11162)
* [Supports quickly inserting the end sub-item in a folded list item through `Alt+Enter`](https://github.com/siyuan-note/siyuan/issues/11164)
* [Support config `Ctrl+PageDown` shortcut keys](https://github.com/siyuan-note/siyuan/issues/11165)
* [Improve marketplace](https://github.com/siyuan-note/siyuan/issues/11166)
* [Do not execute scripts in HTML blocks by default to prevent XSS](https://github.com/siyuan-note/siyuan/issues/11172)
* [Count backlink mentions using total occurrences](https://github.com/siyuan-note/siyuan/issues/11173)
* [Right-click link popup menu when document is in read-only mode](https://github.com/siyuan-note/siyuan/issues/11174)
* [Improve inline formula input](https://github.com/siyuan-note/siyuan/issues/11175)
* [Improve the cursor of the background image upload button](https://github.com/siyuan-note/siyuan/issues/11176)
* [Data History - File history - Assets support `update` operation indexing](https://github.com/siyuan-note/siyuan/issues/11177)
* [Improve marketplace loading](https://github.com/siyuan-note/siyuan/issues/11179)
* [Support graphviz responsiveness](https://github.com/siyuan-note/siyuan/issues/11181)

### Bugfix

* [Click on inline math error without link](https://github.com/siyuan-note/siyuan/issues/10933)
* [Soft newline editing parsing exception](https://github.com/siyuan-note/siyuan/issues/11118)
* [S3/WebDAV data backup failed](https://github.com/siyuan-note/siyuan/issues/11138)
* [Unable to enter title immediately after creating database](https://github.com/siyuan-note/siyuan/issues/11143)
* [Fix the index task of the embed block](https://github.com/siyuan-note/siyuan/pull/11154)
* [Gutter tip prompt shortcut keys do not follow settings](https://github.com/siyuan-note/siyuan/issues/11161)
* [Marketplace count error](https://github.com/siyuan-note/siyuan/pull/11163)
* [Alt shortcut key conflict](https://github.com/siyuan-note/siyuan/issues/11168)
* [Only the first embed block can be searched](https://github.com/siyuan-note/siyuan/issues/11170)
* [Data History - File history - Assets search results and operation conditions do not match](https://github.com/siyuan-note/siyuan/issues/11171)
* [Regular expression search and replace results in nested paragraphs](https://github.com/siyuan-note/siyuan/issues/11188)

### Refactor

* [Upgrade to Electron v30.0.1](https://github.com/siyuan-note/siyuan/issues/11180)

### Development

* [Add `direction` to plugin method `Setting.addItem`](https://github.com/siyuan-note/siyuan/issues/11183)

## Download

* [B3log](https://b3log.org/siyuan/en/download.html)
* [GitHub](https://github.com/siyuan-note/siyuan/releases)
