## 概述

该版本支持指定笔记本保存新文档。

另外，默认禁用了一些行级元素的 Markdown 语法输入，比如 `^`、`~`、`#` 和 `$`，如需启用，请在 设置 - 编辑器 中调整。

## 变更记录

以下是此版本中的详细变更。

### 改进功能

* [支持指定笔记本保存新文档](https://github.com/siyuan-note/siyuan/issues/10671)
* [搜索类型设置区分容器块和叶子块](https://github.com/siyuan-note/siyuan/issues/10762)
* [属性面板 - 数据库支持粘贴资源文件](https://github.com/siyuan-note/siyuan/issues/10678)
* [改进文档图标、背景和标签编辑交互](https://github.com/siyuan-note/siyuan/issues/10926)
* [主键字段变更后数据库关系字段跟随变更](https://github.com/siyuan-note/siyuan/issues/11117)
* [改进磁盘使用显示](https://github.com/siyuan-note/siyuan/issues/11121)
* [改进超链接解析](https://github.com/siyuan-note/siyuan/issues/11124)
* [改进移动端数据同步后刷新](https://github.com/siyuan-note/siyuan/issues/11125)
* [标题块转换文档块尽可能保留符号](https://github.com/siyuan-note/siyuan/issues/11126)
* [改进 HTML 代码块解析](https://github.com/siyuan-note/siyuan/issues/11131)
* [文档树支持 `添加到数据库`](https://github.com/siyuan-note/siyuan/issues/11134)
* [改进集市包 README 渲染](https://github.com/siyuan-note/siyuan/issues/11136)
* [数据同步生成冲突文档后刷新文档树](https://github.com/siyuan-note/siyuan/issues/11137)
* [支持禁用某些行级元素的 Markdown 语法输入](https://github.com/siyuan-note/siyuan/issues/11141)
* [支持在 Windows 端上自动启动后最小化主窗口](https://github.com/siyuan-note/siyuan/issues/11145)
* [改进数据库多选字段排序](https://github.com/siyuan-note/siyuan/issues/11146)
* [改进 HTML 剪藏](https://github.com/siyuan-note/siyuan/issues/11148)
* [使用 `<sup>`/`<sub>` 导出 Markdown 上标/下标](https://github.com/siyuan-note/siyuan/issues/11152)
* [通过 `<sup>`/`<sub>` 支持输入上标/下标](https://github.com/siyuan-note/siyuan/issues/11156)
* [支持 `Alt+,` 打开超链接](https://github.com/siyuan-note/siyuan/issues/11157)
* [添加模板函数 `FormatFloat`](https://github.com/siyuan-note/siyuan/issues/11158)
* [创建新文档后文档树显示焦点](https://github.com/siyuan-note/siyuan/issues/11159)
* [创建文档后第一个块不再突出显示](https://github.com/siyuan-note/siyuan/issues/11160)
* [允许用户指定 abcjsParams](https://github.com/siyuan-note/siyuan/pull/11162)
* [通过 `Alt+Enter` 支持快速插入折叠列表项的末尾子项](https://github.com/siyuan-note/siyuan/issues/11164)
* [支持配置 `Ctrl+PageDown` 快捷键](https://github.com/siyuan-note/siyuan/issues/11165)
* [改进集市](https://github.com/siyuan-note/siyuan/issues/11166)
* [默认不在 HTML 块中执行脚本以防止 XSS](https://github.com/siyuan-note/siyuan/issues/11172)
* [使用总出现次数计算反向链接提及](https://github.com/siyuan-note/siyuan/issues/11173)
* [文档处于只读模式时右键链接弹出菜单](https://github.com/siyuan-note/siyuan/issues/11174)
* [改进行级公式输入](https://github.com/siyuan-note/siyuan/issues/11175)
* [改进背景图片上传按钮的光标](https://github.com/siyuan-note/siyuan/issues/11176)
* [数据历史 - 文件历史 - 资源支持 `update` 操作索引](https://github.com/siyuan-note/siyuan/issues/11177)
* [改进集市加载](https://github.com/siyuan-note/siyuan/issues/11179)
* [支持 graphviz 自适应](https://github.com/siyuan-note/siyuan/issues/11181)

### 修复缺陷

* [点击没有链接的行级公式报错](https://github.com/siyuan-note/siyuan/issues/10933)
* [软换行编辑解析异常](https://github.com/siyuan-note/siyuan/issues/11118)
* [S3/WebDAV 数据备份失败](https://github.com/siyuan-note/siyuan/issues/11138)
* [创建数据库后无法立即输入标题](https://github.com/siyuan-note/siyuan/issues/11143)
* [修复嵌入块的索引任务](https://github.com/siyuan-note/siyuan/pull/11154)
* [某些提示快捷键不遵循设置](https://github.com/siyuan-note/siyuan/issues/11161)
* [集市计数错误](https://github.com/siyuan-note/siyuan/pull/11163)
* [Alt 快捷键冲突](https://github.com/siyuan-note/siyuan/issues/11168)
* [只能搜索到第一个嵌入块](https://github.com/siyuan-note/siyuan/issues/11170)
* [数据历史 - 文件历史 - 资源搜索结果和操作条件不匹配](https://github.com/siyuan-note/siyuan/issues/11171)
* [正则表达式搜索替换导致段落嵌套](https://github.com/siyuan-note/siyuan/issues/11188)

### 开发重构

* [升级到 Electron v30.0.1](https://github.com/siyuan-note/siyuan/issues/11180)

### 开发者

* [向插件方法 `Setting.addItem` 添加 `direction`](https://github.com/siyuan-note/siyuan/issues/11183)

## 下载

* [B3log](https://b3log.org/siyuan/download.html)
* [GitHub](https://github.com/siyuan-note/siyuan/releases)
