## Overview

This version fixes some bugs and improves a lot of details.

## Changelogs

Below are the detailed changes in this version.

### Enhancement

* [Optimize rendering performance of databases containing relation fields](https://github.com/siyuan-note/siyuan/issues/11249)
* [Improve database text, email, url and phone field content escaping](https://github.com/siyuan-note/siyuan/issues/11255)
* [Improve backlink panel mention expansion configuration](https://github.com/siyuan-note/siyuan/issues/11262)
* [Improve responsiveness of code blocks](https://github.com/siyuan-note/siyuan/issues/11274)
* [Don't hide error messages when copying them](https://github.com/siyuan-note/siyuan/issues/11275)
* [Clear ZWSP when remove tag, code and kbd inline elements](https://github.com/siyuan-note/siyuan/issues/11285)
* [Improve sorting for `Add to Database`](https://github.com/siyuan-note/siyuan/issues/11286)
* [Improve link tip](https://github.com/siyuan-note/siyuan/issues/11294)
* [Improve editor preview](https://github.com/siyuan-note/siyuan/issues/11295)
* [Improve HTML code block clipping](https://github.com/siyuan-note/siyuan/issues/11296)
* [Improve database auto-fill value when enabling filter](https://github.com/siyuan-note/siyuan/issues/11297)
* [Improve data history tip](https://github.com/siyuan-note/siyuan/issues/11301)
* [In read-only mode, new files can be edited](https://github.com/siyuan-note/siyuan/issues/11302)
* [Improve `Optimize typography` for inline math](https://github.com/siyuan-note/siyuan/issues/11304)
* [Improve HTML a element clipping](https://github.com/siyuan-note/siyuan/issues/11310)
* [Improve browser extension clipping](https://github.com/siyuan-note/siyuan/issues/11315)
* [Improve selection text when over blocks](https://github.com/siyuan-note/siyuan/issues/11316)
* [Support database table view to load more when read-only](https://github.com/siyuan-note/siyuan/issues/11317)
* [The line number field no longer appears in the database attribute panel](https://github.com/siyuan-note/siyuan/issues/11319)
* [Improve Japanese translation and theme font rendering](https://github.com/siyuan-note/siyuan/pull/11322)
* [Improve multi-language support for click, double-click, and enter](https://github.com/siyuan-note/siyuan/issues/11323)
* [Improve doc tree modification time display](https://github.com/siyuan-note/siyuan/issues/11327)
* [Support Alt+Click in read-only mode](https://github.com/siyuan-note/siyuan/issues/11337)
* [Stick database table view header and footer in read-only mode](https://github.com/siyuan-note/siyuan/issues/11338)
* [Improve slash menu](https://github.com/siyuan-note/siyuan/issues/11345)
* [Triggering tag selection via `#` is no longer supported after disabling tag syntax](https://github.com/siyuan-note/siyuan/issues/11346)
* [Improve dynamic scroll bar](https://github.com/siyuan-note/siyuan/issues/11352)
* [Improve embed/ref block reindex](https://github.com/siyuan-note/siyuan/issues/11353)
* [Improve `Enter` in the last row of the table](https://github.com/siyuan-note/siyuan/issues/11355)
* [Support cancel two-way relation when related to the current database](https://github.com/siyuan-note/siyuan/issues/11356)
* [Improve the cursor when two images are connected](https://github.com/siyuan-note/siyuan/issues/11359)
* [Supports outline highlight with document sync on the mobile](https://github.com/siyuan-note/siyuan/issues/11360)
* [Improve two-way relation column name placeholder](https://github.com/siyuan-note/siyuan/issues/11361)
* [Improve `Display the VIP icon`](https://github.com/siyuan-note/siyuan/issues/11368)
* [Improve HTML inline code clipping](https://github.com/siyuan-note/siyuan/issues/11370)
* [Improve export preview mode](https://github.com/siyuan-note/siyuan/issues/11372)
* [The heading block update time is refreshed after editing the blocks under the heading](https://github.com/siyuan-note/siyuan/issues/11374)

### Bugfix

* [Lost URL content after `:` when pasting as a link](https://github.com/siyuan-note/siyuan/issues/11245)
* [Unable to create a new doc immediately after creating a new entry in the database](https://github.com/siyuan-note/siyuan/issues/11270)
* [The database cannot delete entries in rapid succession](https://github.com/siyuan-note/siyuan/issues/11271)
* [After uninstalling the plugin, data synchronization does not uninstall it](https://github.com/siyuan-note/siyuan/issues/11277)
* [Two-way relation is invalid when related to the current database](https://github.com/siyuan-note/siyuan/issues/11278)
* [`Convert network assets to local` in search  cannot be refreshed](https://github.com/siyuan-note/siyuan/issues/11307)
* [Undo exception after folding heading is cut](https://github.com/siyuan-note/siyuan/issues/11312)
* [The maximum number of tags listed is incorrect](https://github.com/siyuan-note/siyuan/issues/11320)
* [HTML block content escaping is incorrect](https://github.com/siyuan-note/siyuan/issues/11321)
* [The parent doc cannot be folded after creating a new sub-doc](https://github.com/siyuan-note/siyuan/issues/11325)
* [Database table view continuously adds new rows above error](https://github.com/siyuan-note/siyuan/issues/11335)
* [Block attributes are not refreshed after data syncing](https://github.com/siyuan-note/siyuan/issues/11343)
* [Undo exception after Delete in the last line of the code block](https://github.com/siyuan-note/siyuan/issues/11362)
* [Opening notebook repeatedly causes reference count to increase](https://github.com/siyuan-note/siyuan/issues/11378)

### Document

* [Improve user guide](https://github.com/siyuan-note/siyuan/pull/11299)

### Development

* [Update plugin `loaded-protyle-dynamic` parameter positon to position](https://github.com/siyuan-note/siyuan/pull/11298)
* [Arch User Repository (AUR) auto release](https://github.com/siyuan-note/siyuan/pull/11309)
* [Add a kernel API `/api/block/getBlockTreeInfos`](https://github.com/siyuan-note/siyuan/issues/11311)

## Download

* [B3log](https://b3log.org/siyuan/en/download.html)
* [GitHub](https://github.com/siyuan-note/siyuan/releases)
