## Overview

This version improves web page clipping, fixes some bugs and improves a lot of details.

## Changelogs

Below are the detailed changes in this version.

### Enhancement

* [The browser extension supports Zhihu formula clipping](https://github.com/siyuan-note/siyuan/issues/5599)
* [The browser extension supports CSDN formula clipping](https://github.com/siyuan-note/siyuan/issues/5624)
* [Add internal commands to command palette](https://github.com/siyuan-note/siyuan/issues/11133)
* [If a file with the same name exists during export PDF/Docx, it will be automatically renamed](https://github.com/siyuan-note/siyuan/issues/11357)
* [Improve text for `Press back again to desktop` on Android](https://github.com/siyuan-note/siyuan/issues/11383)
* [Improve database table view asset column](https://github.com/siyuan-note/siyuan/issues/11389)
* [Prompt for recovery method and retention days settings when deleting documents](https://github.com/siyuan-note/siyuan/issues/11400)
* [Improve HTML code element clipping](https://github.com/siyuan-note/siyuan/issues/11401)
* [Support for copying block text in read-only database table views](https://github.com/siyuan-note/siyuan/issues/11403)
* [Code block word break uses break-word](https://github.com/siyuan-note/siyuan/issues/11408)
* [Added floating tip for database `Add` button](https://github.com/siyuan-note/siyuan/issues/11411)
* [Support markdown configuration on the mobile](https://github.com/siyuan-note/siyuan/issues/11414)
* [Downgrades the glibc 2.31 version to solve booting failure on Linux](https://github.com/siyuan-note/siyuan/issues/11417)
* [Search preview supports HTML tags in inline code content](https://github.com/siyuan-note/siyuan/issues/11418)
* [Improve i18n text of export preview tooltips and infos](https://github.com/siyuan-note/siyuan/pull/11420)
* [Information such as database titles can no longer be modified in read-only mode](https://github.com/siyuan-note/siyuan/issues/11424)
* [Improve HTML table element clipping](https://github.com/siyuan-note/siyuan/issues/11425)
* [Improve inline memo export](https://github.com/siyuan-note/siyuan/issues/11426)
* [Improve HTML code block clipping](https://github.com/siyuan-note/siyuan/issues/11427)
* [Attribute Panel - Database attributes custom sorting](https://github.com/siyuan-note/siyuan/issues/11428)
* [Improve main window position restoration after boot on the Desktop](https://github.com/siyuan-note/siyuan/issues/11437)
* [Improve HTML h element clipping](https://github.com/siyuan-note/siyuan/issues/11445)
* [Support KaTex macro parameters](https://github.com/siyuan-note/siyuan/issues/11448)
* [Improve attribute panel text input box](https://github.com/siyuan-note/siyuan/issues/11454)
* [Use real theme style value replace var in preview mode](https://github.com/siyuan-note/siyuan/issues/11458)
* [Improve read-only mode](https://github.com/siyuan-note/siyuan/issues/11459)
* [The database asset field supports parsing pasted links](https://github.com/siyuan-note/siyuan/issues/11463)
* [Display link if database asset field title is empty](https://github.com/siyuan-note/siyuan/issues/11468)
* [The database asset field supports filling in only the link title](https://github.com/siyuan-note/siyuan/issues/11469)
* [Improve block ref text copying](https://github.com/siyuan-note/siyuan/issues/11473)
* [Change the sequence number of the ordered list item after duplicating it](https://github.com/siyuan-note/siyuan/issues/11475)
* [The browser extension removes the ending `/` in URL](https://github.com/siyuan-note/siyuan/issues/11478)
* [Improve workspace startup stability](https://github.com/siyuan-note/siyuan/issues/11483)

### Bugfix

* [When the `"` character exists in the hyperlink element address, the paste cannot be parsed normally](https://github.com/siyuan-note/siyuan/issues/11385)
* [Unable to copy HTML block properly](https://github.com/siyuan-note/siyuan/issues/11391)
* [Database template field function `queryBlocks` not defined](https://github.com/siyuan-note/siyuan/issues/11397)
* [Attributes cannot be modified after the database table is queried in pages](https://github.com/siyuan-note/siyuan/issues/11407)
* [The selection options are inconsistent after pasting data into the database](https://github.com/siyuan-note/siyuan/issues/11409)
* [Right-click the database table view column to pop up the exception link menu](https://github.com/siyuan-note/siyuan/issues/11431)
* [After selecting the doc in the doc tree, `Ctrl+D` will not duplicate it](https://github.com/siyuan-note/siyuan/issues/11432)
* [Regular replacement text fails](https://github.com/siyuan-note/siyuan/issues/11444)
* [Negative numbers are treated as positive numbers when calculating template field values](https://github.com/siyuan-note/siyuan/issues/11446)
* [Documents exported in the doc tree can no longer be imported](https://github.com/siyuan-note/siyuan/issues/11447)
* [Code block causes abnormal state](https://github.com/siyuan-note/siyuan/issues/11451)
* [Rendering exception in export preview mode when custom attribute value has line breaks](https://github.com/siyuan-note/siyuan/issues/11453)
* [Some emoji exceptions in the document title](https://github.com/siyuan-note/siyuan/issues/11480)

### Document

* [Improve user guide shortcuts chapter](https://github.com/siyuan-note/siyuan/pull/11435)

### Development

* [Add an internal kernel API `/api/block/prependDailyNoteBlock`](https://github.com/siyuan-note/siyuan/issues/11442)

## Download

* [B3log](https://b3log.org/siyuan/en/download.html)
* [GitHub](https://github.com/siyuan-note/siyuan/releases)
