## Overview

This version supports searching within the database table view.

## Changelogs

Below are the detailed changes in this version.

### Enhancement

* [Database table view in-table search](https://github.com/siyuan-note/siyuan/issues/10419)
* [Add hotkey for `Artificial Intelligence`](https://github.com/siyuan-note/siyuan/issues/10472)
* [Importing Markdown no longer refreshes the entire interface](https://github.com/siyuan-note/siyuan/issues/10510)
* [Support click to open virtual reference on mobile](https://github.com/siyuan-note/siyuan/issues/10513)
* [The marketplace supports searching by repo name](https://github.com/siyuan-note/siyuan/issues/10515)
* [Improve adding row prompt when database filter exists](https://github.com/siyuan-note/siyuan/issues/10517)
* [A blank line below the large image when the font size exceeds 17](https://github.com/siyuan-note/siyuan/issues/10521)
* [Improve database filtering for `Created` and `Updated` fields](https://github.com/siyuan-note/siyuan/issues/10522)
* [Improve adding row prompt when database sort exists](https://github.com/siyuan-note/siyuan/issues/10525)
* [Improve block floating window for relation and rollup values](https://github.com/siyuan-note/siyuan/issues/10527)
* [Improve code block UI](https://github.com/siyuan-note/siyuan/issues/10533)
* [Update templates reset when there is network latency](https://github.com/siyuan-note/siyuan/issues/10534)
* [Improve AI API key interaction](https://github.com/siyuan-note/siyuan/issues/10536)
* [Support listing mirror database blocks in a floating window](https://github.com/siyuan-note/siyuan/issues/10538)
* [Display the database title on the block superscript](https://github.com/siyuan-note/siyuan/issues/10545)
* [Add hotkey for `Add to Database`](https://github.com/siyuan-note/siyuan/issues/10546)
* [The PDF/Word export preview window automatically adjusts according to the size of the main window](https://github.com/siyuan-note/siyuan/issues/10554)
* [Database table view adds default value in date column](https://github.com/siyuan-note/siyuan/issues/10558)
* [Automatic check of database indexes is only performed once after startup](https://github.com/siyuan-note/siyuan/issues/10563)
* [Improve database table view UI in read-only mode](https://github.com/siyuan-note/siyuan/issues/10565)
* [Improve `Go to next tab` and `Go to previous tab`](https://github.com/siyuan-note/siyuan/issues/10566)
* [Database .json follows the doc tree single line save setting](https://github.com/siyuan-note/siyuan/issues/10571)
* [Record access authorization login log](https://github.com/siyuan-note/siyuan/issues/10578)

### Bugfix

* [Continuous space exception at end of line](https://github.com/siyuan-note/siyuan/issues/10483)
* [Database filtering for specific dates not working](https://github.com/siyuan-note/siyuan/issues/10518)
* [Database filtering does not work after change the field type](https://github.com/siyuan-note/siyuan/issues/10519)
* [The corresponding entry cannot be found in the database relation](https://github.com/siyuan-note/siyuan/issues/10523)
* [Inserting local assets also opens it in the default program](https://github.com/siyuan-note/siyuan/issues/10567)

### Document

* [Improve user guide template snippet chapter](https://github.com/siyuan-note/siyuan/issues/10544)

### Development

* [Add internal kernel API `/api/filetree/listDocTree`](https://github.com/siyuan-note/siyuan/issues/10482)
* [Add internal kernel API `/api/riff/getRiffCardsByBlockIDs`](https://github.com/siyuan-note/siyuan/issues/10535)

## Download

* [B3log](https://b3log.org/siyuan/en/download.html)
* [GitHub](https://github.com/siyuan-note/siyuan/releases)
