## Overview

This version supports flashcard review time setting, reset and viewing flashcard information.

## Changelogs

Below are the detailed changes in this version.

### Enhancement

* [Flashcards support custom review time and reset](https://github.com/siyuan-note/siyuan/issues/10326)
* [Support removing the current flashcard when reviewing](https://github.com/siyuan-note/siyuan/issues/10452)
* [Improve flashcard review count display](https://github.com/siyuan-note/siyuan/issues/10502)
* [Flashcard review interface adds card review times, state and other information](https://github.com/siyuan-note/siyuan/issues/10505)
* [Use the path ending with `/` when loading the widget](https://github.com/siyuan-note/siyuan/issues/10520)
* [Open the last workspace by default](https://github.com/siyuan-note/siyuan/issues/10570)
* [Data repo no longer automatically resets after corrupted](https://github.com/siyuan-note/siyuan/issues/10580)
* [Fill in the alt text after converting network images to local](https://github.com/siyuan-note/siyuan/issues/10583)
* [`Add to Database` no longer autofills filter values](https://github.com/siyuan-note/siyuan/issues/10587)
* [Text starting with 4 spaces are not parsed into code blocks when clipping](https://github.com/siyuan-note/siyuan/issues/10588)
* [Improve deleting heading element using `Fn+Del`](https://github.com/siyuan-note/siyuan/issues/10592)
* [`Convert network images to local` supports `//`](https://github.com/siyuan-note/siyuan/issues/10598)
* [Add `Open with New Window` and `Open` to asset element right menu](https://github.com/siyuan-note/siyuan/issues/10604)
* [Improve web page clip code block content conversion](https://github.com/siyuan-note/siyuan/issues/10605)
* [Allow switching database views in read-only mode](https://github.com/siyuan-note/siyuan/issues/10609)
* [Improve `Paste as plain text` when containing HTML tags](https://github.com/siyuan-note/siyuan/issues/10620)
* [Bilibili iframe block disables autoplay](https://github.com/siyuan-note/siyuan/issues/10621)
* [Improve block indexing performance](https://github.com/siyuan-note/siyuan/issues/10624)
* [Flashcards always displays animation in some case](https://github.com/siyuan-note/siyuan/issues/10625)
* [Improve rendering of inline code, kbd and tag to avoid repeated rendering of zero-width spaces on the right](https://github.com/siyuan-note/siyuan/issues/10629)
* [Show operation type in the file history item list](https://github.com/siyuan-note/siyuan/issues/10634)
* [Alt+0 flashcard review entry no longer returns to card deck flashcards](https://github.com/siyuan-note/siyuan/issues/10635)
* [Support adjust custom emoticon on the mobile](https://github.com/siyuan-note/siyuan/issues/10636)
* [Don't let space terminate ref auto-completion](https://github.com/siyuan-note/siyuan/issues/10637)
* [Improve code block language switching](https://github.com/siyuan-note/siyuan/issues/10644)

### Bugfix

* [Disable updating table in read-only mode](https://github.com/siyuan-note/siyuan/issues/10586)
* [Database cannot filter out rows with relations that are empty or not empty](https://github.com/siyuan-note/siyuan/issues/10601)
* [Database multi-field sorting fails](https://github.com/siyuan-note/siyuan/issues/10616)
* [Enter exception after table](https://github.com/siyuan-note/siyuan/issues/10633)

### Document

* [Add extend development chapter to user guide](https://github.com/siyuan-note/siyuan/issues/10615)

### Refactor

* [Upgrade FSRS-4.5](https://github.com/siyuan-note/siyuan/issues/10607)

### Development

* [Add internal kernel API `/api/block/getBlocksIndexes`](https://github.com/siyuan-note/siyuan/issues/10608)
* [Add internal kernel API `/api/file/globalCopyFiles`](https://github.com/siyuan-note/siyuan/issues/10614)

## Download

* [B3log](https://b3log.org/siyuan/en/download.html)
* [GitHub](https://github.com/siyuan-note/siyuan/releases)
