## Overview

This version supports one-click upgrade of downloaded marketplace packages.

## Changelogs

Below are the detailed changes in this version.

### Enhancement

* [One-click upgrade of downloaded marketplace packages](https://github.com/siyuan-note/siyuan/issues/8390)
* [Optimize document moving and renaming performance](https://github.com/siyuan-note/siyuan/issues/10560)
* [Search type filtering supports Audio, Video, IFrame and Widget block](https://github.com/siyuan-note/siyuan/issues/10645)
* [Improve focus export conversion of block refs to footnotes](https://github.com/siyuan-note/siyuan/issues/10647)
* [Clicking on the asset should open with the default program](https://github.com/siyuan-note/siyuan/issues/10650)
* [Unable to enter after `---`](https://github.com/siyuan-note/siyuan/issues/10653)
* [Support opening assets through other apps on the Android](https://github.com/siyuan-note/siyuan/issues/10657)
* [AI supports configuration randomness and context number](https://github.com/siyuan-note/siyuan/issues/10660)
* [Improve database table view in read-only mode](https://github.com/siyuan-note/siyuan/issues/10661)
* [Database select field supports sorting by option order](https://github.com/siyuan-note/siyuan/issues/10665)
* [No longer upload image repeatedly when copying PDF rectangle annotation](https://github.com/siyuan-note/siyuan/issues/10666)
* [Support adding multiple rows in database table view](https://github.com/siyuan-note/siyuan/issues/10667)
* [Remove translation part to simplify block AI menu](https://github.com/siyuan-note/siyuan/issues/10669)
* [Disable selection of breadcrumb blocks in backlinks](https://github.com/siyuan-note/siyuan/issues/10674)
* [`Unreferenced assets` support copy file name](https://github.com/siyuan-note/siyuan/issues/10676)
* [Improve drag fill of database table view](https://github.com/siyuan-note/siyuan/issues/10685)
* [Improve go back when dynamically loading document](https://github.com/siyuan-note/siyuan/issues/10692)
* [Cursor lost after `Copy plain text` of block](https://github.com/siyuan-note/siyuan/issues/10694)
* [Support pasting table into database table view](https://github.com/siyuan-note/siyuan/issues/10695)
* [Creating a dailynote template supports doc attributes](https://github.com/siyuan-note/siyuan/issues/10698)
* [Search result content snippet returns more text](https://github.com/siyuan-note/siyuan/issues/10707)
* [Improve export PDF window](https://github.com/siyuan-note/siyuan/issues/10711)
* [Improve database table view asset column UI](https://github.com/siyuan-note/siyuan/issues/10713)
* [Asset link element prompt shows more information](https://github.com/siyuan-note/siyuan/issues/10714)
* [Title localization when creating a document](https://github.com/siyuan-note/siyuan/issues/10719)
* [Select field is added by default when creating a database](https://github.com/siyuan-note/siyuan/issues/10720)
* [Improve the Attribute Panel - Database editing cursor style](https://github.com/siyuan-note/siyuan/issues/10721)
* [Update cursor style when drag document content](https://github.com/siyuan-note/siyuan/issues/10727)
* [A prompt pops up when deleting a column in the Attribute Panel - Database](https://github.com/siyuan-note/siyuan/issues/10729)
* [Improve flashcard more menu UI](https://github.com/siyuan-note/siyuan/issues/10735)

### Bugfix

* [Can't switch workspaces on mobile app](https://github.com/siyuan-note/siyuan/issues/10654)
* [Duplicate relation values in the Attribute Panel - Database](https://github.com/siyuan-note/siyuan/issues/10670)
* [Unable to search replace hyperlink anchor text](https://github.com/siyuan-note/siyuan/issues/10689)
* [Unable to replace `{{foo}}` in code block](https://github.com/siyuan-note/siyuan/issues/10706)
* [Line break lost after soft break of end-of-line element](https://github.com/siyuan-note/siyuan/issues/10718)
* [`<foo>` turn into `&lt;foo&gt;` when cut from a md code block to another code block](https://github.com/siyuan-note/siyuan/issues/10722)

### Refactor

* [Refactor block fold attribute](https://github.com/siyuan-note/siyuan/pull/10717)

### Development

* [Support plugin.docks configuration hotkeys](https://github.com/siyuan-note/siyuan/issues/10603)
* [Improve the type definition of `siyuan.config`](https://github.com/siyuan-note/siyuan/pull/10697)
* [Add `FormData` type for `data` in `fetchSyncPost`](https://github.com/siyuan-note/siyuan/issues/10715)

## Download

* [B3log](https://b3log.org/siyuan/en/download.html)
* [GitHub](https://github.com/siyuan-note/siyuan/releases)
