## Overview

This version supports dragging and dropping to adjust the level and position of outline items in the outline panel.

## Changelogs

Below are the detailed changes in this version.

### Enhancement

* [The outline item in the outline panel supports dragging to adjust the level and position](https://github.com/siyuan-note/siyuan/issues/7957)
* [Improve image click interaction on the mobile](https://github.com/siyuan-note/siyuan/issues/10646)
* [Database table view primary key supports pasting reference block](https://github.com/siyuan-note/siyuan/issues/10690)
* [Leave two lines space to connect when turning pages up and down](https://github.com/siyuan-note/siyuan/issues/10702)
* [Improve database table view URL field display](https://github.com/siyuan-note/siyuan/issues/10712)
* [No longer prompts "Don't panic... scroll up and down to load more" when opening a doc and the first block has been loaded](https://github.com/siyuan-note/siyuan/issues/10716)
* [When not focused in SiYuan window, the left option of Database row is hard to select](https://github.com/siyuan-note/siyuan/issues/10731)
* [Support opening images through other apps on the Android](https://github.com/siyuan-note/siyuan/issues/10736)
* [Improve tab menu shake issue](https://github.com/siyuan-note/siyuan/issues/10737)
* [Improve database table view multi-select interaction](https://github.com/siyuan-note/siyuan/issues/10738)
* [Support search code snippets](https://github.com/siyuan-note/siyuan/issues/10739)
* [Improve exit focus positioning](https://github.com/siyuan-note/siyuan/issues/10746)
* [`Hide/Show Window` supports configuration `Alt+Fn`](https://github.com/siyuan-note/siyuan/issues/10754)
* [`Hide/Show Window` is only for workspaces](https://github.com/siyuan-note/siyuan/issues/10755)
* [Improve the handling of empty values in database multi-field sorting](https://github.com/siyuan-note/siyuan/issues/10758)
* [Improve marketplace package UI](https://github.com/siyuan-note/siyuan/pull/10760)
* [Click to add row in database table view row menu](https://github.com/siyuan-note/siyuan/issues/10763)
* [Automatically loads and indexes from the file system when a block is not found](https://github.com/siyuan-note/siyuan/issues/10772)
* [Add `Open with New Window` to flashcard menu](https://github.com/siyuan-note/siyuan/issues/10773)
* [Prompt when dragging and inserting a folder](https://github.com/siyuan-note/siyuan/issues/10779)
* [Support editing saved layouts](https://github.com/siyuan-note/siyuan/issues/10783)
* [Improve data sync conflict generation](https://github.com/siyuan-note/siyuan/issues/10784)
* [Data history supports querying in all notebooks](https://github.com/siyuan-note/siyuan/issues/10788)
* [Improve i18n for Data History](https://github.com/siyuan-note/siyuan/pull/10793)
* [Database rollup supports numeric calculation](https://github.com/siyuan-note/siyuan/issues/10796)
* [Improve web clip table parsing](https://github.com/siyuan-note/siyuan/issues/10799)
* [`Ctrl+Home` doesn't work when document is in read-only mode](https://github.com/siyuan-note/siyuan/issues/10806)
* [Hyperlink should not open when selecting text on it](https://github.com/siyuan-note/siyuan/issues/10808)
* [Datbase template supports numerical calculations when using rollup](https://github.com/siyuan-note/siyuan/issues/10810)
* [Improve cursor style for ref and pdf ref in read-only mode](https://github.com/siyuan-note/siyuan/issues/10813)
* [Improve copying plain text](https://github.com/siyuan-note/siyuan/issues/10816)
* [Improve database rollup number calculation](https://github.com/siyuan-note/siyuan/issues/10822)

### Bugfix

* [Disable right-click menu in database table view column in read-only mode](https://github.com/siyuan-note/siyuan/issues/10750)
* [Inline-level formulas cannot be displayed after pressing Enter](https://github.com/siyuan-note/siyuan/issues/10751)
* [Breadcrumb XSS](https://github.com/siyuan-note/siyuan/issues/10753)
* [Editor parsing exception after enter /```](https://github.com/siyuan-note/siyuan/issues/10759)
* [Index fixing should not be performed before data synchronization](https://github.com/siyuan-note/siyuan/issues/10761)
* [Flash card in new window full screen, buttons cannot be clicked](https://github.com/siyuan-note/siyuan/issues/10765)
* [Floating window `Enter` error from embedded block](https://github.com/siyuan-note/siyuan/issues/10805)
* [Attribute panel - Database template custom attributes not shown](https://github.com/siyuan-note/siyuan/issues/10812)
* [Export PDF error when containing HTML block](https://github.com/siyuan-note/siyuan/issues/10814)
* [Copy text * error for database block](https://github.com/siyuan-note/siyuan/issues/10817)

### Development

* [Plugin eventbus for `switch-protyle` on the mobile](https://github.com/siyuan-note/siyuan/issues/10766)
* [Improve kernel API token authentication](https://github.com/siyuan-note/siyuan/issues/10792)

## Download

* [B3log](https://b3log.org/siyuan/en/download.html)
* [GitHub](https://github.com/siyuan-note/siyuan/releases)
