## Overview

This version supports the database date field filling the current time by default.

## Changelogs

Below are the detailed changes in this version.

### Enhancement

* [Database date field supports filling the current time by default](https://github.com/siyuan-note/siyuan/issues/10823)
* [Database primary key supports unbinding block](https://github.com/siyuan-note/siyuan/issues/10849)
* [Improve flashcard menu](https://github.com/siyuan-note/siyuan/issues/10857)
* [Refresh the corresponding rollup after deleting rows from the database](https://github.com/siyuan-note/siyuan/issues/10858)
* [Auto verify the database name when clicking the block superscript icon](https://github.com/siyuan-note/siyuan/issues/10861)
* [Improve doc title `Paste as plain text`](https://github.com/siyuan-note/siyuan/issues/10866)
* [Ignore `*` back mentions and virtual references](https://github.com/siyuan-note/siyuan/issues/10873)
* [Improve performance of importing .sy.zip](https://github.com/siyuan-note/siyuan/issues/10874)
* [Support adding database blocks to a database](https://github.com/siyuan-note/siyuan/issues/10876)
* [Improve interaction of the database table view selected cell content](https://github.com/siyuan-note/siyuan/issues/10877)
* [Improve selection of iframe block](https://github.com/siyuan-note/siyuan/issues/10879)
* [Improve database block ref anchor text display](https://github.com/siyuan-note/siyuan/issues/10880)
* [Database select field filters follow option editing changes](https://github.com/siyuan-note/siyuan/issues/10881)
* [Improve database primary key setting](https://github.com/siyuan-note/siyuan/issues/10882)
* [Improve database table view UI](https://github.com/siyuan-note/siyuan/pull/10886)
* [Improve view tab UI in database table view](https://github.com/siyuan-note/siyuan/issues/10887)
* [Improve the cursor style of the scroll bar at the bottom of the database table view](https://github.com/siyuan-note/siyuan/issues/10888)
* [Improve database block text in breadcrumbs](https://github.com/siyuan-note/siyuan/issues/10891)
* [Improve block attributes panel spellcheck](https://github.com/siyuan-note/siyuan/issues/10897)
* [Clicking the document focus will not switch in read-only mode](https://github.com/siyuan-note/siyuan/issues/10898)
* [Improve cursor position after Esc and Del](https://github.com/siyuan-note/siyuan/issues/10899)
* [Support drag widget block](https://github.com/siyuan-note/siyuan/issues/10900)
* [Improve `Show Database Title` item in database view menu](https://github.com/siyuan-note/siyuan/issues/10908)
* [Support adding the current document in the database](https://github.com/siyuan-note/siyuan/issues/10912)
* [Support floating window to open related database when filling in the database relation field](https://github.com/siyuan-note/siyuan/issues/10915)
* [Improve /widget search](https://github.com/siyuan-note/siyuan/issues/10917)
* [Database blocks are included in document word count](https://github.com/siyuan-note/siyuan/issues/10918)
* [Improve remove and duplication of column menu in database table view](https://github.com/siyuan-note/siyuan/issues/10920)
* [Remove rows in database bound to child blocks when deleting parent block](https://github.com/siyuan-note/siyuan/issues/10923)
* [Improv updateing of outlines, backlinks and charts when switching between doc and pdf](https://github.com/siyuan-note/siyuan/issues/10930)
* [Disable outline item dragging when the doc is read-only](https://github.com/siyuan-note/siyuan/issues/10931)
* [`Add to Database` search on database title only](https://github.com/siyuan-note/siyuan/issues/10934)
* [Improve user guide entry](https://github.com/siyuan-note/siyuan/pull/10939)
* [Improve spaces at the beginning of exported paragraphs](https://github.com/siyuan-note/siyuan/issues/10940)

### Bugfix

* [Database relation field `Ctrl+Hover` not open the floating window](https://github.com/siyuan-note/siyuan/issues/10836)
* [Creating a new block may cause the tab to close](https://github.com/siyuan-note/siyuan/issues/10851)
* [Database column width adjustment fails](https://github.com/siyuan-note/siyuan/issues/10865)
* [Database date between filter cannot select the end time](https://github.com/siyuan-note/siyuan/issues/10870)
* [The order after `Enter` at the end of `1\n\n2` is wrong](https://github.com/siyuan-note/siyuan/issues/10901)
* [`Bold+Inline code` causes the content to disappear](https://github.com/siyuan-note/siyuan/issues/10910)
* [Database rollup calculation range anomaly](https://github.com/siyuan-note/siyuan/issues/10913)
* [Cannot open doc via `siyuan://` when startup the application](https://github.com/siyuan-note/siyuan/issues/10937)
* [Unbind the "Hide Window" hotkey exception](https://github.com/siyuan-note/siyuan/issues/10938)
* [`Ctrl+X` followed by `Ctrl+M` cannot call out inline-level formula editing](https://github.com/siyuan-note/siyuan/issues/10941)

### Refactor

* [Upgrade to Electron v28.2.10](https://github.com/siyuan-note/siyuan/issues/10869)
* [Improve outline loading mechanism](https://github.com/siyuan-note/siyuan/issues/10884)

## Download

* [B3log](https://b3log.org/siyuan/en/download.html)
* [GitHub](https://github.com/siyuan-note/siyuan/releases)
