## Overview

This version supports read-only publish service, improves web clipping, fixes some defects, and improves many details.

## Changelogs

Below are the detailed changes in this version.

### Feature

* [Support read-only publish service](https://github.com/siyuan-note/siyuan/pull/11367)

### Enhancement

* [Improve interactive guidance after creating an empty doc](https://github.com/siyuan-note/siyuan/issues/10528)
* [Improve menu interaction with inline elements](https://github.com/siyuan-note/siyuan/issues/10577)
* [Improve performance for unfolding headings](https://github.com/siyuan-note/siyuan/issues/10935)
* [Improve PDF exporting](https://github.com/siyuan-note/siyuan/issues/11258)
* [Keep the width when duplicating database table view field](https://github.com/siyuan-note/siyuan/issues/11552)
* [Improve HTML entity clipping](https://github.com/siyuan-note/siyuan/issues/11557)
* [Improve duplicating for a doc with databases](https://github.com/siyuan-note/siyuan/issues/11602)
* [Improve list item end deletion](https://github.com/siyuan-note/siyuan/issues/11606)
* [Improve HTML tag input](https://github.com/siyuan-note/siyuan/issues/11622)
* [Attribute Panel - Database supports right-click on the field](https://github.com/siyuan-note/siyuan/issues/11625)
* [The conversion list supports configuring shortcut keys](https://github.com/siyuan-note/siyuan/issues/11634)
* [Improve `Ctrl+P` and `Ctrl+F`](https://github.com/siyuan-note/siyuan/issues/11637)
* [Improve Wikipedia clipping](https://github.com/siyuan-note/siyuan/issues/11640)
* [Improve HTML code clipping](https://github.com/siyuan-note/siyuan/issues/11642)
* [Improve web clip escaping code block markers](https://github.com/siyuan-note/siyuan/issues/11643)
* [Improve `Add to Database` search](https://github.com/siyuan-note/siyuan/issues/11644)
* [Improve StackExchange formula clipping](https://github.com/siyuan-note/siyuan/issues/11646)
* [Improve cursor moving in the code block](https://github.com/siyuan-note/siyuan/issues/11647)
* [Display the "Closed notebook" count in the doc tree panel](https://github.com/siyuan-note/siyuan/issues/11648)
* [Windows arm64 and Linux arm64 no longer packing pandoc](https://github.com/siyuan-note/siyuan/issues/11649)
* [Improve Zhihu formula clipping](https://github.com/siyuan-note/siyuan/issues/11653)
* [Display database title in bookmark panel](https://github.com/siyuan-note/siyuan/issues/11666)
* [Improve Mermaid's Markdown rendering](https://github.com/siyuan-note/siyuan/issues/11670)
* [Improve Shift+↑/↓ selection](https://github.com/siyuan-note/siyuan/issues/11671)
* [Improve the position of open documents in split screen](https://github.com/siyuan-note/siyuan/issues/11676)
* [Paste a block at the beginning and insert it above](https://github.com/siyuan-note/siyuan/issues/11677)
* [Remove invisible characters from file names when uploading assets](https://github.com/siyuan-note/siyuan/issues/11683)
* [Improve custom emoji rendering on mobile](https://github.com/siyuan-note/siyuan/issues/11690)
* [Improve ↑/↓ moving in the table](https://github.com/siyuan-note/siyuan/issues/11694)
* [Display details when exporting .sy.zip and data.zip](https://github.com/siyuan-note/siyuan/issues/11696)
* [No prompt when pressing the auxiliary key in the shortcut key setting](https://github.com/siyuan-note/siyuan/issues/11720)
* [Improve embed blocks exporting](https://github.com/siyuan-note/siyuan/issues/11725)
* [Improve use of `↓` in doc titles](https://github.com/siyuan-note/siyuan/issues/11729)
* [Disable some menu items in read-only mode](https://github.com/siyuan-note/siyuan/pull/11733)
* [Improve inline elements pasting](https://github.com/siyuan-note/siyuan/issues/11740)
* [Improve HTML formula clipping](https://github.com/siyuan-note/siyuan/issues/11743)
* [Custom Emoji folders no longer require manual refresh when they change](https://github.com/siyuan-note/siyuan/issues/11749)
* [Improve the selection operation after the image is centered](https://github.com/siyuan-note/siyuan/issues/11757)
* [Add "Copy" to the right-click menu of a PDF tab](https://github.com/siyuan-note/siyuan/issues/11758)
* [Improve multiple selection for blocks containing images](https://github.com/siyuan-note/siyuan/issues/11763)
* [Improve emoji search](https://github.com/siyuan-note/siyuan/pull/11768)
* [Improve page number for exporting PDF annotation hyperlinks](https://github.com/siyuan-note/siyuan/issues/11780)
* [Improve HTML table clipping](https://github.com/siyuan-note/siyuan/issues/11783)
* [Export block ref `Anchor hash` supports doc-level](https://github.com/siyuan-note/siyuan/issues/11814)
* [Improve font family](https://github.com/siyuan-note/siyuan/issues/11841)
* [Reindex notebook and reload UI after data sync if notebook conf changed](https://github.com/siyuan-note/siyuan/issues/11850)

### Bugfix

* [Moving a child block of a super block is abnormal](https://github.com/siyuan-note/siyuan/issues/11609)
* [When editing in multiple windows, the doc cannot be opened normally in a new window](https://github.com/siyuan-note/siyuan/issues/11610)
* [`Add to Database` is not available on mobile](https://github.com/siyuan-note/siyuan/issues/11651)
* [HTML block drag and undo will show tag](https://github.com/siyuan-note/siyuan/issues/11656)
* [Failed to rename the document after moving it](https://github.com/siyuan-note/siyuan/issues/11661)
* [Repeat the escaped content of the image title](https://github.com/siyuan-note/siyuan/issues/11681)
* [IFrame block does not resize when adaptive width is enabled](https://github.com/siyuan-note/siyuan/issues/11695)
* [Inline memo with `%` cannot be displayed](https://github.com/siyuan-note/siyuan/issues/11709)
* [`Shift+Enter` does not work properly in inline elements](https://github.com/siyuan-note/siyuan/issues/11766)
* [Paste escaped text exception inside inline level code](https://github.com/siyuan-note/siyuan/issues/11778)
* [AI custom action can't be edited](https://github.com/siyuan-note/siyuan/issues/11791)
* [Using `Ctrl+X` on an embed block should cut the embed block itself](https://github.com/siyuan-note/siyuan/issues/11793)
* [Sometimes the audio or video does not play](https://github.com/siyuan-note/siyuan/issues/11810)
* [Search UI XSS](https://github.com/siyuan-note/siyuan/issues/11848)
* [Code block language search XSS](https://github.com/siyuan-note/siyuan/issues/11869)

### Document

* [Improve user guide type filtering chapter](https://github.com/siyuan-note/siyuan/pull/11692)

### Refactor

* [Upgrade mermaid to v10.9.1](https://github.com/siyuan-note/siyuan/issues/11645)
* [Upgrade to Electron v31.1.0](https://github.com/siyuan-note/siyuan/issues/11654)
* [Refactor the blocktree storage](https://github.com/siyuan-note/siyuan/issues/11773)

### Development

* [Kernel API OCR returns text coordinate information](https://github.com/siyuan-note/siyuan/pull/11738)
* [Add internal kernel API `/api/attr/batchGetBlockAttrs`](https://github.com/siyuan-note/siyuan/issues/11786)

## Download

* [B3log](https://b3log.org/siyuan/en/download.html)
* [GitHub](https://github.com/siyuan-note/siyuan/releases)
