## Overview

This version fixes some bugs and improves many details, among which the more important ones are the improvements to data synchronization, document tree and backlink panel.

## Changelogs

Below are the detailed changes in this version.

### Enhancement

* [Improve copy and cut after multiple selection of cells in the table](https://github.com/siyuan-note/siyuan/issues/10488)
* [Return document blocks when the keyword search hits different block content](https://github.com/siyuan-note/siyuan/issues/10584)
* [Improve table cell selection](https://github.com/siyuan-note/siyuan/issues/11388)
* [The right-click menu of multiple selected database entries supports more copy options](https://github.com/siyuan-note/siyuan/issues/11520)
* [Markdown syntax switch no longer affects clip/paste HTML parsing](https://github.com/siyuan-note/siyuan/issues/11604)
* [File history supports adjusting item list width](https://github.com/siyuan-note/siyuan/issues/12347)
* [Document tree supports multiple documents to open in the same new window](https://github.com/siyuan-note/siyuan/issues/12490)
* [Local assets of database asset fields support `Rename`](https://github.com/siyuan-note/siyuan/issues/12497)
* [Image title supports line breaks](https://github.com/siyuan-note/siyuan/issues/12855)
* [Indicates the insertion position when dragging files](https://github.com/siyuan-note/siyuan/issues/12857)
* [Database cells support vertical dragging to fill values](https://github.com/siyuan-note/siyuan/issues/12907)
* [Improve document tree movement and its animation](https://github.com/siyuan-note/siyuan/issues/12914)
* [Improve S3/WebDAV data sync config](https://github.com/siyuan-note/siyuan/issues/12923)
* [The Publishing service no longer support export](https://github.com/siyuan-note/siyuan/issues/12928)
* [Display document title in data history preview area](https://github.com/siyuan-note/siyuan/issues/12948)
* [Improve parsing `<img>` when importing markdown](https://github.com/siyuan-note/siyuan/issues/12956)
* [Improve parsing of YAML Front Matter when importing Markdown](https://github.com/siyuan-note/siyuan/issues/12962)
* [Improve HTML clipping](https://github.com/siyuan-note/siyuan/issues/12973)
* [All plain text formats are supported when comparing data snapshots](https://github.com/siyuan-note/siyuan/issues/12975)
* [Improve outline panel loading performance](https://github.com/siyuan-note/siyuan/issues/12981)
* [Improve data synchronization stability](https://github.com/siyuan-note/siyuan/issues/12991)
* [Improve marketplace network availability](https://github.com/siyuan-note/siyuan/issues/12998)
* [Improve data synchronization perception](https://github.com/siyuan-note/siyuan/issues/13000)
* [Improve the backlink panel](https://github.com/siyuan-note/siyuan/issues/13008)
* [Dynamically loading graph nodes and edges](https://github.com/siyuan-note/siyuan/issues/13014)
* [Improve appearance menu](https://github.com/siyuan-note/siyuan/issues/13036)

### Bugfix

* [The document tree creation time and update time are reversed](https://github.com/siyuan-note/siyuan/issues/12874)
* [Unexpected `Clear inline elements` behavior for links](https://github.com/siyuan-note/siyuan/issues/12877)
* [The marketplace language does not change after switching the appearance language](https://github.com/siyuan-note/siyuan/issues/12892)
* [Add block ref exception for inline tags](https://github.com/siyuan-note/siyuan/issues/12922)
* [The outline/bookmark panel cannot display items](https://github.com/siyuan-note/siyuan/issues/12959)
* [OCR function cannot be used normally on Linux](https://github.com/siyuan-note/siyuan/issues/12960)

### Refactor

* [Upgrade to Electron v32.2.2](https://github.com/siyuan-note/siyuan/issues/12891)

### Development

* [Add plugin function `getModelByDockType`](https://github.com/siyuan-note/siyuan/issues/11782)
* [Support custom default doc icons](https://github.com/siyuan-note/siyuan/issues/12721)
* [Add plugin function `getAllEditor`](https://github.com/siyuan-note/siyuan/issues/12884)
* [Add plugin util `platformUtils`](https://github.com/siyuan-note/siyuan/issues/12930)
* [Add internal kernel API `/api/icon/getDynamicIcon`](https://github.com/siyuan-note/siyuan/pull/12939)
* [Add `renderElement` and `blockElement` for `open-noneditableblock`](https://github.com/siyuan-note/siyuan/issues/12955)

## Download

* [B3log](https://b3log.org/siyuan/en/download.html)
* [GitHub](https://github.com/siyuan-note/siyuan/releases)
