## Overview

This version supports setting dynamic icons for documents and improves data synchronization.

From this version, SiYuan will automatically clean up the local data repository after the first data sync ends after startup:

* Only 2 snapshots are kept per day
* Snapshots older than 180 days are cleaned up

You can adjust this cleanup policy in Settings - About - Data repo purge.

Automatic snapshot cleanup helps improve startup speed. If you do not want a snapshot to be cleaned up, you can manually tag the snapshot, and the tagged snapshot will not be cleaned up.

## Changelogs

Below are the detailed changes in this version.

### Enhancement

* [The database supports adding view/field/option description](https://github.com/siyuan-note/siyuan/issues/11053)
* [Improve open PDF with new window](https://github.com/siyuan-note/siyuan/issues/11993)
* [Improve positioning doc in split screens](https://github.com/siyuan-note/siyuan/issues/12694)
* [Support exporting Markdown after selecting multiple documents](https://github.com/siyuan-note/siyuan/issues/12912)
* [Document icons support the use of dynamic icons](https://github.com/siyuan-note/siyuan/issues/12943)
* [Improve blocks highlighting effects](https://github.com/siyuan-note/siyuan/issues/12951)
* [Improve WebDAV data synchronization compatibility](https://github.com/siyuan-note/siyuan/issues/12961)
* [The backlink panel supports filtering by the block attributes](https://github.com/siyuan-note/siyuan/issues/12985)
* [Long press `Esc` to focus on the button in the flashcard](https://github.com/siyuan-note/siyuan/issues/12989)
* [Bold, italic, underline, and strikethrough inherit the block element color](https://github.com/siyuan-note/siyuan/issues/13043)
* [Improve plain text comparison in data snapshot](https://github.com/siyuan-note/siyuan/issues/13046)
* [Apps in Chinese mainland app stores no longer provide AI access settings](https://github.com/siyuan-note/siyuan/issues/13051)
* [Improve appearance for table and database nested in container block](https://github.com/siyuan-note/siyuan/issues/13052)
* [Improve marketplace multi-language internationalization](https://github.com/siyuan-note/siyuan/issues/13053)
* [Improved database pasting of text containing commas and line breaks](https://github.com/siyuan-note/siyuan/issues/13068)
* [List only 512 unreferenced assets](https://github.com/siyuan-note/siyuan/issues/13075)
* [Automatic purge for local data repo](https://github.com/siyuan-note/siyuan/issues/13091)
* [Double-click the panel drag line to restore the default width](https://github.com/siyuan-note/siyuan/issues/13107)
* [Improve data sync](https://github.com/siyuan-note/siyuan/issues/13133)
* [Improve importing Markdown](https://github.com/siyuan-note/siyuan/issues/13149)

### Bugfix

* [SQL injection security vulnerabilities](https://github.com/siyuan-note/siyuan/issues/13077)
* [Access authorization code captcha vulnerability](https://github.com/siyuan-note/siyuan/issues/13147)
* [Some XSS vulnerabilities](https://github.com/siyuan-note/siyuan/issues/13171)

### Refactor

* [Upgrade to Electron v32.2.5](https://github.com/siyuan-note/siyuan/issues/13161)

### Development

* [Kernel serve CardDAV service on path `/carddav/`](https://github.com/siyuan-note/siyuan/pull/12895)
* [Add a kernel API `/api/filetree/renameDocByID`](https://github.com/siyuan-note/siyuan/issues/13105)

## Download

* [B3log](https://b3log.org/siyuan/en/download.html)
* [GitHub](https://github.com/siyuan-note/siyuan/releases)
