## 概述

此版本支援設定文件動態圖標，並改進了資料同步。

從此版本開始思源會在啟動後第一次資料同步結束後自動清理本機資料倉儲：

* 每天只保留 2 個快照
* 清理超過 180 天的快照

可以在 設定 - 關於 - 資料倉儲清理 中調整該清理策略。

自動清理快照有助於提升啟動速度，如果你不希望某個快照被清理，可以手動標記該快照，被標記的快照不會被清理。

## 變更記錄

以下是此版本中的詳細變更。

### 改進功能

* [資料庫支援新增視圖/欄位/選項描述](https://github.com/siyuan-note/siyuan/issues/11053)
* [改進在新視窗中開啟 PDF](https://github.com/siyuan-note/siyuan/issues/11993)
* [改進在分割畫面中定位文件](https://github.com/siyuan-note/siyuan/issues/12694)
* [支援選擇多個文件後匯出 Markdown](https://github.com/siyuan-note/siyuan/issues/12912)
* [文件圖示支援使用動態圖示](https://github.com/siyuan-note/siyuan/issues/12943)
* [改良塊高亮效果](https://github.com/siyuan-note/siyuan/issues/12951)
* [改進 WebDAV 資料同步相容性](https://github.com/siyuan-note/siyuan/issues/12961)
* [反向連結面板支援按區塊屬性過濾](https://github.com/siyuan-note/siyuan/issues/12985)
* [長按 `Esc` 聚焦閃卡中的按鈕](https://github.com/siyuan-note/siyuan/issues/12989)
* [加粗、斜體、底線和刪除線繼承塊元素顏色](https://github.com/siyuan-note/siyuan/issues/13043)
* [改進資料快照中的純文字比較](https://github.com/siyuan-note/siyuan/issues/13046)
* [中國大陸應用商店中的應用程式不再提供 AI 存取設定](https://github.com/siyuan-note/siyuan/issues/13051)
* [改進嵌套在容器區塊中的表格和資料庫的外觀](https://github.com/siyuan-note/siyuan/issues/13052)
* [改進集市多語國際化](https://github.com/siyuan-note/siyuan/issues/13053)
* [改進貼上包含逗號和換行符的文字到資料庫](https://github.com/siyuan-note/siyuan/issues/13068)
* [僅列出 512 個未引用的資源檔案](https://github.com/siyuan-note/siyuan/issues/13075)
* [本地資料倉自動清理](https://github.com/siyuan-note/siyuan/issues/13091)
* [雙擊面板拖曳線恢復預設寬度](https://github.com/siyuan-note/siyuan/issues/13107)
* [改進資料同步](https://github.com/siyuan-note/siyuan/issues/13133)
* [改進導入 Markdown](https://github.com/siyuan-note/siyuan/issues/13149)

### 修復缺陷

* [SQL 注入安全漏洞](https://github.com/siyuan-note/siyuan/issues/13077)
* [存取授權碼驗證碼漏洞](https://github.com/siyuan-note/siyuan/issues/13147)
* [一些 XSS 漏洞](https://github.com/siyuan-note/siyuan/issues/13171)

### 開發重構

* [升級 Electron v32.2.5](https://github.com/siyuan-note/siyuan/issues/13161)

### 開發者

* [核心提供 CardDAV 服務 `/carddav/`](https://github.com/siyuan-note/siyuan/pull/12895)
* [新增一個核心介面 `/api/filetree/renameDocByID`](https://github.com/siyuan-note/siyuan/issues/13105)

## 下載

* [B3log](https://b3log.org/siyuan/download.html)
* [GitHub](https://github.com/siyuan-note/siyuan/releases)
