## 概述

该版本支持设置文档动态图标，并改进了数据同步。

从该版本开始思源会在启动后第一次数据同步结束后自动清理本地数据仓库：

* 每天仅保留 2 个快照
* 清理超过 180 天的快照

可以在 设置 - 关于 - 数据仓库清理 中调整该清理策略。

自动清理快照有助于提升启动速度，如果你不希望某个快照被清理，可以手动标记该快照，被标记的快照不会被清理。

## 变更记录

以下是此版本中的详细变更。

### 改进功能

* [数据库支持添加视图/字段/选项描述](https://github.com/siyuan-note/siyuan/issues/11053)
* [改进在新窗口中打开 PDF](https://github.com/siyuan-note/siyuan/issues/11993)
* [改进在分屏中定位文档](https://github.com/siyuan-note/siyuan/issues/12694)
* [支持选择多个文档后导出 Markdown](https://github.com/siyuan-note/siyuan/issues/12912)
* [文档图标支持使用动态图标](https://github.com/siyuan-note/siyuan/issues/12943)
* [改进块高亮效果](https://github.com/siyuan-note/siyuan/issues/12951)
* [改进 WebDAV 数据同步兼容性](https://github.com/siyuan-note/siyuan/issues/12961)
* [反向链接面板支持按块属性过滤](https://github.com/siyuan-note/siyuan/issues/12985)
* [长按 `Esc` 聚焦闪卡中的按钮](https://github.com/siyuan-note/siyuan/issues/12989)
* [加粗、斜体、下划线和删除线继承块元素颜色](https://github.com/siyuan-note/siyuan/issues/13043)
* [改进数据快照中的纯文本比较](https://github.com/siyuan-note/siyuan/issues/13046)
* [中国大陆应用商店中的应用不再提供 AI 访问设置](https://github.com/siyuan-note/siyuan/issues/13051)
* [改进嵌套在容器块中的表格和数据库的外观](https://github.com/siyuan-note/siyuan/issues/13052)
* [改进集市多语言国际化](https://github.com/siyuan-note/siyuan/issues/13053)
* [改进粘贴包含逗号和换行符的文本到数据库](https://github.com/siyuan-note/siyuan/issues/13068)
* [仅列出 512 个未引用的资源文件](https://github.com/siyuan-note/siyuan/issues/13075)
* [本地数据仓库自动清理](https://github.com/siyuan-note/siyuan/issues/13091)
* [双击面板拖动线恢复默认宽度](https://github.com/siyuan-note/siyuan/issues/13107)
* [改进数据同步](https://github.com/siyuan-note/siyuan/issues/13133)
* [改进导入 Markdown](https://github.com/siyuan-note/siyuan/issues/13149)

### 修复缺陷

* [SQL 注入安全漏洞](https://github.com/siyuan-note/siyuan/issues/13077)
* [访问授权码验证码漏洞](https://github.com/siyuan-note/siyuan/issues/13147)
* [一些 XSS 漏洞](https://github.com/siyuan-note/siyuan/issues/13171)

### 开发重构

* [升级 Electron v32.2.5](https://github.com/siyuan-note/siyuan/issues/13161)

### 开发者

* [内核提供 CardDAV 服务 `/carddav/`](https://github.com/siyuan-note/siyuan/pull/12895)
* [添加一个内核接口 `/api/filetree/renameDocByID`](https://github.com/siyuan-note/siyuan/issues/13105)

## 下载

* [B3log](https://b3log.org/siyuan/download.html)
* [GitHub](https://github.com/siyuan-note/siyuan/releases)
