## Overview

This version improves a lot of details and optimizes data synchronization performance.

## Changelogs

Below are the detailed changes in this version.

### Enhancement

* [Support creating new entries when filling in the database relation field](https://github.com/siyuan-note/siyuan/issues/10914)
* [The right-click menu of multiple selected documents or blocks supports more copy options](https://github.com/siyuan-note/siyuan/issues/11561)
* [Improved spacing and width of horizontal layouts](https://github.com/siyuan-note/siyuan/issues/12318)
* [Improve image width setting](https://github.com/siyuan-note/siyuan/issues/12516)
* [Support dragging assets to the database and assets field in the attribute panel](https://github.com/siyuan-note/siyuan/issues/12904)
* [Improve line breaking behavior when sublists contain lists and normal blocks](https://github.com/siyuan-note/siyuan/issues/13016)
* [Maintain block position after editor width resize](https://github.com/siyuan-note/siyuan/issues/13127)
* [Doc tree "Copy" supports using shortcut keys](https://github.com/siyuan-note/siyuan/issues/13128)
* [For flashcard blocks without fill-in-the-blank cards created, cancel "Show Answer"](https://github.com/siyuan-note/siyuan/issues/13163)
* [Improve dragging of headings or list items to the doc tree](https://github.com/siyuan-note/siyuan/issues/13170)
* [Improve search highlighting](https://github.com/siyuan-note/siyuan/issues/13178)
* [Drag and Alt+drag on the document tree swapped](https://github.com/siyuan-note/siyuan/issues/13181)
* [The database supports calculating the "Percent unique values" of the field](https://github.com/siyuan-note/siyuan/issues/13192)
* [Improve file history UI](https://github.com/siyuan-note/siyuan/issues/13193)
* [Improve inline elements find-replace](https://github.com/siyuan-note/siyuan/issues/13200)
* [Lazy loading of images and IFrames](https://github.com/siyuan-note/siyuan/issues/13204)
* [Improve data sync performance](https://github.com/siyuan-note/siyuan/issues/13216)
* [Add statistics on selected blocks and total blocks](https://github.com/siyuan-note/siyuan/issues/13235)
* [Improve cursor position after undo](https://github.com/siyuan-note/siyuan/issues/13244)
* [Improve importing Markdown](https://github.com/siyuan-note/siyuan/issues/13245)
* [Improve database attribute panel style](https://github.com/siyuan-note/siyuan/pull/13248)
* [Improve HTML clipping](https://github.com/siyuan-note/siyuan/issues/13270)
* [Improve pasting and copying of code block after select all](https://github.com/siyuan-note/siyuan/pull/13271)
* [Improve exporting Markdown](https://github.com/siyuan-note/siyuan/issues/13273)
* [Special characters in exported file names are replaced by `_`](https://github.com/siyuan-note/siyuan/issues/13274)
* [Improve drag block highlighting](https://github.com/siyuan-note/siyuan/pull/13281)
* [Improve exporting block ref](https://github.com/siyuan-note/siyuan/issues/13283)
* [Improve drag block to database highlighting](https://github.com/siyuan-note/siyuan/pull/13284)
* [Graph nodes no longer display memos](https://github.com/siyuan-note/siyuan/issues/13287)
* [Remove Unicode PUA characters](https://github.com/siyuan-note/siyuan/issues/13291)

### Bugfix

* [Incorrect backlink keyword highlighting](https://github.com/siyuan-note/siyuan/issues/13210)
* [Failed to purge cloud repo](https://github.com/siyuan-note/siyuan/issues/13243)
* [Undo exception after deleting some blocks](https://github.com/siyuan-note/siyuan/issues/13254)

### Refactor

* [Upgrade to Mermaid v11.4.0](https://github.com/siyuan-note/siyuan/issues/13209)
* [Upgrade flowchart.js to v1.18.0](https://github.com/siyuan-note/siyuan/issues/13276)
* [Upgrade pdfcpu to v0.9.1](https://github.com/siyuan-note/siyuan/issues/13305)
* [Upgrade FSRS to v3.3.0](https://github.com/siyuan-note/siyuan/issues/13323)

### Development

* [Compatible with line breaking behavior after setting the maximum height of code blocks](https://github.com/siyuan-note/siyuan/issues/12726)
* [Improve kernel API `/api/block/getBlockKramdown`](https://github.com/siyuan-note/siyuan/issues/13183)
* [Support toolbar configuration hotkeys returned by `updateProtyleToolbar`](https://github.com/siyuan-note/siyuan/issues/13277)
* [Kernel serve CalDAV service on path `/caldav/`](https://github.com/siyuan-note/siyuan/pull/13321)

## Download

* [B3log](https://b3log.org/siyuan/en/download.html)
* [GitHub](https://github.com/siyuan-note/siyuan/releases)
