## Overview

This version improves some details.

Important changes: List Markdown marker changed from `*` to `-` ([#14680](https://github.com/siyuan-note/siyuan/issues/14680))

**Affected scope**:

1. When copying or exporting list Markdown, the marker is changed to `-`
2. SQL query statements or plugins that rely on the list `*` marker need to adjust their logic

Does not affect input, and the `*` marker can still be used for input.

**Adaptation operation**:

1. Execute `Doc Tree` - `More` - `Rebuild Index` to update the list markers in the data index
2. Modify the relevant SQL query statements
   * Only support the new format: for example, change `markdown LIKE '* [x]%'` to `markdown LIKE '- [x]%'`
   * Compatible with new and old formats: for example, change to `markdown LIKE '- [x]%' OR markdown LIKE '* [x]%'`

## Changelogs

Below are the detailed changes in this version.

### Enhancement

* [Preview mode copy to WeChat MP supports lists with more than two levels](https://github.com/siyuan-note/siyuan/issues/11276)
* [Support formula rendering when exporting to WeChat MP](https://github.com/siyuan-note/siyuan/issues/12571)
* [Improve floating window interaction](https://github.com/siyuan-note/siyuan/issues/13296)
* [Support switching code block language via shortcut keys](https://github.com/siyuan-note/siyuan/issues/14126)
* [Flowchart and PlantUML chart are not fully displayed](https://github.com/siyuan-note/siyuan/issues/14132)
* [Automatically replace `/` in doc titles with `／`](https://github.com/siyuan-note/siyuan/issues/14134)
* [Support layout search filtering](https://github.com/siyuan-note/siyuan/issues/14176)
* [Improve transitions of inline elements](https://github.com/siyuan-note/siyuan/issues/14290)
* [`Duplicate` then select the block](https://github.com/siyuan-note/siyuan/issues/14567)
* [Supports configuration of whether to export inline memos](https://github.com/siyuan-note/siyuan/issues/14605)
* [Improve pasting of hyperlinks and block ref anchor text](https://github.com/siyuan-note/siyuan/issues/14625)
* [Improve the SQL method in the global search](https://github.com/siyuan-note/siyuan/issues/14641)
* [Clicking on a virtual reference to jump no longer pops up the keyboard on Android](https://github.com/siyuan-note/siyuan/issues/14642)
* [Use natural ascending order when inserting multiple assets](https://github.com/siyuan-note/siyuan/issues/14643)
* [Improve mouse selection code blocks](https://github.com/siyuan-note/siyuan/pull/14646)
* [Dailynote shortcut keys are automatically reset to default](https://github.com/siyuan-note/siyuan/issues/14652)
* [Improve block jump return animation on mobile](https://github.com/siyuan-note/siyuan/issues/14655)
* [Improve browser clipping extension](https://github.com/siyuan-note/siyuan/issues/14669)
* [Improve embed block rendering after line break](https://github.com/siyuan-note/siyuan/issues/14672)
* [Improve interaction with code blocks in embedd blocks](https://github.com/siyuan-note/siyuan/issues/14678)
* [Use `-` marker for lists when exporting Markdown](https://github.com/siyuan-note/siyuan/issues/14680)
* [Improve the marketplace refresh timer](https://github.com/siyuan-note/siyuan/issues/14685)
* [Improve flashcard management sorting](https://github.com/siyuan-note/siyuan/issues/14686)
* [Improve HTML table clipping](https://github.com/siyuan-note/siyuan/issues/14688)
* [Support converting HTML hyperlinks when importing Markdown](https://github.com/siyuan-note/siyuan/issues/14689)
* [Ignore editor Markdown settings when copying and pasting inline elements](https://github.com/siyuan-note/siyuan/issues/14690)
* [Improve export PDF watermark font](https://github.com/siyuan-note/siyuan/issues/14693)
* [Support paging within blocks when exporting PDF](https://github.com/siyuan-note/siyuan/issues/14702)
* [Improve input of tab characters before inline elements at the beginning of a paragraph](https://github.com/siyuan-note/siyuan/issues/14703)
* [When the block ref anchor text contains only whitespace characters, it will be set as a static anchor text id](https://github.com/siyuan-note/siyuan/issues/14704)
* [Improve block ref exporting](https://github.com/siyuan-note/siyuan/issues/14710)
* [Improve code block line number alignment when exporting a PDF with zoomed page](https://github.com/siyuan-note/siyuan/issues/14719)
* [Improve the Enter return after the table in the list](https://github.com/siyuan-note/siyuan/issues/14720)
* [Improve database template field access rollup multiple selection](https://github.com/siyuan-note/siyuan/issues/14723)
* [Fill the template into the input box when duplicating the database template field](https://github.com/siyuan-note/siyuan/issues/14724)
* [After clicking the outline, the cursor is positioned at the end of the block](https://github.com/siyuan-note/siyuan/issues/14725)
* [The "Close current tab" shortcut key can close the floating window in the floating window](https://github.com/siyuan-note/siyuan/issues/14729)
* [Follow editor Markdown syntax settings when importing Markdown](https://github.com/siyuan-note/siyuan/issues/14731)
* [Improve database field and view editing UI](https://github.com/siyuan-note/siyuan/issues/14765)
* [Improve code block local language rendering priority](https://github.com/siyuan-note/siyuan/issues/14767)
* [Update the `Exit focus` button state when backing on mobile](https://github.com/siyuan-note/siyuan/issues/14769)
* [Remove `<br>` in the database title](https://github.com/siyuan-note/siyuan/issues/14770)
* [Improve doc tree Name Alphabet sorting](https://github.com/siyuan-note/siyuan/issues/14773)
* [Improve database batch paste performance and support more types of conversion](https://github.com/siyuan-note/siyuan/issues/14780)
* [Improve stability of block attribute updates](https://github.com/siyuan-note/siyuan/issues/14797)
* [Browser clipping extension support template configuration](https://github.com/siyuan-note/siyuan/issues/14801)
* [Improve soft line break at the end](https://github.com/siyuan-note/siyuan/issues/14807)

### Bugfix

* [Clicking on the video will jump to the block where the cursor is on mobile](https://github.com/siyuan-note/siyuan/issues/14569)
* [Exception when pressing Delete inside a code block](https://github.com/siyuan-note/siyuan/issues/14645)
* [Inline formula input parsing exception](https://github.com/siyuan-note/siyuan/issues/14666)
* [PlantUML export image error](https://github.com/siyuan-note/siyuan/issues/14668)
* [Block-level formulas cannot be rendered in preview mode](https://github.com/siyuan-note/siyuan/issues/14671)
* [Filter for Rollup column based on Select column not working](https://github.com/siyuan-note/siyuan/issues/14706)
* [The result list will not refresh after search is replaced on mobile](https://github.com/siyuan-note/siyuan/issues/14715)
* [Fixed table header causes highlight misalignment of multiple selected cells](https://github.com/siyuan-note/siyuan/issues/14777)

### Refactor

* [Upgrade to Electron v35.3.0](https://github.com/siyuan-note/siyuan/issues/14660)

### Development

* [Improve kernel API `/api/file/putFile` parameter validation](https://github.com/siyuan-note/siyuan/issues/14658)

## Download

* [B3log](https://b3log.org/siyuan/en/download.html)
* [GitHub](https://github.com/siyuan-note/siyuan/releases)
