## 概述

該版本改進了一些細節。

重要變更：列表 Markdown 符號從 `*` 變更為 `-`（[#14680](https://github.com/siyuan-note/siyuan/issues/14680)）

**影響範圍**：

1. 複製或匯出列表 Markdown 時符號變更為 `-`
2. 依賴列表 `*` 符號的 SQL 查詢語句或外掛程式需調整邏輯

不影響輸入，輸入仍可使用 `*` 符號。

**適配操作**：

1. 執行 `文檔樹` - `更多` - `重建索引` 以更新數據索引中的列表符號
2. 修改相關的 SQL 查詢語句
   * 僅支援新格式：例如將 `markdown LIKE '* [x]%'` 改為 `markdown LIKE '- [x]%'` 
   * 相容新舊格式：例如改為 `markdown LIKE '- [x]%' OR markdown LIKE '* [x]%'`

## 變更記錄

以下是此版本中的詳細變更。

### 改進功能

* [預覽模式複製到微信公眾號支援兩層以上列表](https://github.com/siyuan-note/siyuan/issues/11276)
* [支援匯出至微信公眾號時渲染公式](https://github.com/siyuan-note/siyuan/issues/12571)
* [改進浮動視窗互動](https://github.com/siyuan-note/siyuan/issues/13296)
* [支援透過快捷鍵切換程式碼區塊語言](https://github.com/siyuan-note/siyuan/issues/14126)
* [流程圖與 PlantUML 圖表未完全顯示](https://github.com/siyuan-note/siyuan/issues/14132)
* [文件標題中的 `/` 自動替換為 `/`](https://github.com/siyuan-note/siyuan/issues/14134)
* [支援版面搜尋過濾](https://github.com/siyuan-note/siyuan/issues/14176)
* [改進行級元素的過渡效果](https://github.com/siyuan-note/siyuan/issues/14290)
* [`複製` 後選取區塊](https://github.com/siyuan-note/siyuan/issues/14567)
* [支援配置是否匯出行級備註](https://github.com/siyuan-note/siyuan/issues/14605)
* [改進貼上超連結和區塊引用錨文本](https://github.com/siyuan-note/siyuan/issues/14625)
* [改進全域搜尋中的 SQL 方法](https://github.com/siyuan-note/siyuan/issues/14641)
* [點擊虛擬引用跳轉時 Android 上不再彈出鍵盤](https://github.com/siyuan-note/siyuan/issues/14642)
* [插入多個資源檔案時使用自然升序](https://github.com/siyuan-note/siyuan/issues/14643)
* [改進滑鼠選擇程式碼區塊](https://github.com/siyuan-note/siyuan/pull/14646)
* [日記快捷鍵自動重設為預設值](https://github.com/siyuan-note/siyuan/issues/14652)
* [改進行動端區塊跳回動畫](https://github.com/siyuan-note/siyuan/issues/14655)
* [改進瀏覽器剪藏擴充功能](https://github.com/siyuan-note/siyuan/issues/14669)
* [改進換行後嵌入區塊的渲染](https://github.com/siyuan-note/siyuan/issues/14672)
* [改進嵌入區塊中程式碼區塊的互動](https://github.com/siyuan-note/siyuan/issues/14678)
* [匯出 Markdown 時使用 `-` 作為列表標記](https://github.com/siyuan-note/siyuan/issues/14680)
* [改進市場刷新計時器](https://github.com/siyuan-note/siyuan/issues/14685)
* [改進閃卡管理排序](https://github.com/siyuan-note/siyuan/issues/14686)
* [改進 HTML 表格剪藏](https://github.com/siyuan-note/siyuan/issues/14688)
* [支援導入 Markdown 時轉換 HTML 超連結](https://github.com/siyuan-note/siyuan/issues/14689)
* [複製貼上行級元素時忽略編輯器 Markdown 設定](https://github.com/siyuan-note/siyuan/issues/14690)
* [改進匯出 PDF 水印字體](https://github.com/siyuan-note/siyuan/issues/14693)
* [支援匯出 PDF 時區塊內分頁](https://github.com/siyuan-note/siyuan/issues/14702)
* [改進段落開頭行級元素前的 Tab 字元輸入](https://github.com/siyuan-note/siyuan/issues/14703)
* [當區塊引用錨文本僅包含空白字元時設定為靜態錨文本 ID](https://github.com/siyuan-note/siyuan/issues/14704)
* [改進區塊引用導出](https://github.com/siyuan-note/siyuan/issues/14710)
* [匯出 PDF 時頁面縮放下改進程式碼區塊行號對齊](https://github.com/siyuan-note/siyuan/issues/14719)
* [改進列表中表格後的回車換行](https://github.com/siyuan-note/siyuan/issues/14720)
* [改進資料庫範本欄位存取匯總多選](https://github.com/siyuan-note/siyuan/issues/14723)
* [複製資料庫範本欄位時將範本填入輸入框](https://github.com/siyuan-note/siyuan/issues/14724)
* [點選大綱後遊標定位到區塊末](https://github.com/siyuan-note/siyuan/issues/14725)
* [「關閉目前頁籤」快速鍵可關閉浮窗](https://github.com/siyuan-note/siyuan/issues/14729)
* [匯入 Markdown 時遵循編輯器 Markdown 語法設定](https://github.com/siyuan-note/siyuan/issues/14731)
* [改進資料庫欄位和視圖編輯介面](https://github.com/siyuan-note/siyuan/issues/14765)
* [改進程式碼區塊本地語言渲染優先權](https://github.com/siyuan-note/siyuan/issues/14767)
* [行動端返回時更新「退出聚焦」按鈕狀態](https://github.com/siyuan-note/siyuan/issues/14769)
* [移除資料庫標題中的 `<br>`](https://github.com/siyuan-note/siyuan/issues/14770)
* [改進文檔樹名稱字母排序](https://github.com/siyuan-note/siyuan/issues/14773)
* [改進資料庫批次貼上效能並支援更多類型的轉換](https://github.com/siyuan-note/siyuan/issues/14780)
* [改進區塊屬性更新的穩定性](https://github.com/siyuan-note/siyuan/issues/14797)
* [瀏覽器剪藏擴充支援範本配置](https://github.com/siyuan-note/siyuan/issues/14801)
* [改良末軟換行](https://github.com/siyuan-note/siyuan/issues/14807)

### 修復缺陷

* [行動端點擊影片會跳到遊標所在的區塊](https://github.com/siyuan-note/siyuan/issues/14569)
* [程式碼區塊中按 Delete 鍵時出現例外狀況](https://github.com/siyuan-note/siyuan/issues/14645)
* [行級公式輸入解析異常](https://github.com/siyuan-note/siyuan/issues/14666)
* [PlantUML 匯出圖片錯誤](https://github.com/siyuan-note/siyuan/issues/14668)
* [區塊級公式在預覽模式下無法渲染](https://github.com/siyuan-note/siyuan/issues/14671)
* [基於選擇列的總列篩選無效](https://github.com/siyuan-note/siyuan/issues/14706)
* [行動端搜尋替換後結果列表未刷新](https://github.com/siyuan-note/siyuan/issues/14715)
* [固定表頭導致多選儲存格高亮錯位](https://github.com/siyuan-note/siyuan/issues/14777)

### 開發重構

* [升級至 Electron v35.3.0](https://github.com/siyuan-note/siyuan/issues/14660)

### 開發者

* [改進內核介面 `/api/file/putFile` 參數校驗](https://github.com/siyuan-note/siyuan/issues/14658)

## 下載

* [B3log](https://b3log.org/siyuan/download.html)
* [GitHub](https://github.com/siyuan-note/siyuan/releases)
