## 概述

该版本改进了一些细节。

重要变更：列表 Markdown 符号从 `*` 变更为 `-`（[#14680](https://github.com/siyuan-note/siyuan/issues/14680)）

**影响范围**：

1. 复制或导出列表 Markdown 时符号变更为 `-`
2. 依赖列表 `*` 符号的 SQL 查询语句或插件需调整逻辑

不影响输入，输入依然可以使用 `*` 符号。

**适配操作**：

1. 执行 `文档树` - `更多` - `重建索引` 以更新数据索引中的列表符号
2. 修改相关的 SQL 查询语句
   * 仅支持新格式：例如将 `markdown LIKE '* [x]%'` 改为 `markdown LIKE '- [x]%'`
   * 兼容新旧格式：例如改为 `markdown LIKE '- [x]%' OR markdown LIKE '* [x]%'`

## 变更记录

以下是此版本中的详细变更。

### 改进功能

* [预览模式复制到微信公众号支持两级以上列表](https://github.com/siyuan-note/siyuan/issues/11276)
* [支持导出到微信公众号时渲染公式](https://github.com/siyuan-note/siyuan/issues/12571)
* [改进浮动窗口交互](https://github.com/siyuan-note/siyuan/issues/13296)
* [支持通过快捷键切换代码块语言](https://github.com/siyuan-note/siyuan/issues/14126)
* [流程图和 PlantUML 图表未完全显示](https://github.com/siyuan-note/siyuan/issues/14132)
* [文档标题中的 `/` 自动替换为 `／`](https://github.com/siyuan-note/siyuan/issues/14134)
* [支持布局搜索过滤](https://github.com/siyuan-note/siyuan/issues/14176)
* [改进行级元素的过渡效果](https://github.com/siyuan-note/siyuan/issues/14290)
* [`复制` 后选中块](https://github.com/siyuan-note/siyuan/issues/14567)
* [支持配置是否导出行级备注](https://github.com/siyuan-note/siyuan/issues/14605)
* [改进粘贴超链接和块引用锚文本](https://github.com/siyuan-note/siyuan/issues/14625)
* [改进全局搜索中的 SQL 方法](https://github.com/siyuan-note/siyuan/issues/14641)
* [点击虚拟引用跳转时 Android 上不再弹出键盘](https://github.com/siyuan-note/siyuan/issues/14642)
* [插入多个资源文件时使用自然升序](https://github.com/siyuan-note/siyuan/issues/14643)
* [改进鼠标选择代码块](https://github.com/siyuan-note/siyuan/pull/14646)
* [日记快捷键自动重置为默认值](https://github.com/siyuan-note/siyuan/issues/14652)
* [改进移动端块跳转返回动画](https://github.com/siyuan-note/siyuan/issues/14655)
* [改进浏览器剪藏扩展](https://github.com/siyuan-note/siyuan/issues/14669)
* [改进换行后嵌入块的渲染](https://github.com/siyuan-note/siyuan/issues/14672)
* [改进嵌入块中代码块的交互](https://github.com/siyuan-note/siyuan/issues/14678)
* [导出 Markdown 时使用 `-` 作为列表标记](https://github.com/siyuan-note/siyuan/issues/14680)
* [改进市场刷新计时器](https://github.com/siyuan-note/siyuan/issues/14685)
* [改进闪卡管理排序](https://github.com/siyuan-note/siyuan/issues/14686)
* [改进 HTML 表格剪藏](https://github.com/siyuan-note/siyuan/issues/14688)
* [支持导入 Markdown 时转换 HTML 超链接](https://github.com/siyuan-note/siyuan/issues/14689)
* [复制粘贴行级元素时忽略编辑器 Markdown 设置](https://github.com/siyuan-note/siyuan/issues/14690)
* [改进导出 PDF 水印字体](https://github.com/siyuan-note/siyuan/issues/14693)
* [支持导出 PDF 时块内分页](https://github.com/siyuan-note/siyuan/issues/14702)
* [改进段落开头行级元素前的 Tab 字符输入](https://github.com/siyuan-note/siyuan/issues/14703)
* [当块引用锚文本仅包含空白字符时将其设置为静态锚文本 ID](https://github.com/siyuan-note/siyuan/issues/14704)
* [改进块引用导出](https://github.com/siyuan-note/siyuan/issues/14710)
* [导出 PDF 时页面缩放下改进代码块行号对齐](https://github.com/siyuan-note/siyuan/issues/14719)
* [改进列表中表格后的回车换行](https://github.com/siyuan-note/siyuan/issues/14720)
* [改进数据库模板字段访问汇总多选](https://github.com/siyuan-note/siyuan/issues/14723)
* [复制数据库模板字段时将模板填充到输入框](https://github.com/siyuan-note/siyuan/issues/14724)
* [点击大纲后光标定位到块末尾](https://github.com/siyuan-note/siyuan/issues/14725)
* [“关闭当前页签”快捷键可关闭浮窗](https://github.com/siyuan-note/siyuan/issues/14729)
* [导入 Markdown 时遵循编辑器 Markdown 语法设置](https://github.com/siyuan-note/siyuan/issues/14731)
* [改进数据库字段和视图编辑界面](https://github.com/siyuan-note/siyuan/issues/14765)
* [改进代码块本地语言渲染优先级](https://github.com/siyuan-note/siyuan/issues/14767)
* [移动端返回时更新“退出聚焦”按钮状态](https://github.com/siyuan-note/siyuan/issues/14769)
* [移除数据库标题中的 `<br>`](https://github.com/siyuan-note/siyuan/issues/14770)
* [改进文档树名称字母排序](https://github.com/siyuan-note/siyuan/issues/14773)
* [改进数据库批量粘贴性能并支持更多类型的转换](https://github.com/siyuan-note/siyuan/issues/14780)
* [改进块属性更新的稳定性](https://github.com/siyuan-note/siyuan/issues/14797)
* [浏览器剪藏扩展支持模板配置](https://github.com/siyuan-note/siyuan/issues/14801)
* [改进末尾软换行](https://github.com/siyuan-note/siyuan/issues/14807)

### 修复缺陷

* [移动端点击视频会跳转到光标所在的块](https://github.com/siyuan-note/siyuan/issues/14569)
* [代码块中按 Delete 键时出现异常](https://github.com/siyuan-note/siyuan/issues/14645)
* [行级公式输入解析异常](https://github.com/siyuan-note/siyuan/issues/14666)
* [PlantUML 导出图片错误](https://github.com/siyuan-note/siyuan/issues/14668)
* [块级公式在预览模式下无法渲染](https://github.com/siyuan-note/siyuan/issues/14671)
* [基于选择列的汇总列筛选无效](https://github.com/siyuan-note/siyuan/issues/14706)
* [移动端搜索替换后结果列表未刷新](https://github.com/siyuan-note/siyuan/issues/14715)
* [固定表头导致多选单元格高亮错位](https://github.com/siyuan-note/siyuan/issues/14777)

### 开发重构

* [升级到 Electron v35.3.0](https://github.com/siyuan-note/siyuan/issues/14660)

### 开发者

* [改进内核接口 `/api/file/putFile` 参数校验](https://github.com/siyuan-note/siyuan/issues/14658)

## 下载

* [B3log](https://b3log.org/siyuan/download.html)
* [GitHub](https://github.com/siyuan-note/siyuan/releases)
