## Overview

This version improves many details and enhances performance and stability.

## Changelogs

Below are the detailed changes in this version.

### Enhancement

* [Persistent document tree expansion state](https://github.com/siyuan-note/siyuan/issues/10652)
* [Improve visual flickering in database drag & drop](https://github.com/siyuan-note/siyuan/issues/10730)
* [Browser clipping extension supports configuring document tags](https://github.com/siyuan-note/siyuan/issues/10797)
* [Parsing YAML Front Matter as document custom attributes when importing Markdown files](https://github.com/siyuan-note/siyuan/issues/10878)
* [Highlight regular expression search results](https://github.com/siyuan-note/siyuan/issues/11112)
* [Supports disabling Markdown `*` and `_` syntax input](https://github.com/siyuan-note/siyuan/issues/11206)
* [Browser clipping extension supports path selection](https://github.com/siyuan-note/siyuan/issues/11467)
* [Add a template function `getHPathByID`](https://github.com/siyuan-note/siyuan/issues/11734)
* [Improve the interactive effect of dragging blocks](https://github.com/siyuan-note/siyuan/issues/11751)
* [Improve code block chart paste-rendering](https://github.com/siyuan-note/siyuan/issues/11972)
* [Improve database date field pasting](https://github.com/siyuan-note/siyuan/issues/11973)
* [Improve database relation and rollup field exporting](https://github.com/siyuan-note/siyuan/issues/12003)
* [Automatically refresh the outline after redoing the heading](https://github.com/siyuan-note/siyuan/issues/12030)
* [Support converting single heading and list into blockquote](https://github.com/siyuan-note/siyuan/issues/12073)
* [Improve export of heading levels in embedded blocks](https://github.com/siyuan-note/siyuan/issues/12233)
* [Improve inline element editing](https://github.com/siyuan-note/siyuan/issues/12234)
* [Support setting height for images](https://github.com/siyuan-note/siyuan/issues/12423)
* [Refresh result list after find-replace](https://github.com/siyuan-note/siyuan/issues/12437)
* [After rolling back doc refresh other associated blocks](https://github.com/siyuan-note/siyuan/issues/12438)
* [After find-replacing block refresh other associated blocks](https://github.com/siyuan-note/siyuan/issues/12439)
* [Authorization is no longer required when exporting compressed packages in formats such as markdown](https://github.com/siyuan-note/siyuan/issues/12442)
* [Improve database block/text/asset/template/relation/rollup field sorting](https://github.com/siyuan-note/siyuan/issues/12454)
* [When rolling back a snapshot, a snapshot is created for the current data by default](https://github.com/siyuan-note/siyuan/issues/12470)
* [Loading screen popup messages no longer block UI loading](https://github.com/siyuan-note/siyuan/issues/12476)
* [Automatically refresh reference counts after adding or removing embed blocks](https://github.com/siyuan-note/siyuan/issues/12480)
* [Improve database url and asset field exporting](https://github.com/siyuan-note/siyuan/issues/12484)
* [Improve cloud data synchronization stability](https://github.com/siyuan-note/siyuan/issues/12543)
* [Data snapshot support pagination navigation](https://github.com/siyuan-note/siyuan/pull/12548)
* [Internationalization supports Italian language](https://github.com/siyuan-note/siyuan/pull/12562)
* [File history support pagination navigation](https://github.com/siyuan-note/siyuan/pull/12563)

### Bugfix

* [Replace fails when search results contain mixed case in text elements](https://github.com/siyuan-note/siyuan/issues/9171)
* [Split-screen content blocks are out of sync after focusing](https://github.com/siyuan-note/siyuan/issues/12132)
* [After the image is set to center, the width cannot be adjusted through the menu](https://github.com/siyuan-note/siyuan/issues/12217)
* [An exception occurs after changing the text element in the table cell](https://github.com/siyuan-note/siyuan/issues/12300)
* [Unable to set Flashcard FSRS Weights](https://github.com/siyuan-note/siyuan/issues/12453)
* [Subdocument path not updated after moving parent document](https://github.com/siyuan-note/siyuan/issues/12493)
* [Some PDF assets are not content searchable](https://github.com/siyuan-note/siyuan/issues/12536)
* [Clicking the document tag in the graph reports an error](https://github.com/siyuan-note/siyuan/issues/12556)

### Refactor

* [Upgrade to Electron v30.5.1](https://github.com/siyuan-note/siyuan/issues/12457)

### Development

* [Add plugin event `opened-notebook` & `closed-notebook`](https://github.com/siyuan-note/siyuan/issues/11974)
* [Add `data-id` attribute to the button of the block menu](https://github.com/siyuan-note/siyuan/pull/12525)
* [Improve /menu](https://github.com/siyuan-note/siyuan/pull/12547)

## Download

* [B3log](https://b3log.org/siyuan/en/download.html)
* [GitHub](https://github.com/siyuan-note/siyuan/releases)
