## Overview

This version supports exporting and importing settings, and fixes the issue where assets cannot be opened on the iOS.

## Changelogs

Below are the detailed changes in this version.

### Enhancement

* [Support export and import settings](https://github.com/siyuan-note/siyuan/issues/10617)
* [Improve appearance setting theme name display](https://github.com/siyuan-note/siyuan/issues/10903)
* [Automatic refresh of document tree information](https://github.com/siyuan-note/siyuan/issues/11043)
* [Improve middle mouse click when editing database cells](https://github.com/siyuan-note/siyuan/issues/11880)
* [Dragging the outline no longer causes the doc tree to collapse](https://github.com/siyuan-note/siyuan/issues/12098)
* [Displays the doc title image, tags and emoji operation buttons on mobile](https://github.com/siyuan-note/siyuan/issues/12425)
* [Improve editing of paragraph blocks containing inline formulas](https://github.com/siyuan-note/siyuan/issues/12468)
* [Improve data snapshot list loading](https://github.com/siyuan-note/siyuan/issues/12554)
* [Improve i18n text](https://github.com/siyuan-note/siyuan/pull/12573)
* [Moving doc search supports multiple keywords separated by spaces](https://github.com/siyuan-note/siyuan/issues/12577)
* [Improve inline tag style](https://github.com/siyuan-note/siyuan/pull/12581)
* [Browser clipping extension supports configuring whether to download assets](https://github.com/siyuan-note/siyuan/issues/12583)
* [iOS supports jumping to the target app via the target URL scheme](https://github.com/siyuan-note/siyuan/issues/12590)
* [Improve conversion of list blocks by shortcut keys](https://github.com/siyuan-note/siyuan/issues/12591)
* [Allow to set the PUID and PGID using docker](https://github.com/siyuan-note/siyuan/pull/12596)
* [Display tags in search results list](https://github.com/siyuan-note/siyuan/issues/12601)
* [Mouse hover notebook to display some information](https://github.com/siyuan-note/siyuan/issues/12615)
* [Improve HTML code block clipping](https://github.com/siyuan-note/siyuan/issues/12642)

### Bugfix

* [iOS cannot open asset](https://github.com/siyuan-note/siyuan/issues/12584)
* [Some AI custom actions cannot be deleted](https://github.com/siyuan-note/siyuan/issues/12586)
* [iOS crashes when using some third-party themes](https://github.com/siyuan-note/siyuan/issues/12592)

### Development

* [Add `data-id` attribute to the button of the block menu](https://github.com/siyuan-note/siyuan/pull/12559)
* [Ignore assets associated with the `custom-data-assets` block attribute when cleaning unreferenced assets](https://github.com/siyuan-note/siyuan/issues/12574)

## Download

* [B3log](https://b3log.org/siyuan/en/download.html)
* [GitHub](https://github.com/siyuan-note/siyuan/releases)
