## Overview

This version improves many details and fixes some defects, it is recommended to upgrade.

## Changelogs

Below are the detailed changes in this version.

### Enhancement

* [Automatically purge unreferenced data snapshots older than 30 days in official cloud storage](https://github.com/siyuan-note/siyuan/issues/8056)
* [Improve creating a new block by pressing Enter in a super block](https://github.com/siyuan-note/siyuan/issues/10696)
* [Improve merging of adjacent inline elements](https://github.com/siyuan-note/siyuan/issues/12033)
* [Hyperlink elements support copying in multiple formats](https://github.com/siyuan-note/siyuan/issues/12198)
* [Support `Alt+drag` to insert a block ref from the doc tree into the editor](https://github.com/siyuan-note/siyuan/issues/12482)
* [Support database view search](https://github.com/siyuan-note/siyuan/issues/12620)
* [Improve block drag](https://github.com/siyuan-note/siyuan/issues/12651)
* [Improve performance of exporting .sy.zip for notebook](https://github.com/siyuan-note/siyuan/issues/12653)
* [Improve database primary key content update for bound container blocks](https://github.com/siyuan-note/siyuan/issues/12664)
* [Improve the database editing on mobile](https://github.com/siyuan-note/siyuan/issues/12671)
* [Improve HTML math clipping](https://github.com/siyuan-note/siyuan/issues/12677)
* [Automatically refresh reference counts after deleting or rolling back a document](https://github.com/siyuan-note/siyuan/issues/12682)
* [Internationalization translations into Hebrew, German, Polish and Russian](https://github.com/siyuan-note/siyuan/pull/12683)
* [Show import/export settings in "About" on mobile](https://github.com/siyuan-note/siyuan/issues/12699)
* [After pressing Down key the cursor will move to the the begin of the next line](https://github.com/siyuan-note/siyuan/issues/12710)
* [Add transparency to the background color of some blocks](https://github.com/siyuan-note/siyuan/issues/12713)
* [Improve WebDAV/S3 data sync request timeout settings](https://github.com/siyuan-note/siyuan/issues/12734)
* [Improve export of heading levels in embedded blocks](https://github.com/siyuan-note/siyuan/issues/12741)
* [Improve performance for data indexing](https://github.com/siyuan-note/siyuan/issues/12777)

### Bugfix

* [Cannot replace `&gt;` in code block](https://github.com/siyuan-note/siyuan/issues/12660)
* [Search ignore is not working in some cases](https://github.com/siyuan-note/siyuan/issues/12662)
* [Cannot open assets on iOS 16.x](https://github.com/siyuan-note/siyuan/issues/12675)
* [Folding and unfolding are abnormal after embedding the heading block](https://github.com/siyuan-note/siyuan/issues/12703)
* [Setting flashcard expiration time does not work](https://github.com/siyuan-note/siyuan/issues/12743)
* [The `Allow execution of scripts within HTML blocks` option cannot be enabled on mobile](https://github.com/siyuan-note/siyuan/issues/12744)

### Document

* [Improve user guide ignore search chapter](https://github.com/siyuan-note/siyuan/pull/12663)

### Refactor

* [Upgrade to PDF.js v4.7.85](https://github.com/siyuan-note/siyuan/issues/11650)
* [Upgrade to Electron v32.2.0](https://github.com/siyuan-note/siyuan/issues/12735)
* [Upgrade to Pandoc v3.5](https://github.com/siyuan-note/siyuan/issues/12750)
* [SiYuan Flatpak is required to use `$XDG_CONFIG_HOME` instead of `$HOME`](https://github.com/siyuan-note/siyuan/issues/12768)

### Development

* [Add `data-id` attribute to the button of workspace menu](https://github.com/siyuan-note/siyuan/pull/12648)
* [Add a kernel API `/api/block/getDocsInfo`](https://github.com/siyuan-note/siyuan/pull/12723)
* [Add plugin method `exitSiYuan`](https://github.com/siyuan-note/siyuan/pull/12767)

## Download

* [B3log](https://b3log.org/siyuan/en/download.html)
* [GitHub](https://github.com/siyuan-note/siyuan/releases)
